<?php
session_start();
include("../negocio/clsProducto.php");
include("../negocio/clsMovimiento.php");
include("../negocio/clsListaUnidad.php");
include("../negocio/clsSerieProducto.php");

$accion=$_GET["accion"];
$objProducto = new Producto();
$objListaUnidad = new ListaUnidad();
$objMovimiento = new Movimiento();
$objSerieProducto = new SerieProducto();

if($accion =="nuevo"){
	$objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
    $objSerieProducto->iniciarTransaccion();
    
    $band = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$_POST["txtNroDoc"],"A","'".$_POST["txtFecha"]." ".date("H:i:s")."'",0,0,0,$_POST["txtComentario"],$_POST["cboProveedor"],$_SESSION["idpersona"],6,$_POST["cboTipoDoc"],0,0,0,'null',0,0,'N',0,0);
    if($band->rowCount()==0){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
		$msg="No se pudo guardar 1";
		echo "vpag='frmDocArmado.php';vmsg='".$msg."'";
        exit();
    }
    
    $dato = $band->fetchObject();
    foreach($_SESSION["carro_producto_armado"] as $k=>$v){
        $band = $objMovimiento->actualizarSerieArmado($v["idserieproducto"],$_SESSION["idsucursal"],$dato->idmovimiento);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
            $msg="No se pudo guardar 2";
            echo "vpag='frmDocCompra.php';vmsg='".$msg."$band'";
            exit();
        }
    }
    foreach($_SESSION["carro_accesorio_armado"] as $k=>$v){
        $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$dato->idmovimiento,$v["idproducto"],$v["idunidad"],$v["cantidad"],$v["preciocompra"],$v["precioventa"]);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
		    $msg="No se pudo guardar 2";
		    echo "vpag='frmDocCompra.php';vmsg='".$msg."$band'";
            exit();
        }    
        
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$v["idproducto"],$v["idunidad"],$v["cantidad"]*(-1),$dato->idmovimiento,'S',$v["preciocompra"],date("d/m/Y"),$_SESSION["idpersona"],'N'); 
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
		    $msg="No se pudo guardar 3";
		    echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
            exit();
        }
    } 
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion(); 
    $objSerieProducto->finalizarTransaccion();
	$msg="Guardado correctamente";
	echo "vpag='frmDocArmado.php';vmsg='".$msg."'";
}

if($accion =="modificar"){
    $objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
        
    if($_POST["cboPago"]=="A"){$credito=0;}else {$credito=$_POST["cboCredito"];}    
    $band = $objMovimiento->modificarMovimiento($_SESSION["idsucursal"],$_POST["txtIdDocCompra"],$_POST["txtNroDoc"],$_POST["cboPago"],"'".$_POST["txtFecha"]."'",$_POST["txtSubTotal"],$_POST["txtIGV"],$_POST["txtTotal"],$_POST["txtComentario"],$_POST["cboProveedor"],$_SESSION["idpersona"],1,$_POST["cboTipoDoc"],0,0,0,'null',0,0,'N',0,0,$_POST["txtDescuentoTotal"],$_POST["txtPercepcion"],$credito);
	if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
		$msg="No se pudo guardar 1";
		echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
        exit();
    }
    //Devuelvo el stock
    $rs = $objMovimiento->listarDetalleDocumento($_POST["txtIdDocCompra"]);            
    while($dato=$rs->fetchObject()){
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$dato->idproducto,$dato->idunidad,-$dato->cantidad,$dato->idmovimiento,'S',$dato->preciocompra,date("d/m/Y"),$_SESSION["idpersona"],'N');
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar 2";
		    echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
            exit();
        }    
    }
    //Elimino el detalle del movimiento
    $objMovimiento->eliminarDetalleMovAlmacen($_POST["txtIdDocCompra"],$_SESSION["idsucursal"]);
    
    //Agrego el nuevo detalle
    foreach($_SESSION["carro_producto"] as $k=>$v){
        $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$_POST["txtIdDocCompra"],$v["idproducto"],$v["idunidad"],$v["cantidad"],$v["preciocompra"],$v["precioventa"],$v["descuento"]);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar 3";
		    echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
            exit();
        }    

        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$v["idproducto"],$v["idunidad"],$v["cantidad"]*$v["maxfraccion"]+$v["fraccion"],$_POST["txtIdDocCompra"],'S',$v["preciocompra"],date("d/m/Y"),$_SESSION["idpersona"],'N'); 
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar 4";
		    echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
            exit();
        }
        if($v["preciocompra"]!=0 && $v["precioventa"]!=0){
            $band =$objProducto->modificarPrecioProducto($v["idproducto"],$v["idunidad"],$v["preciocompra"]);
            if($band!="0"){
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
		        $msg="No se pudo guardar 5";
		        echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
                exit();
            }
        }    
    }
    
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();                    
    $msg="Guardado correctamente";
	echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
}

if($accion =="eliminar"){
    $objMovimiento->iniciarTransaccion();
    $rs = $objMovimiento->listarDetalleDocumentoSerieEntrada(0,$_SESSION["idsucursal"],"",0,$_GET["id"]);            
    while($dato=$rs->fetchObject()){
        $band =$objMovimiento->extornarSerieArmado($dato->idserieproducto,$dato->idsucursal);
        if($band!="0"){
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo eliminar";
		    echo "vpag='frmDocArmado.php';vmsg='".$msg."'";
            exit();
        }                
    }
    //Devuelvo el stock
    $rs = $objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);            
    while($dato=$rs->fetchObject()){
        if($dato->kardex=="S"){
            $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$dato->idproducto,$dato->idunidad,$dato->cantidad,$dato->idmovimiento,'S',$dato->preciocompra,date("d/m/Y"),$_SESSION["idpersona"],'N');
            if($band!="0"){
                $objMovimiento->abortarTransaccion();
			    $msg="No se pudo eliminar";
			    echo "vpag='frmDocCompra.php';vmsg='".$msg."'";
                exit();
            }    
        }
    }
    $band = $objMovimiento->eliminarMovimiento($_GET["id"],$_SESSION["idsucursal"]);
	if($band!=0){
        $objMovimiento->abortarTransaccion();
		$msg="No se pudo eliminar";
		echo "vpag='frmDocArmado.php';vmsg='".$msg."'";
        exit();
    }
    $objMovimiento->finalizarTransaccion();                    
    $msg="Eliminado correctamente";
	echo "vpag='frmDocArmado.php';vmsg='".$msg."'";
}

if($accion =="Retorno"){
    $objMovimiento->iniciarTransaccion();
    $band = $objMovimiento->modificarSituacionMovimiento($_SESSION["idsucursal"],$_POST["id"],'R');
	if($band!="0"){
        $objMovimiento->abortarTransaccion();
		$msg="No se pudo retornar";
		echo "vpag='frmDocArmado.php';vmsg='".$msg."'";
        exit();
    }
    $objMovimiento->ejecutarSQL("update movimiento set fechainiciotraslado='".$_POST["fecha"]." 00:00:00' where idmovimiento=".$_POST["id"]);
    $objMovimiento->finalizarTransaccion();                    
    $msg="Guardado correctamente";
	echo "vpag='frmDocArmado.php';vmsg='".$msg."';vconsole='';";
}

if($accion =="ListaDoc"){
	$registro = "<table class='tabla' width='100%' align='center'><tr><th>NRO. DOC.</th><th>FECHA</th><th>TIPO DOC.</th><th>FECHA ARMADO</th><th>SITUACION</th><th colspan='5'>OPERACIONES</th></tr>";
	$rs=$objMovimiento->listarDocumento(0,$_POST['idtipodoc'],$_POST['nrodoc'],$_POST['fechainicio'],$_POST['fechafin'],'',6,0,$_POST["idproveedor"]);
	while($dato =$rs->fetchObject()){
		$registro .="<tr class=''><td align='center'>".$dato->numero."</td>";
		$registro .="<td align='center'>".$dato->fecha."</td>";
		$registro .="<td align='center'>".$dato->tipodocumento."</td>";
		//$registro .="<td align='center'>".$dato->razonsocial."</td>";
        $registro .="<td align='center'>".$dato->fechainiciotraslado."</td>";
        if($dato->situacion=="N"){
            $registro .="<td align='center'>PENDIENTE</td>";
            $registro .="<td align='center'><a href='#' onclick=\"javascript:retorno('".$dato->numero."',".$dato->idmovimiento.")\"><img src='img/admiracion.png' width='16' height='16' title='Retorno'/></a></td>";
        }else{
            $registro .="<td align='center'>ENTREGADO</td>";
            $registro .="<td align='center'> - </td>";
        }
        //$registro .="<td align='center'><a href='#' onclick=link('mant_doccompra.php?accion=modificar&id=".$dato->idmovimiento."')><img src='img/doc_edit_icon&16.png' width='16' height='16' title='Editar'/></a></td>";
        $registro .="<td align='center'><a href='#' onclick=window.open('rptDocArmado.php?&id=".$dato->idmovimiento."','_blank'); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Documento'/></a></td>";
        $registro .="<td align='center'><a href='#' onclick=link('frmDetalleDocArmado.php?id=".$dato->idmovimiento."')><img src='img/list_bullets_icon&16.png' width='16' height='16' title='Ver Detalle'/></a></td>";
        $registro .="<td align='center'><a href='#' onclick=\"javascript:if(confirm('Desea eliminar el Doc. Armado Nro. ".$dato->numero."?')){mantenimiento('../controlador/contArmado.php?accion=eliminar&id=".$dato->idmovimiento."')}\"><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
	}
	$registro = utf8_decode($registro."</table>");
	echo $registro;
}
if($accion=="ListaProducto"){
   $TotalReg = $_POST["totalreg"];
   $pag = $_POST["pag"]; 
   $regxpag=10;
   $nr1=$TotalReg;
   $inicio=$regxpag*($pag - 1);
   $limite="";	
   if($inicio==0){
       $rs = $objSerieProducto->listarSerieProducto($_POST["motor"],$_POST["chasis"],0,0,$_SESSION["idsucursal"],"'E'","");
       $nr1=$rs->rowCount();
   }
   $nunPag=ceil($nr1/$regxpag);
   $limite=" limit $regxpag offset $inicio";
   $rs = $objSerieProducto->listarSerieProducto($_POST["motor"],$_POST["chasis"],0,0,$_SESSION["idsucursal"],"'E'",$limite);
   $nr=$rs->rowCount()*($pag);	
   $cadena="Registros encontrados: $nr de $nr1 <br />";
   $registros=$cadena."<table class='tabla' border='1' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DUA</th><th>ITEM</th><th>A&Ntilde;O</th></th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>COMBUSTIBLE</th><th>UNIDAD</th></tr>";
   while($dato=$rs->fetchObject()){
       $registros.= "<tr id='".$dato->idproducto."'><td align='center'>$dato->motor</td>";
       $registros.= "<td align='center'>".utf8_decode(utf8_encode($dato->chasis))."</td>";
       $registros.= "<td align='center'>$dato->dam</td>";
       $registros.= "<td align='center'>$dato->item</td>";
       $registros.= "<td align='center'>$dato->anio</td>";
       $registros.= "<td align='center'>$dato->color</td>";
       $registros.= "<td align='center'>$dato->marca</td>";
       $registros.= "<td align='center'>$dato->modelo</td>";
       $registros.= "<td align='center'>$dato->categoria</td>";
       $registros.= "<td align='center'>$dato->combustible</td>";
       $registros.= "<td align='center'>$dato->unidad</td>";
       $registros.= "<td align='center'><a href='#' onclick=javascript:agregarProducto('$dato->idserieproducto'); title='Seleccionar Producto'><img title='Seleccionar Producto' src='img/checkmark_icon&24.png' height='20px' width='20px'/></a></td>";
       $registros.= "</tr>";
    }
    //+ 1 indican las operaciones
   $registros.="<tr></table>";
   //INICIO PAGINACION
   $registros.='<table class="tabla" border="1" align="center"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pag').value=";
   $medio=";buscarproducto()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="</td></tr></table><input type='hidden'' name='TotalReg' id='TotalReg'' value='$nr1' />";
   //$registros=utf8_encode($registros);
   echo $registros;
}

if($accion =="generarNumero"){
    $num = $objMovimiento->consultar_numero_sigue($_POST["idtipomovimiento"],$_POST["idtipodocumento"],$_SESSION["idsucursal"]);
    $registro = "vnrodoc='$num';";
	echo utf8_decode($registro);
}

if($accion =="AgregarProducto"){
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto_armado"];
    $dato = $objSerieProducto->listarSerieProducto("","",$_POST["idserieproducto"],0,$_SESSION["idsucursal"],"'E'","")->fetchObject();
    $carro[$_POST["idserieproducto"]]=array("idserieproducto"=>$dato->idserieproducto,"color"=>$dato->color,"marca"=>$dato->marca,"modelo"=>$dato->modelo,"marca"=>$dato->marca,"unidad"=>$dato->unidad,
                                    "motor"=>$dato->motor,"chasis"=>$dato->chasis,"dam"=>$dato->dam,"item"=>$dato->item,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"combustible"=>$dato->combustible);
    $_SESSION["carro_producto_armado"]=$carro;
   $registros=$cadena."<table class='tabla' border='1' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DUA</th><th>ITEM</th><th>A&Ntilde;O</th></th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>COMBUSTIBLE</th><th>UNIDAD</th></tr>";
   foreach($carro as $k=>$v){
       $registros.= "<tr id='".$dato->idserieproducto."'><td align='center'>".$v["motor"]."</td>";
       $registros.= "<td align='center'>".utf8_decode(utf8_encode($v["chasis"]))."</td>";
       $registros.= "<td align='center'>".$v["dam"]."</td>";
       $registros.= "<td align='center'>".$v["item"]."</td>";
       $registros.= "<td align='center'>".$v["anio"]."</td>";
       $registros.= "<td align='center'>".$v["color"]."</td>";
       $registros.= "<td align='center'>".$v["marca"]."</td>";
       $registros.= "<td align='center'>".$v["modelo"]."</td>";
       $registros.= "<td align='center'>".$v["categoria"]."</td>";
       $registros.= "<td align='center'>".$v["combustible"]."</td>";
       $registros.= "<td align='center'>".$v["unidad"]."</td>";
       $registros.="<td align='center'><a href='javascript:void(0)' onclick=javascript:quitarProducto('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
       $registros.= "</tr>";
    }
	echo $registros."</table>";
}

if($accion =="QuitarProducto"){
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto_armado"];
    unset($carro[$_POST["idserieproducto"]]);
    $_SESSION["carro_producto_armado"]=$carro;
   $registros=$cadena."<table class='tabla' border='1' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DUA</th><th>ITEM</th><th>A&Ntilde;O</th></th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>COMBUSTIBLE</th><th>UNIDAD</th></tr>";
   foreach($carro as $k=>$v){
       $registros.= "<tr id='".$dato->idserieproducto."'><td align='center'>".$v["motor"]."</td>";
       $registros.= "<td align='center'>".utf8_decode(utf8_encode($v["chasis"]))."</td>";
       $registros.= "<td align='center'>".$v["dam"]."</td>";
       $registros.= "<td align='center'>".$v["item"]."</td>";
       $registros.= "<td align='center'>".$v["anio"]."</td>";
       $registros.= "<td align='center'>".$v["color"]."</td>";
       $registros.= "<td align='center'>".$v["marca"]."</td>";
       $registros.= "<td align='center'>".$v["modelo"]."</td>";
       $registros.= "<td align='center'>".$v["categoria"]."</td>";
       $registros.= "<td align='center'>".$v["combustible"]."</td>";
       $registros.= "<td align='center'>".$v["unidad"]."</td>";
       $registros.="<td align='center'><a href='javascript:void(0)' onclick=javascript:quitarProducto('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
       $registros.= "</tr>";
    }
	echo $registros."</table>";
}

if($accion =="AgregarDetalle"){
    $rs = $objMovimiento->listarDetalleDocumento($_POST["iddocumento"],$_SESSION["idsucursal"]);
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto"];
    $posicion=0;
    while($dato=$rs->fetchObject()){    
        $carro[$dato->idproducto."-".$posicion]=array("idproducto"=>$dato->idproducto,"codigo"=>$dato->codigo,"producto"=>$dato->producto,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>$dato->cantidad,"precioventa"=>$dato->precioventa,"preciocompra"=>$dato->preciocompra,"descuento"=>$dato->descuento,"posicion"=>$posicion);
        $posicion=$posicion+1;
    }
    $registro="<table class='tabla' align='center' width='100%'><tr><th>COLOR</th><th>TALLA</th><th>TIPO TACO</th><th>TIPO CALZADO</th><th>TIPO PLANTA</th><th>MARCA</th><th>MODELO</th><th>UNIDAD</th><th>SEXO</th><th>CANTIDAD</th><th>PRECIO COMPRA</th><th>PRECIO VENTA</th><th>SUBTOTAL</th><th></th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $registro.="<tr><td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["talla"]."</td>";
        $registro.="<td align='center'>".$v["tipotaco"]."</td>";
        $registro.="<td align='center'>".$v["tipocalzado"]."</td>";
        $registro.="<td align='center'>".$v["tipoplanta"]."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["unidad"]."</td>";
        $registro.="<td align='center'>".$v["sexo"]."</td>";
        $registro.="<td align='center'>".number_format($v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["preciocompra"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["preciocompra"]*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProducto('".$v["posicion"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
		$total=$total+$v["preciocompra"]*$v["cantidad"];
    }
    if($_POST["idtipodocumento"]=="2"){
        $igv=$total*0.18;
        $subtotal=$total;
        $total=$total*1.18;
    }else{
        $style="display:none;";
    }
	echo $registro."</table><table align='center'>
    <tr>
        <td style='$style'>SUBTOTAL :<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($subtotal,2,'.','')."' readonly='' size='5' /></td>
        <td style='$style'>IGV :<input type='text' name='txtIGV' id='txtIGV' value='".number_format($igv,2,'.','')."' readonly='' size='5' /></td>
        <td>DESCUENTO :<input type='text' name='txtDescuentoTotal' id='txtDescuentoTotal' value='".number_format($descuento,2,'.','')."' size='5' onblur='javascript:calcularTotal(this.value);' onkeyup='javascript:calcularTotal(this.value);' /></td>
        <input type='hidden' name='txtTotalOculto' id='txtTotalOculto' value='".number_format($total,2,'.','')."' size='5' readonly='true' /></td>
        <td>PERCEPCION :<input type='text' name='txtPercepcion' id='txtPercepcion' value='0.00' size='5' onblur='javascript:calcularTotalPercepcion(this.value);' onkeyup='javascript:calcularTotalPercepcion(this.value);' /></td>
        <td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5' readonly='true' /></td>
    </tr></table>";
}

if($accion =="verSeries"){
	$registro = "<table class='tabla' width='100%' align='center'><tr><th>CODIGO</th><th>CALZADO</th></tr>";
	$rs=$objSerieProducto->listarSerieProducto("",0,0,$_SESSION["idsucursal"],"","",$_POST["idmovimiento"]);
	while($dato =$rs->fetchObject()){
		$registro .="<tr class=''><td align='center'>".$dato->numero."</td>";
		$registro .="<td align='center'>$dato->tipocalzado - ".utf8_encode($dato->sexo)." - $dato->color - $dato->tipotaco - $dato->marca - $dato->modelo - $dato->talla</td>";
        $registro .="<td align='center'><a href='#' onclick=\"window.open('rptSerieProducto.php?idserieproducto=".$dato->idserieproducto."','_blank')\"><img src='img/imprimir.jpg' width='16' height='16' title='Ver Serie'/></a></td>";
	}
	$registro = utf8_decode($registro."</table>");
	echo $registro;
}

if($accion=="ListaAccesorio"){
   $TotalReg = $_POST["totalreg"];
   $pag = $_POST["pag"]; 
   $regxpag=10;
   $nr1=$TotalReg;
   $inicio=$regxpag*($pag - 1);
   $limite="";	
   if($inicio==0){
       $rs = $objProducto->listarProducto(0,$_POST["codigo"],$_POST["descripcion"],0,0,"",1,0,0,2);
       $nr1=$rs->rowCount();
   }
   $nunPag=ceil($nr1/$regxpag);
   $limite=" limit $regxpag offset $inicio";
   $rs = $objProducto->listarProducto(0,$_POST["codigo"],$_POST["descripcion"],0,0,$limite,1,0,0,2);
   $nr=$rs->rowCount()*($pag);	
   $cadena="Registros encontrados: $nr de $nr1 <br />";
   $registros=$cadena."<table id='tablaProducto' class='tabla autocompletar2' border='1' align='center' width='100%'><tr><th>CODIGO</th><th>DESCRIPCION</th><th>CATEGORIA</th><th>MARCA</th><th>UNIDAD</th></tr>";
   while($dato=$rs->fetchObject()){
       $registros.= "<tr onclick=\"seleccionarAccesorio('$dato->idproducto');\" id='".$dato->idproducto."'><td align='center'>$dato->codigo</td>";
       $registros.= "<td align='center'>".utf8_decode(utf8_encode($dato->producto))."</td>";
       $registros.= "<td align='center'>$dato->categoria</td>";
       $registros.= "<td align='center'>$dato->marca</td>";
       $registros.= "<td align='center'>$dato->unidadbase</td>";
       $registros.= "</tr>";
    }
    //+ 1 indican las operaciones
   $registros.="</table>";
   //INICIO PAGINACION
   $registros.='<table align="center" class="tablaPaginacion"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pag').value=";
   $medio=";buscarproducto()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden'' name='TotalRegAccesorio' id='TotalRegAccesorio'' value='$nr1' />";
   //$registros=utf8_encode($registros);
   echo $registros;
}

if($accion =="seleccionarAccesorio"){
    $rs = $objProducto->listarProducto($_POST["idproducto"],"","",0,0);
    $dato = $rs->fetchObject();
    $registro = "vidproducto='$dato->idproducto';vproducto='".utf8_decode(utf8_encode($dato->producto))."';vstock='$dato->stockbase';vidunidad='$dato->idunidadbase';vpreciocompra='$dato->preciocompra';vprecioventa='$dato->precioventa';vunidad='$dato->unidadbase';";
	echo $registro;
}

if($accion =="AgregarAccesorio"){
    if($_POST["detalle"]=="TRUE"){$carro = $_SESSION["carro_accesorio_armado"];}
    $rs = $objProducto->listarProducto($_POST["idproducto"],"","",0,0);
    $dato = $rs->fetchObject();
    $carro[$_POST["idproducto"]]=array("idproducto"=>$_POST["idproducto"],"producto"=>$dato->producto,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,"idunidad"=>$_POST["idunidad"],"unidad"=>$_POST["unidad"],"cantidad"=>$_POST["cantidad"],
        "precioventa"=>$_POST["precioventa"],"preciocompra"=>$_POST["preciocompra"],"posicion"=>$_POST["posicion"]);
    $_SESSION["carro_accesorio_armado"]=$carro;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>PRODUCTO</th><th>MARCA</th><th>UNIDAD</th><th>CANTIDAD</th><th></th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $registro.="<tr><td align='center'>".utf8_decode(utf8_encode($v["producto"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["unidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["cantidad"],2,'.','')."</td>";
        /*$registro.="<td align='center'>".number_format($v["preciocompra"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["preciocompra"]*$v["cantidad"],2,'.','')."</td>";*/
        $registro.="<td align='center'><a href='javascript:void(0);' onclick=javascript:quitarAccesorio('".$v["idproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
		$total=$total+$v["preciocompra"]*$v["cantidad"];
    }
	echo $registro."</table>";
}

if($accion =="QuitarAccesorio"){
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_accesorio_armado"];
    unset($carro[$_POST["idproducto"]]);
    $_SESSION["carro_accesorio_armado"]=$carro;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>PRODUCTO</th><th>MARCA</th><th>UNIDAD</th><th>CANTIDAD</th><th></th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $registro.="<tr><td align='center'>".utf8_decode(utf8_encode($v["producto"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["unidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["cantidad"],2,'.','')."</td>";
        //$registro.="<td align='center'>".number_format($v["preciocompra"],2,'.','')."</td>";
        //$registro.="<td align='center'>".number_format($v["preciocompra"]*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='javascript:void(0);' onclick=javascript:quitarAccesorio('".$v["idproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
		$total=$total+$v["preciocompra"]*$v["cantidad"];
    }
    
	echo $registro."</table>";
}


?>