<?php
ini_set('max_execution_time', 300);
session_start();
include("../negocio/clsProducto.php");
include("../negocio/clsMovimiento.php");
include("../negocio/clsListaUnidad.php");
include("../negocio/clsPersona.php");
include("../negocio/clsLugarTraslado.php");
include("../negocio/clsTransportista.php");
include("../negocio/clsSerieProducto.php");

$accion=$_GET["accion"];
$objProducto = new Producto();
$objListaUnidad = new ListaUnidad();
$objMovimiento = new Movimiento();
$objPersona=new Persona();
$objLugarTraslado = new LugarTraslado();
$objTransportista = new Transportista();
$objSerieProducto = new SerieProducto();

if($accion =="Nuevo"){
	$objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
    $objSerieProducto->iniciarTransaccion();
    $situacion="P";
    if($_POST["txtIdContrato"]!="0"){
        $idmovimientoref=$_POST["txtIdContrato"];
    }else{
        $idmovimientoref=$_POST["txtIdVenta"];
    }
    $rs = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$_POST["txtNroDoc"],"A","'".$_POST["txtFecha"]."'",0,0,0,$_POST["txtComentario"],$_POST["txtIdCliente"],$_SESSION["idpersona"],11,$_POST["cboTipoDoc"],0,0,0,"null",0,0,$situacion,$idmovimientoref,$_SESSION["idsucursal"],0,0,0);
    if($rs->rowCount()==0){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
		$msg="No se pudo guardar1";
		echo "vpag='frmDocTramite.php';vmsg='".$msg."'";
        exit();
    }
    
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();  
    $objSerieProducto->finalizarTransaccion(); 
	$msg="Guardado correctamente";
	echo "vpag='frmDocTramite.php';vmsg='".$msg."'";
}

if($accion =="modificar"){
    $objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
        
    if($_POST["cboTipoDoc"]!="5"){$_POST["txtIGV"]=0;$_POST["txtSubTotal"]=0;}
    if($_POST["cboFormaPago"]=="B"){$situacion="P";}else{$situacion="N";}
    $band = $objMovimiento->modificarMovimiento($_SESSION["idsucursal"],$_POST["txtIdDocVenta"],$_POST["txtNroDoc"],$_POST["cboFormaPago"],"'".$_POST["txtFecha"]."'",$_POST["txtSubTotal"],$_POST["txtIGV"],$_POST["txtTotal"],$_POST["txtComentario"],$_POST["txtIdCliente"],$_SESSION["idpersona"],2,$_POST["cboTipoDoc"],0,0,0,"null",0,0,$situacion,0,0,0,0,0);
	if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
		$msg="No se pudo guardar1";
		echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    //Devuelvo el stock
    $rs = $objMovimiento->listarDetalleDocumento($_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);            
    while($dato=$rs->fetchObject()){
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$dato->idproducto,$dato->idunidad,$dato->cantidad,$dato->idmovimiento,'S',$dato->preciocompra,date("d/m/Y"),$_SESSION["idpersona"],'N');
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar2";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    
    }
    //Elimino el detalle del movimiento
    $band=$objMovimiento->eliminarDetalleMovAlmacen($_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);
    if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
	    $msg="No se pudo guardar2.1";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    //Elimino las cuotas
    $band=$objMovimiento->eliminarCuota($_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);
    if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
	    $msg="No se pudo guardar2.2";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    //Agrego el nuevo detalle
    foreach($_SESSION["carro_producto"] as $k=>$v){
        $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$_POST["txtIdDocVenta"],$v["idproducto"],$v["idunidad"],$v["cantidad"],$v["preciocompra"],$v["precioventa"]);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar3";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    

        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$v["idproducto"],$v["idunidad"],(-1)*($v["cantidad"]),$_POST["txtIdDocVenta"],'S',$v["preciocompra"],date("d/m/Y"),$_SESSION["idpersona"],"N"); 
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar4";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }
        
    }
    
    if($_POST["cboFormaPago"]=="B"){
        foreach($_SESSION["carro_cuotas"] as $k=>$v){
            $c=$c+1;
            $band=$objMovimiento->insertarCuota($v["numero"],"'".date("Y-m-d H:i:s")."'","'".$v["fecha"]."'","null",$v["cuota"],0,0,0,$_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);
            if($band!="0"){
			    $msg="No se pudo guardar6";
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
			    echo "vpag='frmDocVenta.php';vmsg='".$msg."$band'";
                exit();
            }
        }
    }
    
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();                    
    $msg="Guardado correctamente";
    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
}

if($accion =="Eliminar"){
    $objMovimiento->iniciarTransaccion();   
    $band = $objMovimiento->eliminarMovimiento($_GET["id"],$_SESSION["idsucursal"]);
	if($band!="0"){
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
		    $msg="No se pudo eliminar";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
    }
    $objMovimiento->finalizarTransaccion();                    
    $msg="Eliminado correctamente";
	echo "vpag='frmDocTramite.php';vmsg='".$msg."'";
}

 if($accion =="ListaCliente"){
	$regxpag=10;
	$pag=$_POST["pag"];			
	$nr1=$_POST["totalreg"];			
	$inicio=$regxpag*($pag - 1);
	$nunPag=ceil($nr1/$regxpag);
	
	$registros = "<table id='tablaCliente' border='1' align='center'><tr><th>DNI/RUC</th><th>Apellidos y Nombres/Razon Social</th></tr>";
	if($inicio==0){
		$rs=$objPersona->listarPersonaGeneral(0,$_POST["descripcion"],2,"");
		$nr1=$rs->rowCount();
	}
	$nunPag=ceil($nr1/$regxpag);
	$limite=" limit $regxpag offset $inicio";
	$rs=$objPersona->listarPersonaGeneral(0,$_POST["descripcion"],2,$limite);
	$nr=$rs->rowCount()*($pag);	
    //$cadena="Encontrados: $nr de $nr1";
    while($dato =$rs->fetchObject()){
        $registros .="<tr id ='c-".$dato->idpersona."'>";
        //LO SGTE PARA OBTENER LA PORSION DE TEXTO QUE COINCIDE Y CAMBIARLE DE ESTILO, $cadena2 -> está variable contiene el valor q coincide, al cual lo ubico en una etiqueta span para cambiarle de estilo.
		
            $nombre = utf8_decode($dato->nrodocumento);
			$posicion  = stripos($nombre, $_POST["descripcion"]);
			if($posicion>-1){
				$cadena1 = substr($nombre, 0, $posicion);
				$cadena2 = substr($nombre, $posicion, strlen($_POST["descripcion"]));
				$cadena3 = substr($nombre, ($posicion + strlen($_POST["descripcion"])));
				
				$data = $cadena1.'<span>'.$cadena2.'</span>'.$cadena3;
				$registros.= "<td>".$data."</td>";
			}else{
				$registros.= "<td>".$nombre."</td>";
				}
			if($dato->tipopersona=="NATURAL"){
				$nombre2=utf8_decode(trim($dato->apellidos) ." ".trim($dato->nombres));
				$posicion2  = stripos($nombre2, $_POST["descripcion"]);			
			}else{
				$nombre2=utf8_decode(trim($dato->razonsocial));	
				$posicion2  = stripos($nombre2, $_POST["descripcion"]);			
			}
			
			if($posicion2>-1){
				$cadena12 = substr($nombre2, 0, $posicion2);
				$cadena22 = substr($nombre2, $posicion2, strlen($_POST["descripcion"]));
				$cadena32 = substr($nombre2, ($posicion2 + strlen($_POST["descripcion"])));
				
				$data2 = $cadena12.'<span>'.$cadena22.'</span>'.$cadena32;
				$registros.= "<td id='vcliente'>".$data2."</td>";
			}else{
				$registros.= "<td id='vcliente'>".$nombre2."</td>";
				}
        $registros .="</tr>";
    }
	$registros.="</table>";
 //INICIO PAGINACION
   $registros.='<table align="center" border="0" id="tablaPaginacion"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pagcliente').value=";
   $medio=";buscarCliente()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden' name='TotalRegCliente' id='TotalRegCliente' value='$nr1' />";

$registros = utf8_encode($registros);
echo $registros;
}

if($accion =="ListaDoc"){
	$registro = "<table class='tabla' width='100%' align='center'><tr><th>TITULO</th><th>FECHA</th><th>CLIENTE</th><th>TELEF.</th><th>NRO. CONT.</th><th>A CTA.</th><th>COMENTARIO</th><th>TARJETA</th><th>TARJETA TIENDA</th><th>PLACA TIENDA</th><th>ENTREGO TARJETA</th><th>ENTREGO PLACA</th><th colspan='7'>OPERACIONES</th></tr>";
	$rs=$objMovimiento->listarDocumento(0,19,$_POST['nrodoc'],$_POST['fechainicio'],$_POST['fechafin'],'',11,0,0,0,0,0,"","","m.fecha","",$_POST["cliente"],$_POST["tarjeta"]);
    $tarjeta=$objMovimiento->obtenerDataSQL("select cast((case when cargotarjeta='' or length(cargotarjeta)=0 or cargotarjeta is null then '0' else cargotarjeta end) as integer) as d from movimiento where idtipodocumento=19 order by d desc limit 1")->fetchObject()->d;
    $placa=$objMovimiento->obtenerDataSQL("select cast((case when cargoplaca='' or length(cargoplaca)=0 or cargoplaca is null then '0' else cargoplaca end) as integer) as d from movimiento where idtipodocumento=19 order by d desc limit 1")->fetchObject()->d;
    if($tarjeta>=$placa){
        $num=$tarjeta;
    }else{
        $num=$placa;
    }
    $num=$num+1;
	while($dato =$rs->fetchObject()){
		$registro .="<tr class='' rowspan='$d'><td align='center'>".$dato->numero."</td>";
		$registro .="<td align='center'>".substr($dato->fecha,0,10)."</td>";
        if($dato->tipopersona!='JURIDICA')
		    $registro .="<td align='left'>".utf8_encode($dato->cliente)."</td>";
        else
            $registro .="<td align='left'>".utf8_encode($dato->razonsocial)."</td>";
        $registro .="<td align='left'>".utf8_encode($dato->celular)."</td>";
        if($dato->idmovimientoref>0 && $dato->idmovimientoref!=""){
            $dat=$objMovimiento->obtenerDataSQL("select * from movimiento where idmovimiento=".$dato->idmovimientoref)->fetchObject();
            if($dat->idtipomovimiento==9){
                $registro .="<td align='left'>".utf8_encode($dat->numero)."</td>";
                $registro.="<td align='center'>".number_format($dat->total - $dat->totalpagado,2,'.','')."</td>";
            }elseif($dat->idtipomovimiento==2){
                $dat=$objMovimiento->obtenerDataSQL("select * from movimiento where idmovimiento=".$dat->idmovimientoref)->fetchObject();
                $registro .="<td align='left'>".utf8_encode($dat->numero)."</td>";    
                $registro.="<td align='center'>".number_format($dat->total - $dat->totalpagado,2,'.','')."</td>";    
            }
        }else{
            $registro .="<td align='center'> - </td>";
            $registro .="<td align='center'> - </td>";    
        }
        $registro .="<td align='center'>".$dato->comentario."</td>";
        $registro .="<td align='center'>".utf8_encode($dato->tarjeta)."<a href='javascript:void(0);' onclick=\"tarjeta($dato->idmovimiento,'$dato->numero','$dato->tarjeta')\" title='Tarjeta'><img src='img/info_icon&16.png' width='16px' height='16px'/></a></td>";
        $registro .="<td align='center'>".utf8_encode($dato->tarjetatienda)."</td>";
        if($dato->tarjetatienda=="S"){
            if($dato->placatienda!="S"){
                $registro .="<td align='center'><a href='javascript:void(0)' onclick=\"if(confirm('Tramite Nro. $dato->numero tiene la placa en tienda?')){placaTienda($dato->idmovimiento);}\"><img src='img/checkmark_icon&16'  width='16px' height='16px' /></a></td>";    
            }else{
                $registro .="<td align='center'>".utf8_encode($dato->placatienda)."</td>";
            }
        }else{
            $registro .="<td align='center'> - </td>";
        }
        if($dato->tarjetatienda=="S"){
            if($dato->entregotarjeta!="S"){
                $registro .="<td align='center'><a href='javascript:void(0)' onclick=\"cargoTarjeta($dato->idmovimiento,'$dato->numero','$num','".date("Y-m-d")."');\"><img src='img/checkmark_icon&16'  width='16px' height='16px' /></a></td>";
            }else{
                $registro .="<td align='center'>".utf8_encode($dato->cargotarjeta)." - ".$dato->fechatarjeta."</td>";
            }
        }else{
            $registro .="<td align='center'> - </td>";
        }
        if($dato->placatienda=="S"){
            if($dato->entregoplaca!="S"){
                $registro .="<td align='center'><a href='javascript:void(0)' onclick=\"cargoPlaca($dato->idmovimiento,'$dato->numero','$dato->cargotarjeta','".date("Y-m-d")."');\"><img src='img/checkmark_icon&16'  width='16px' height='16px' /></a></td>";
            }else{
                $registro .="<td align='center'>".utf8_encode($dato->cargoplaca)." - ".$dato->fechaplaca."</td>";
            }
        }else{
            $registro .="<td align='center'> - </td>";
        }
        if($dato->situacion=='P'){
            //$registro .="<td align='center'>PENDIENTE</td>";
            $registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea eliminar el tramite $dato->numero?')){mantenimiento('../controlador/contTramite.php?accion=Eliminar&id=".$dato->idmovimiento."')}\"><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
        }elseif($dato->situacion=='C'){
            //$registro .="<td align='center'>CANCELADO</td>";
            //$registro .="<td align='center'><a href='#' onclick=link('frmDetalleDocVenta.php?&id=".$dato->idmovimiento."')><img src='img/list_bullets_icon&16.png' width='16' height='16' title='Ver Detalle'/></a></td>";
            if($_SESSION["idrol"]!="1" && $_SESSION["idrol"]!="2"){
                $registro .="<td align='center'> - </td></tr>";
            }else{
                $registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea eliminar el tramite $dato->numero?')){eliminar('../controlador/contTramite.php?accion=Eliminar&id=".$dato->idmovimiento."')}\"><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
            }
        }elseif($dato->situacion=='A'){
            //$registro .="<td align='center'>ANULADO</td>";
            $registro .="<td align='center'> - </td></tr>";
        }
	}
	$registro = utf8_decode($registro."</table>");
	echo $registro;
}


if($accion =="generarNumero"){
    $num = $objMovimiento->consultar_numero_sigue_preventa($_POST["idtipomovimiento"],$_POST["idtipodocumento"],$_SESSION["idsucursal"]);
    $registro = "vnrodoc='$num';";
	echo utf8_decode($registro);
}

if($accion =="AgregarProductoMotor"){
    $rst = $objSerieProducto->listarSerieProducto("","",$_POST["idserieproducto"],0,$_SESSION["idsucursal"],"'I','D'","");
    $dato = $rst->fetchObject();
    if($_POST["detalle"]=="TRUE"){
        $carro = $_SESSION["carro_producto"];
    }
    $carro[$_POST["idserieproducto"]]=array("idserieproducto"=>$_POST["idserieproducto"],"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,
    "idcolor"=>$dato->idcolor,"color"=>$dato->color,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>$_POST["cantidad"],
    "chasis"=>$dato->chasis,"motor"=>$dato->motor,"dam"=>$dato->dam,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"preciocompra"=>$dato->preciocompra,"precioventa"=>$_POST["precio"],"descuento"=>$_POST["descuento"]);
    $_SESSION["carro_producto"]=$carro;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DAM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>DESCUENTO</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["motor"]."</td>";
        $registro.="<td align='center'>".$v["chasis"]."</td>";
        $registro.="<td align='center'>".$v["dam"]."</td>";
        $registro.="<td align='center'>".$v["anio"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["categoria"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProductoMotor('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
    $subtotal=round($total/1.18,2);
    $igv=round($total - $subtotal,2);
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($subtotal,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format($igv,2,'.','')."'  size='5' /></div></td><td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5'  /></td></tr></table>";
}

if($accion =="QuitarProductoMotor"){
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto"];
    unset($carro[$_POST["idserieproducto"]]);
    $_SESSION["carro_producto"]=$carro;
	$registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DAM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>DESCUENTO</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["motor"]."</td>";
        $registro.="<td align='center'>".$v["chasis"]."</td>";
        $registro.="<td align='center'>".$v["dam"]."</td>";
        $registro.="<td align='center'>".$v["anio"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["categoria"]."</td>";
        $registro.="<td align='center'>".$v["unidad"]."</td>";
        $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProductoMotor('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
    $subtotal=round($total/1.18,2);
    $igv=round($total - $subtotal,2);
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($subtotal,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format($igv,2,'.','')."'  size='5' /></div></td><td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5'  /></td></tr></table>";
}

if($accion =="AgregarDetalle"){
    $rs = $objMovimiento->listarDetalleDocumento($_POST["iddocumento"],$_SESSION["idsucursal"]);
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto"];
    while($dato=$rs->fetchObject()){    
        $carro[$dato->idproducto]=array("idproducto"=>$dato->idproducto,"codigo"=>$dato->codigo,"producto"=>$dato->producto,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"fraccion"=>$dato->cantidad%$dato->maxfraccion,"cantidad"=>($dato->cantidad-$dato->cantidad%$dato->maxfraccion)/$dato->maxfraccion,"maxfraccion"=>$dato->maxfraccion,"precioventa"=>$dato->precioventa,"preciocompra"=>$dato->preciocompra);
    }
    $rs1=$objMovimiento->listarDetalleCuota($_POST["iddocumento"],$_SESSION["idsucursal"],0);
    while($dato1=$rs1->fetchObject()){
        $carro1[$dato1->idcuota]=array("numero"=>$dato1->numero,"cuota"=>number_format($dato1->monto,2,'.',''),"fecha"=>substr($dato1->fechacancelacion,6,4)."-".substr($dato1->fechacancelacion,3,2)."-".substr($dato1->fechacancelacion,0,2));
    }
    $_SESSION["carro_producto"]=$carro;
    $_SESSION["carro_cuotas"]=$carro1;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>CODIGO</th><th>DESCRIPCION</th><th>MARCA</th><th>UNIDAD</th><th>CANTIDAD</th><th>PRECIO VENTA</th><th title='Traslado por parte de la Empresa CONSTRUCTORA DE LAS CASAS Y CIA PERU'>TRASLADO PROPIO</th><th>TOTAL</th><th>OPERACCIONES</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=$v["precioventa"]*($v["cantidad"]*$v["maxfraccion"]+$v["fraccion"]); 
        $registro.="<tr><td align='center'>".$v["codigo"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["producto"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".($v["viaje"]=="S"?"SI":"NO")."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"]*($v["cantidad"]),2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProducto('".$v["idproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($total,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format(0,2,'.','')."' size='5' /></div></td><td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5' /></td></tr></table>";
    
}

if($accion=="VentanaCliente"){
    echo '<form id="form2" name="form2"><fieldset><legend>NUEVO CLIENTE</legend>
        <table border="0" align="center">
            <tbody>
            <tr> <td>Tipo Persona:</td>
                    <td>
                        <select  name="cboTipoP" id="cboTipoP" onchange="cambiotipopersona(this.value);">
                            <option value="0">--SELECCIONE--</option>                        
                            <option value="NATURAL">NATURAL</option>     
                            <option value="JURIDICA">JURIDICA</option>     
                        </select></td>
                </tr> 
                <tr class="divnatural">
                    <td>Nombres :</td>
                    <td><input type="text" name="txtNombres" id="txtNombres" value="" /></td>
                </tr>
                <tr class="divnatural">
                    <td>Apellidos:</td>
                    <td><input type="text" name="txtApellidos" id="txtApellidos" value="" /></td>
                </tr>
                 <tr class="divjuridica">
                    <td>Razon Social:</td>
                    <td><input type="text" name="txtRazon" id="txtRazon" value="" /></td>
                </tr>
                <tr>
                    <td id="nrodoc">Nro documento:</td>
                    <td><input type="text" maxlength="11" size="11" onKeyPress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;" name="txtNrodoc2" id="txtNrodoc2" value="" onblur="validarNroCliente()" /></td>
                </tr>
                <tr>
                    <td>Direccion :</td>
                    <td><input type="text" name="txtDireccion" id="txtDireccion" value="" /></td>
                </tr>
                <tr>
                    <td>Telefono :</td>
                    <td><input type="text" name="txtTelefono" id="txtTelefono" value="" /></td>
                </tr>
                <tr><td colspan="2" align="center"><input type="button" onclick="guardarCliente();" value="GUARDAR CLIENTE" /></td></tr>
        </table></fieldset></form>';
}

if($accion =="ListaVenta"){
    $regxpag=10;
    $pag=$_POST["pag"];			
    $nr1=$_POST["totalreg"];			
    $inicio=$regxpag*($pag - 1);
    $nunPag=ceil($nr1/$regxpag);
    
    $registros = "<table id='tablaVenta' border='1' align='center'><tr><th>NRO. DOC.</th><th>CLIENTE</th></tr>";
    if($inicio==0){
    	$rs=$objMovimiento->listarDocumento(0,0,$_POST['descripcion'],"","",'',2,0,0);
    	$nr1=$rs->rowCount();
    }
    $nunPag=ceil($nr1/$regxpag);
    $limite=" limit $regxpag offset $inicio";
    $rs=$objMovimiento->listarDocumento(0,0,$_POST['descripcion'],"","",'',2,0,0);
    $nr=$rs->rowCount()*($pag);	
    //$cadena="Encontrados: $nr de $nr1";
    while($dato =$rs->fetchObject()){
        $registros .="<tr id ='c-".$dato->idmovimiento."-".$dato->idpersona."'>";
        //LO SGTE PARA OBTENER LA PORSION DE TEXTO QUE COINCIDE Y CAMBIARLE DE ESTILO, $cadena2 -> estÃ¡ variable contiene el valor q coincide, al cual lo ubico en una etiqueta span para cambiarle de estilo.
        $nombre = utf8_decode(SUBSTR($dato->tipodocumento,0,1)." ".$dato->numero);
		$posicion  = stripos($nombre, $_POST["descripcion"]);
		if($posicion>-1){
			$cadena1 = substr($nombre, 0, $posicion);
			$cadena2 = substr($nombre, $posicion, strlen($_POST["descripcion"]));
			$cadena3 = substr($nombre, ($posicion + strlen($_POST["descripcion"])));
			
			$data = $cadena1.'<span>'.$cadena2.'</span>'.$cadena3;
			$registros.= "<td id='vventa'>".$data."</td>";
		}else{
			$registros.= "<td id='vventa'>".$nombre."</td>";
		}
        if($dato->tipopersona=="NATURAL"){
            $registros.="<td id='vcliente'>".utf8_decode($dato->cliente)."</td>";
        }else{
            $registros.="<td id='vcliente'>".utf8_decode($dato->razonsocial)."</td>";
        }
        $registros .="</tr>";
    }
	$registros.="</table>";
 //INICIO PAGINACION
   $registros.='<table align="center" border="0" id="tablaPaginacion"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pagVenta').value=";
   $medio=";buscarVenta()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden' name='TotalRegVenta' id='TotalRegVenta' value='$nr1' />";

   $registros = utf8_encode($registros);
   echo $registros;
}

if($accion =="AgregarDetalleVenta"){
    $dat=$objMovimiento->obtenerDataSQL("select * from movimiento where idmovimiento = (select idmovimientoref from movimiento where idmovimiento=".$_POST["iddocumento"].")")->fetchObject();
    if($dat->idtipomovimiento==9){//CONTRATO
        $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($dat->idmovimiento,$_SESSION["idsucursal"]);
    }else{
        $rs = $objMovimiento->listarDetalleDocumentoSerieSalida($dat->idmovimiento,$_SESSION["idsucursal"]);
    }
    while($dato=$rs->fetchObject()){
        if($dat->idtipomovimiento!=9){//CONTRATO
            $idserie = $objMovimiento->obtenerDataSQL("select idproducto from detallemovalmacen where idmovimiento=".$_POST["iddocumento"])->fetchObject()->idproducto;
            if($idserie==$dato->idserieproducto){
                $carro[$dato->idserieproducto]=array("idserieproducto"=>$dato->idserieproducto,"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,
                "idcolor"=>$dato->idcolor,"color"=>$dato->color,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>1,
                "chasis"=>$dato->chasis,"motor"=>$dato->motor,"dam"=>$dato->dam,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"preciocompra"=>$dato->preciocompra,"precioventa"=>$dato->precioventa);                
            }
        }else{
            $carro[$dato->idserieproducto]=array("idserieproducto"=>$dato->idserieproducto,"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,
            "idcolor"=>$dato->idcolor,"color"=>$dato->color,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>1,
            "chasis"=>$dato->chasis,"motor"=>$dato->motor,"dam"=>$dato->dam,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"preciocompra"=>$dato->preciocompra,"precioventa"=>$dato->precioventa);
        }
    }
    $_SESSION["carro_producto"]=$carro;
	$registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DAM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["motor"]."</td>";
        $registro.="<td align='center'>".$v["chasis"]."</td>";
        $registro.="<td align='center'>".$v["dam"]."</td>";
        $registro.="<td align='center'>".$v["anio"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["categoria"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        //$registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td></tr>";
    }
	echo $registro."</table>"; 
}

if($accion =="ListaContrato"){
    $regxpag=10;
    $pag=$_POST["pag"];			
    $nr1=$_POST["totalreg"];			
    $inicio=$regxpag*($pag - 1);
    $nunPag=ceil($nr1/$regxpag);
    
    $registros = "<table id='tablaContrato' border='1' align='center'><tr><th>NRO. DOC.</th><th>CLIENTE</th></tr>";
    if($inicio==0){
    	$rs=$objMovimiento->listarDocumento(0,17,$_POST['descripcion'],"","",'',9,0,0);
    	$nr1=$rs->rowCount();
    }
    $nunPag=ceil($nr1/$regxpag);
    $limite=" limit $regxpag offset $inicio";
    $rs=$objMovimiento->listarDocumento(0,17,$_POST['descripcion'],"","",'',9,0,0);
    $nr=$rs->rowCount()*($pag);	
    //$cadena="Encontrados: $nr de $nr1";
    while($dato =$rs->fetchObject()){
        $registros .="<tr id ='c-".$dato->idmovimiento."-".$dato->idpersona."'>";
        //LO SGTE PARA OBTENER LA PORSION DE TEXTO QUE COINCIDE Y CAMBIARLE DE ESTILO, $cadena2 -> estÃ¡ variable contiene el valor q coincide, al cual lo ubico en una etiqueta span para cambiarle de estilo.
        $nombre = utf8_decode($dato->numero);
		$posicion  = stripos($nombre, $_POST["descripcion"]);
		if($posicion>-1){
			$cadena1 = substr($nombre, 0, $posicion);
			$cadena2 = substr($nombre, $posicion, strlen($_POST["descripcion"]));
			$cadena3 = substr($nombre, ($posicion + strlen($_POST["descripcion"])));
			
			$data = $cadena1.'<span>'.$cadena2.'</span>'.$cadena3;
			$registros.= "<td id='vcontrato'>".$data."</td>";
		}else{
			$registros.= "<td id='vcontrato'>".$nombre."</td>";
		}
        $registros.="<td id='vcliente'>".utf8_decode($dato->cliente)."</td>";
        $registros .="</tr>";
    }
	$registros.="</table>";
 //INICIO PAGINACION
   $registros.='<table align="center" border="0" id="tablaPaginacion"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pagcontrato').value=";
   $medio=";buscarContrato()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden' name='TotalRegContrato' id='TotalRegContrato' value='$nr1' />";

   $registros = utf8_encode($registros);
   echo $registros;
}

if($accion =="AgregarDetalleContrato"){
    $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($_POST["iddocumento"],$_SESSION["idsucursal"]);
    while($dato=$rs->fetchObject()){
        $carro[$dato->idserieproducto]=array("idserieproducto"=>$dato->idserieproducto,"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,
        "idcolor"=>$dato->idcolor,"color"=>$dato->color,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>1,
        "chasis"=>$dato->chasis,"motor"=>$dato->motor,"dam"=>$dato->dam,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"preciocompra"=>$dato->preciocompra,"precioventa"=>$dato->precioventa);
    }
    $_SESSION["carro_producto"]=$carro;
	$registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DAM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["motor"]."</td>";
        $registro.="<td align='center'>".$v["chasis"]."</td>";
        $registro.="<td align='center'>".$v["dam"]."</td>";
        $registro.="<td align='center'>".$v["anio"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["categoria"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        //$registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td></tr>";
    }
	echo $registro."</table>"; 
}

if($accion=="GuardarTarjeta"){
    $band=$objMovimiento->ejecutarSQL("update movimiento set tarjeta='".trim($_POST["tarjeta"])."',tarjetatienda='S' where idmovimiento=".$_POST["idmovimiento"]);
    echo "vmsg='Guardado Correctamente';";
}

if($accion=="PlacaTienda"){
    $band=$objMovimiento->ejecutarSQL("update movimiento set placatienda='S' where idmovimiento=".$_POST["idmovimiento"]);
    echo "vmsg='Guardado Correctamente';";
}

if($accion=="CargoTarjeta"){
    $band=$objMovimiento->ejecutarSQL("update movimiento set entregotarjeta='S',fechatarjeta='".$_POST["fecha"]."',cargotarjeta='".$_POST["cargo"]."' where idmovimiento=".$_POST["idmovimiento"]);
    echo "vmsg='Guardado Correctamente';";
}

if($accion=="CargoPlaca"){
    $band=$objMovimiento->ejecutarSQL("update movimiento set entregoplaca='S',fechaplaca='".$_POST["fecha"]."',cargoplaca='".$_POST["cargo"]."' where idmovimiento=".$_POST["idmovimiento"]);
    echo "vmsg='Guardado Correctamente';";
}
?>