<?php

include_once("../cado/cado.php");

class Maquinaria extends clsAccesoDatos{
    // Constructor de la clase
	    public function __construct(){		
		  parent::__construct();
	    }
	
	function insertarMaquinaria($equipo,$marca,$placa,$situacion,$idpersona,$nrocarril,$consumi){
		$sql = "select insertar_maquinaria '$equipo','$marca','$placa','$situacion',$idpersona,$nrocarril,$consumo";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
	
	function modificarMaquinaria($id,$equipo,$marca,$placa,$situacion,$idpersona,$nrocarril,$consumo){
		$sql = "select modificar_maquinaria $id,'$equipo','$marca','$placa','$situacion',$idpersona,$nrocarril,$consumo";
		$modificar = clsAccesoDatos::ejecutarSP($sql);
		return $modificar==0?0:$this->gError[2];		
	}	

	function eliminarMaquinaria($id){
		$sql = "select eliminar_maquinaria($id)";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
	function listarMaquinaria($id,$descripcion="",$limite=""){
		$sql = "select m.*,(p.nombres || ' ' || p.apellidos) as persona from maquinaria m inner join persona p on p.idpersona=m.idpersona where m.estado='N'";
		if($id!=0){
			$sql=$sql." and m.idmaquinaria=$id";
		}
		if($descripcion!=""){
			$sql=$sql." and (m.equipo LIKE '%$descripcion%' or m.marca like '%$descripcion%' or m.placa like '%$descripcion%')";
		}
		$sql=$sql." order by m.idmaquinaria";
		
		if($limite!=""){
			$sql=$sql." ".$limite;
		}
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;		
	}
	public function listarOperador($id,$tipopersona="",$nombres="",$limite=""){
			$sql = "select p.* from persona p where p.idpersona not in (select m.idpersona from maquinaria m where m.estado='N') and p.estado='N'";
			if($id!=0 && isset($id)){
				$sql = $sql." and p.idpersona = $id";
			}
			if($tipopersona!=""){
				$sql.=" and p.tipopersona='$tipopersona'";				
			}
			if($nombres!=""){
					$sql = $sql." and ((p.nombres || ' ' || p.apellidos) like '%$nombres%' or (p.razonsocial) like '%$nombres%')";
			}		
			$sql = $sql." order by p.idpersona";
			if($limite!=""){
				$sql= $sql." ".$limite;
			}
			$SQLr = clsAccesoDatos::obtenerDataSQL($sql);
			return $SQLr;
		}
	function listarParteDiario($id,$idsucursal,$fecha=""){
		$sql = "select v.*,m.equipo,(p.nombres || ' ' || p.apellidos) as operador, (m.equipo || ' ' || m.marca || ' ' || m.placa) as vehiculo from viaje v inner join persona p on p.idpersona=v.idpersona inner join maquinaria m on m.idmaquinaria=v.idmaquinaria where v.estado!='A' and v.idsucursal=$idsucursal";
		if($id!=0){
			$sql=$sql." and v.idviaje=$id";
		}
		if($fecha!=""){
			if(strlen($fecha)>10){
                $sql = $sql . " and v.fecha ='$fecha'";
            }else{
                $sql = $sql . " and v.fecha ='$fecha 00:00:00'";
            }
		}
		$sql.=" order by v.estado,v.idviaje";
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;		
	}	
	function listarParteDiarioRep($id,$idsucursal,$fechaini,$fechafin,$idmaquinaria=0){
		$sql = "select v.*,m.equipo,(p.nombres || ' ' || p.apellidos) as operador, (m.equipo || ' ' || m.marca || ' ' || m.placa) as vehiculo from viaje v inner join persona p on p.idpersona=v.idpersona inner join maquinaria m on m.idmaquinaria=v.idmaquinaria where v.estado!='A' and v.idsucursal=$idsucursal";
		if($id!=0){
			$sql=$sql." and v.idviaje=$id";
		}
		if($fechaini!=""){
			if(strlen($fechaini)>10){
                $sql = $sql . " and v.fecha >='$fechaini'";
            }else{
                $sql = $sql . " and v.fecha >='$fechaini 00:00:00'";
            }
		}
		if($fechafin!=""){
			if(strlen($fechafin)>10){
                $sql = $sql . " and v.fecha <='$fechafin'";
            }else{
                $sql = $sql . " and v.fecha <='$fechafin 00:00:00'";
            }
		}
        if($idmaquinaria!=0){
            $sql =$sql." and v.idmaquinaria=".$idmaquinaria;
        }
		$sql.=" order by v.fecha,v.estado,v.idviaje";
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;		
	}	
    
    function listarLugarDetalleViaje($idmaquinaria,$idsucursal,$fechainicial,$fechafinal){
        $sql="select dv.idorigen,dv.iddestino,o.descripcion as origen,d.descripcion as destino
        from detalleviaje dv
        inner join lugar o on o.idlugar=dv.idorigen
        inner join lugar d on d.idlugar=dv.iddestino
        inner join viaje v on v.idviaje=dv.idviaje
        where v.idsucursal=$idsucursal";
        if($idmaquinaria!=0)
            $sql = $sql." and v.idmaquinaria=$idmaquinaria";
        if($fechaini!=""){
			if(strlen($fechaini)>10){
                $sql = $sql . " and v.fecha >='$fechaini'";
            }else{
                $sql = $sql . " and v.fecha >='$fechaini 00:00:00'";
            }
		}
		if($fechafin!=""){
			if(strlen($fechafin)>10){
                $sql = $sql . " and v.fecha <='$fechafin'";
            }else{
                $sql = $sql . " and v.fecha <='$fechafin 00:00:00'";
            }
		}
        $sql.= " group by dv.idorigen,dv.iddestino,o.descripcion,d.descripcion";
        $sql.= " order by o.descripcion asc";
        //echo $sql;
       	$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;
    }
    
	function insertarViaje($fecha,$petroleo,$idmaquinaria,$kminicial,$horoinicial,$idpersona,$nro,$obs,$idsucursal){
		$sql="select insertar_viaje('$fecha',$petroleo,$idmaquinaria,$kminicial,$horoinicial,$idpersona,'$nro','$obs',$idsucursal) as idviaje";
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;	
		
	}
	function modificarViaje($idviaje,$fecha,$petroleo,$idmaquinaria,$kminicial,$horoinicial,$idpersona,$nro,$obs,$idsucursal){
		$sql="select modificar_viaje $idviaje,'$fecha',$petroleo,$idmaquinaria,$kminicial,$horoinicial,$idpersona,'$nro','$obs',$idsucursal";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];	
		
	}
	function insertardetalleviaje($idviaje,$horainicio,$horafin,$idorigen,$iddestino,$idproducto,$idsucursal,$precio,$idunidad,$tipo,$cantidad,$cantidadkm,$cantidadhora,$numviajes){
		$sql="select insertar_detalleviaje $idviaje,'$horainicio','$horafin',$idorigen,$iddestino,$idproducto,$idsucursal,$precio,$idunidad,'$tipo',$cantidad,$cantidadkm,$cantidadhora,$numviajes";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];	
		
	}
	function eliminardetalleviaje($idviaje,$idsucursal){
		$sql="select eliminar_detalleviaje($idviaje,$idsucursal)";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];	
		
	}
	function generarparte($idsucursal){
        $sql="select nroparte from viaje where idsucursal=".$idsucursal." and nroparte!='0' and estado!='A'";
        $sql.=" ORDER BY idviaje DESC LIMIT 1";
		$registro=clsAccesoDatos::obtenerDataSQL($sql);
	    if($registro->rowCount()>0){
	       
		  $dato=$registro->fetchObject();
		  $num= $dato->nroparte;
		  $year=substr($num,7,4);		  
		  $year2=date('Y');
		  if($year!=$year2){
			  $num='000000';
			}else{
				$num=substr($num,0,6)+1;
				$num2='000000';
				$num=substr($num2,0,6-strlen($num)).$num;
			}
		}else{
		  $num="000001";
		}
        return $num."-".date("Y");
    }
	
	function listardetalleviaje($idviaje){
		$sql="select dv.*,v.*,p.descripcion as producto,o.descripcion as origen,d.descripcion as destino 
                from detalleviaje dv 
                inner join viaje v on v.idviaje=dv.idviaje 
                inner join producto p on p.idproducto=dv.idproducto 
                inner join lugar as o on o.idlugar=dv.idorigen
                inner join lugar as d on d.idlugar=dv.iddestino
                where v.idviaje=$idviaje";
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;
	}
    
    function listardetalleviajeagrupado($idviaje){
		$sql="select dv.idorigen,dv.iddestino,o.descripcion as origen,d.descripcion as destino,sum(numeroviajes) as numeroviajes 
                from detalleviaje dv 
                inner join lugar as o on o.idlugar=dv.idorigen
                inner join lugar as d on d.idlugar=dv.iddestino
                where dv.idviaje=$idviaje
                group by dv.idorigen,dv.iddestino,o.descripcion,d.descripcion                
                ";
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;
	}
    
	function finalizarParteDiario($idviaje,$kminicial,$horofinal){
		$sql="select finalizar_viaje($idviaje,$kminicial,$horofinal)";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar;	
	}
	function eliminarParteDiario($idviaje){
		$sql="select eliminar_viaje($idviaje)";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar;	
	}
	function listarDetallesMovConViaje($fechaini,$fechafin,$descripcion){
		$sql="select da.*,m.numero as nromovimiento,p.descripcion as producto from detallemovalmacen da inner join movimiento m on m.idmovimiento=da.idmovimiento inner join producto p on p.idproducto=da.idproducto  where da.viaje='S'";
		if($descripcion!=""){
			$sql=$sql." and p.descripcion like '%$descripcion%'";
		}
		if(strlen($fechaini)>10){
                $sql = $sql . " and m.fecha >='$fechaini'";
            }else{
                $sql = $sql . " and m.fecha >='$fechaini 00:00:00'";
            }
		if(strlen($fechafin)>10){
                $sql = $sql . " and m.fecha <='$fechafin'";
            }else{
                $sql = $sql . " and m.fecha <='$fechafin 00:00:00'";
            }
		$insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;
	}

}

?>