<?php
session_start();
include_once("../cado/cado.php");

class Movimiento extends clsAccesoDatos{
    // Constructor de la clase
    public function __construct(){		
		  parent::__construct();
	}
	 
	function insertarMovimiento($idsucursal,$numero,$formapago,$fecha,$subtotal,$igv,$total,$comentario,$idpersona,$idresponsable,$idtipomovimiento,$idtipodocumento,$idconceptopago,$idmotivotraslado,$idtransportista,$fechainiciotraslado,$idlugarpartida,$idlugardestino,$situacion,$idmovimientoref,$idsucursalref,$descuento=0,$percepcion=0,$credito=0,$idtipotarjeta=0,$totalpagado=0){
		$sql = "select insertar_movimiento($idsucursal,'$numero','$formapago',$fecha,'$subtotal','$igv','$total','$comentario',$idpersona,$idresponsable,$idtipomovimiento,$idtipodocumento,$idconceptopago,$idmotivotraslado,$idtransportista,$fechainiciotraslado,$idlugarpartida,$idlugardestino,'$situacion',$idmovimientoref,$idsucursalref,$descuento,$percepcion,$credito,$idtipotarjeta,$totalpagado) as idmovimiento";
        $insertar = clsAccesoDatos::obtenerDataSQL($sql);
        return $insertar;	
	}
	 
	function modificarMovimiento($idsucursal,$id,$numero,$formapago,$fecha,$subtotal,$igv,$total,$comentario,$idpersona,$idresponsable,$idtipomovimiento,$idtipodocumento,$idconceptopago,$idmotivotraslado,$idtransportista,$fechainiciotraslado,$idlugarpartida,$idlugardestino,$situacion,$idmovimientoref,$idsucursalref,$descuento=0,$percepcion=0,$credito=0,$idtipotarjeta=0,$totalpagado=0){
		$sql = "select modificar_movimiento $idsucursal,$id,'$numero','$formapago',$fecha,'$subtotal','$igv','$total','$comentario',$idpersona,$idresponsable,$idtipomovimiento,$idtipodocumento,$idconceptopago,$idmotivotraslado,$idtransportista,$fechainiciotraslado,$idlugarpartida,$idlugardestino,$situacion,$idmovimientoref,$idsucursalref,$descuento,$percepcion,$credito";
        $modificar = clsAccesoDatos::ejecutarSP($sql);
		return $modificar==0?0:$this->gError[2];			
	}
    
    function modificarSituacionMovimiento($idsucursal,$idmovimiento,$situacion){
        $sql = "select modificar_situacionmovimiento $idsucursal,$idmovimiento,'$situacion'";
        $modificar = clsAccesoDatos::ejecutarSP($sql);
		return $modificar==0?0:$this->gError[2];			
    }	

	function eliminarMovimiento($idmovimiento,$idsucursal){
		$sql = "select eliminar_movimiento $idmovimiento,$idsucursal";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
    
    function eliminarMovimientoRef($idmovimientoref,$idsucursalref){
        $sql = "select eliminar_movimientoref $idmovimientoref,$idsucursalref";
        $eliminar = clsAccesoDatos::ejecutarSP($sql);
        return $eliminar==0?0:$this->gErrror[2];
    }
    
    function agregarStock($idsucursal,$idproducto,$idunidad,$stock,$idmovimiento,$moneda,$preciounidad,$fecha,$idusuario,$operacion){
        $sql = "select up_AgregarStockProducto $idsucursal,$idproducto,$idunidad,$stock,$idmovimiento,'$moneda',$preciounidad,'$fecha',$idusuario,'$operacion'";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];
    }
    
    function insertarDetalleMovAlmacen($idsucursal,$idmovimiento,$idproducto,$idunidad,$cantidad,$preciocompra,$precioventa,$descuento=0,$viaje='N'){
        $sql = "select insertar_detallemovalmacen $idsucursal,$idmovimiento,$idproducto,$idunidad,$cantidad,$preciocompra,$precioventa,$descuento,'$viaje'";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];
    }
    
    function insertarDetalleMovAlmacen2($idsucursal,$idmovimiento,$idproducto,$idunidad,$cantidad,$preciocompra,$precioventa,$descuento=0){
        $sql = "select insertar_detallemovalmacen2($idsucursal,$idmovimiento,$idproducto,$idunidad,$cantidad,$preciocompra,$precioventa,$descuento) as iddetalle";
        $insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;
    }
    
    function eliminarDetalleMovAlmacen($idmovimiento,$idsucursal){
        $sql = "select eliminar_detallemovalmacen $idmovimiento,$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSP($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function insertarSerieProducto($idproducto,$numero,$fechaingreso,$idmovimientoserieentrada,$idsucursal,$dam,$motor,$chasis,$anio,$iddetallemovalmacen,$item){
        $sql = "select insertar_serieproducto $idproducto,'$numero','$fechaingreso',$idmovimientoserieentrada,$idsucursal,'$dam','$motor','$chasis','$anio',$iddetallemovalmacen,'$item'";
        $eliminar = clsAccesoDatos::ejecutarSP($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function extornarEntrada($id,$idsucursal){
        $sql="update serieproducto set estado='A' where idmovimientoserieentrada=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];        
    }
    
    function actualizarSerieFactura($id,$idsucursal,$idmovimiento){
        $sql="update serieproducto set idmovimientofactura=$idmovimiento where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function extornarSerieFactura($id,$idsucursal){
        $sql="update serieproducto set idmovimientofactura=null where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function actualizarSerieArmado($id,$idsucursal,$idmovimiento){
        $sql="update serieproducto set idmovimientoarmado=$idmovimiento,situacion='A' where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function extornarSerieArmado($id,$idsucursal){
        $sql="update serieproducto set idmovimientoarmado=null,situacion='E' where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }

    function actualizarSerieEnsamblado($id,$idsucursal,$idmovimiento){
        $sql="update serieproducto set idmovimientoensamblado=$idmovimiento,situacion='E' where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function extornarSerieEnsamblado($id,$idsucursal){
        $sql="update serieproducto set idmovimientoensamblado=null,situacion='I' where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function actualizarSerieTapizado($id,$idsucursal,$idmovimiento,$detalleenvio){
        $sql="update serieproducto set idmovimientotapizado=$idmovimiento,situacion='T',detalleenvio='$detalleenvio' where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function extornarSerieTapizado($id,$idsucursal){
        $sql="update serieproducto set idmovimientotapizado=null,situacion='A',detalleenvio='',detallerecibido='' where idserieproducto=$id and idsucursal=$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSQL($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
	function listarDocumento($iddocumento,$idtipodocumento,$nrodocumento,$fechainicio,$fechafin,$estado='',$idtipomovimiento=0,$idresponsable=0,$idpersona=0,$idmovimientoref=0,$idsucursalref=0,$idmovimientomayor=0,$formapago='',$situacion='',$order='',$by='',$cliente='',$tarjeta=''){
		$sql = "select m.idsucursal,m.idmovimiento,m.numero,m.fecha,m.idtipodocumento,td.descripcion as tipodocumento,td.abreviatura,td.stock,m.idtipomovimiento,tm.descripcion as tipomovimiento,p.idpersona,p.nombres,p.apellidos,m.comentario,m.total,CONCAT(c.apellidos,' ',c.nombres) as cliente,c.tipopersona,c.razonsocial,m.idpersona,m.estado,
        m.situacion,cp.descripcion as conceptopago,cp.tipo as tipoconcepto,m.formapago,m.idmovimientoref,m.idsucursalref,m.formapago,m.moneda,m.incluyeigv,m2.numero as numeroref,m.idtipocompra,m.totalefectivo,c.celular,m.idtransportista,m.cargoplaca,m.cargotarjeta,m.tarjeta,m.entregotarjeta,m.entregoplaca,m.placatienda,m.tarjetatienda,
        c.nrodoc as nrodocpersona,m.subtotal,m.igv,cp.idconceptopago,(select sum(montopagado) from cuota where m.idmovimiento=idmovimiento and m.idsucursal=idsucursal group by idmovimiento,idsucursal) as montopagado,c.direccion,m.fechainiciotraslado,lp.descripcion as lugarpartida,ld.descripcion as lugardestino,m.idtipotarjeta,m.totalpagado,
        m.fechatarjeta,m.fechaplaca,m2.idtipomovimiento as idtipomovimientoref,m.idresponsable
        from movimiento as m 
        inner join tipodocumento as td on td.idtipodocumento=m.idtipodocumento
        inner join tipomovimiento as tm on tm.idtipomovimiento=m.idtipomovimiento
        left join conceptopago as cp on cp.idconceptopago=m.idconceptopago
        LEFT join persona as p on p.idpersona=m.idresponsable
        LEFT join persona as c on c.idpersona=m.idpersona
        left join lugartraslado lp on lp.idlugartraslado=m.idlugarpartida
        left join lugartraslado ld on ld.idlugartraslado=m.idlugardestino
        left join movimiento as m2 on m2.idmovimiento=m.idmovimientoref and m2.idsucursal=m.idsucursalref
        where 1=1 ";
        if($idsucursalref!=0){
            $sql = $sql . " and m.idsucursalref=$idsucursalref";
        }else{
            $sql = $sql . " and m.idsucursal= ".$_SESSION['idsucursal'];
        }
		if($iddocumento!=0){
			$sql = $sql . " and m.idmovimiento=$iddocumento";
        }
        if($idmovimientoref!=0){
			$sql = $sql . " and m.idmovimientoref=$idmovimientoref";
        }
        if($idtipodocumento!=0){
            $sql = $sql . " and m.idtipodocumento=$idtipodocumento";
        }
        if($idtipomovimiento!=0){
            $sql = $sql . " and m.idtipomovimiento=$idtipomovimiento";
        }
        if($idresponsable!=0){
            $sql = $sql . " and m.idresponsable=$idresponsable";   
        }
        if($nrodocumento!=''){
            $sql = $sql . " and m.numero like '%$nrodocumento%'";   
        }
        if($fechainicio!=''){
            if(strlen($fechainicio)>10){
                $sql = $sql . " and m.fecha >='$fechainicio'";
            }else{
                $sql = $sql . " and m.fecha >='$fechainicio 00:00:00'";
            }
        }
        if($fechafin!=''){
            if(strlen($fechafin)>10){
                $sql = $sql . " and m.fecha <='$fechafin'";
            }else{
                $sql = $sql . " and m.fecha <='$fechafin 23:59:59'";
            }
        }
        if($idpersona!=0){
            $sql = $sql . " and m.idpersona=$idpersona";
        }
        if($estado!=''){
            $sql = $sql . " and m.estado in (".$estado.")";
        }else{
            $sql = $sql . " and m.estado='N'";
        }
        if($idmovimientomayor>0){
            $sql = $sql . " and m.idmovimiento>=$idmovimientomayor ";
        }
        if($formapago!=''){
            $sql = $sql . " and m.formapago like '%$formapago%'";
        }
		if($situacion!=''){
            $sql = $sql . " and m.situacion='$situacion'";
        }
        if($cliente!=""){
            $sql = $sql . " and CONCAT(c.apellidos,' ',c.nombres,' ',c.razonsocial) like '%$cliente%'";
        }
        if($tarjeta!=""){
            $sql = $sql . " and m.tarjeta like '%$tarjeta%'";
        }
        if($idmovimientomayor>0 || $order=='Caja'){
           if($by!=''){
              $sql = $sql . " order by $by desc";
           }else{
              $sql = $sql . " order by m.idmovimiento,m.fecha,m.numero desc";
           }
        }elseif($by!=""){
           $sql = $sql . " order by $by desc";
        }else{
           $sql = $sql . " order by m.fecha,m.numero desc";
        }    
//echo $sql;
		return clsAccesoDatos::obtenerDataSQL($sql);		
	}	
    
    function listarDocumentosinref($iddocumento,$idtipodocumento,$nrodocumento,$fechainicio,$fechafin,$estado='',$idtipomovimiento=0,$idresponsable=0,$idpersona=0,$idmovimientoref=0,$idsucursalref=0,$formapago='',$situacion='',$order='',$by=''){
		$sql = "select m.idsucursal,m.idmovimiento,m.numero,m.fecha,m.idtipodocumento,td.descripcion as tipodocumento,td.abreviatura,td.stock,m.idtipomovimiento,tm.descripcion as tipomovimiento,p.idpersona,p.nombres,p.apellidos,m.comentario,m.total,c.apellidos||' '||c.nombres as cliente,c.tipopersona,c.razonsocial,m.idpersona,m.estado,m.situacion,cp.descripcion as conceptopago,cp.tipo as tipoconcepto,m.formapago,m.idmovimientoref,m.idsucursalref,m.formapago,
        c.nrodoc as nrodocpersona,m.subtotal,m.igv,cp.idconceptopago,(select sum(montopagado) from cuota where m.idmovimiento=idmovimiento and m.idsucursal=idsucursal group by idmovimiento,idsucursal) as montopagado,c.direccion,m.fechainiciotraslado,lp.descripcion as lugarpartida,ld.descripcion as lugardestino,m.idtransportista,m2.numero as numeroref
        from movimiento as m 
        inner join tipodocumento as td on td.idtipodocumento=m.idtipodocumento
        inner join tipomovimiento as tm on tm.idtipomovimiento=m.idtipomovimiento
        left join conceptopago as cp on cp.idconceptopago=m.idconceptopago
        LEFT join persona as p on p.idpersona=m.idresponsable
        LEFT join persona as c on c.idpersona=m.idpersona
        left join lugartraslado lp on lp.idlugartraslado=m.idlugarpartida
        left join lugartraslado ld on ld.idlugartraslado=m.idlugardestino
        left join movimiento as m2 on m2.idmovimiento=m.idmovimientoref and m2.estado='N'
        where m.idmovimiento not in (select idmovimientoref from movimiento where idsucursal=m.idsucursal and estado='N') ";
        if($idsucursalref!=0){
            $sql = $sql . " and m.idsucursalref=$idsucursalref";
        }else{
            $sql = $sql . " and m.idsucursal= ".$_SESSION['idsucursal'];
        }
        if($iddocumento!=0){
            $sql = $sql . " and m.idmovimiento=$iddocumento";
        }
        if($idmovimientoref!=0){
            $sql = $sql . " and m.idmovimientoref=$idmovimientoref";
        }
        if($idmovimientoref=="-1"){
            $sql = $sql . " and m.idmovimientoref=0";
        }
        if($idtipodocumento!=0){
            $sql = $sql . " and m.idtipodocumento=$idtipodocumento";
        }
        if($idtipomovimiento!=0){
            $sql = $sql . " and m.idtipomovimiento=$idtipomovimiento";
        }
        if($idresponsable!=0){
            $sql = $sql . " and m.idresponsable=$idresponsable";   
        }
        if($nrodocumento!=''){
            $sql = $sql . " and m.numero like '%$nrodocumento%'";   
        }
        if($fechainicio!=''){
            if(strlen($fechainicio)>10){
                $sql = $sql . " and m.fecha >='$fechainicio'";
            }else{
                $sql = $sql . " and m.fecha >='$fechainicio 00:00:00'";
            }
        }
        if($fechafin!=''){
            if(strlen($fechafin)>10){
                $sql = $sql . " and m.fecha <='$fechafin'";
            }else{
                $sql = $sql . " and m.fecha <='$fechafin 23:59:59'";
            }
        }
        if($idpersona!=0){
            $sql = $sql . " and m.idpersona=$idpersona";
        }
        if($estado!=''){
            $sql = $sql . " and m.estado in (".$estado.")";
        }else{
            $sql = $sql . " and m.estado='N'";
        }
        if($formapago!=''){
            $sql = $sql . " and m.formapago like '%$formapago%'";
        }
        if($situacion!=''){
            $sql = $sql . " and m.situacion='$situacion'";
        }
        $sql = $sql . " order by m.fecha,m.numero desc";  
//echo $sql;
		return clsAccesoDatos::obtenerDataSQL($sql);		
	}	
    /*
    function listarCuentasxCobrar(){
        $sql ="select m.idsucursal,m.idmovimiento,m.numero,m.fecha,m.idtipodocumento,td.descripcion as tipodocumento,td.abreviatura,td.stock,m.idtipomovimiento,tm.descripcion as tipomovimiento,p.idpersona,p.nombres,p.apellidos,m.comentario,m.total,CONCAT(c.apellidos,' ',c.nombres) as cliente,c.tipopersona,c.razonsocial,m.idpersona,m.estado,m.situacion,cp.descripcion as conceptopago,cp.tipo as tipoconcepto,m.formapago,m.idmovimientoref,m.idsucursalref,m.formapago,c.nrodoc as nrodocpersona,m.subtotal,m.igv,cp.idconceptopago
        from movimiento as m 
        inner join tipodocumento as td on td.idtipodocumento=m.idtipodocumento
        inner join tipomovimiento as tm on tm.idtipomovimiento=m.idtipomovimiento
        left join conceptopago as cp on cp.idconceptopago=m.idconceptopago
        LEFT join persona as p on p.idpersona=m.idresponsable
        LEFT join persona as c on c.idpersona=m.idpersona
        where 1=1";
        
    }*/
    function listarDetalleDocumento($iddocumento,$idsucursal,$descproducto="",$idproducto=0){
        $sql = "select dma.idmovimiento,dma.idproducto,p.codigo,p.descripcion as producto,m.idmarca,m.descripcion as marca,u.idunidad,u.descripcion as unidad,lu.formula as maxfraccion,dma.preciocompra,dma.precioventa,dma.cantidad,dma.descuento,dma.viaje,p.kardex,
        mo.idmodelo,mo.descripcion as modelo,co.idcolor,co.descripcion as color
        from detallemovalmacen as dma
        inner join producto as p on p.idproducto=dma.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo
        left join color co on co.idcolor=p.idcolor
        inner join unidad as u on u.idunidad= dma.idunidad and p.idunidadbase=u.idunidad
        inner join listaunidad as lu on lu.idproducto=dma.idproducto and  p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where idmovimiento = $iddocumento and dma.idsucursal=$idsucursal";
		if($descproducto!=""){
			$sql=$sql." and p.descripcion like '%$descproducto%'";
		}
		if($idproducto!=0){
			$sql=$sql." and p.idproducto=$idproducto";
		}
        $sql=$sql." order by p.descripcion asc";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function listarDetalleDocumentoSerieEntrada($iddocumento,$idsucursal,$factura="",$idmovimientofactura="0",$idmovimientoarmado="0",$idmovimientoensamblado="0",$idmovimientotapizado="0"){
        $sql = "select dma.idmovimiento,dma.idproducto,p.codigo,p.descripcion as producto,m.idmarca,m.descripcion as marca,u.idunidad,u.descripcion as unidad,lu.formula as maxfraccion,dma.preciocompra,dma.precioventa,dma.cantidad,dma.descuento,dma.viaje,p.kardex,
        mo.idmodelo,mo.descripcion as modelo,co.idcolor,co.descripcion as color,sp.numero as serieproducto,sp.idserieproducto,sp.situacion,sp.dam,sp.anio,sp.motor,sp.chasis,p.idcategoria,ca.descripcion as categoria,
        dma.iddetallemovalmacen,dma.idsucursal,p.combustible,sp.item,sp.detalleenvio,sp.detallerecibido
        from detallemovalmacen as dma
        inner join serieproducto as sp on sp.idproducto=dma.idproducto and sp.idsucursal=dma.idsucursal and sp.idmovimientoserieentrada=dma.idmovimiento and dma.iddetallemovalmacen=sp.iddetallemovalmacen
        inner join producto as p on p.idproducto=dma.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo 
        left join color co on co.idcolor=p.idcolor
        left join categoria ca on ca.idcategoria=p.idcategoria
        inner join unidad as u on u.idunidad= dma.idunidad and p.idunidadbase=u.idunidad
        inner join listaunidad as lu on lu.idproducto=dma.idproducto and  p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where dma.idsucursal=$idsucursal";
        if($iddocumento!="0") $sql.=" and dma.idmovimiento = $iddocumento";
        if($factura!="") $sql.=" and (sp.idmovimientofactura is null or sp.idmovimientofactura=0)";
        if($idmovimientofactura!="0") $sql.=" and sp.idmovimientofactura=$idmovimientofactura";
        if($idmovimientoarmado!="0") $sql.=" and sp.idmovimientoarmado=$idmovimientoarmado";
        if($idmovimientoensamblado!="0") $sql.=" and sp.idmovimientoensamblado=$idmovimientoensamblado";
        if($idmovimientotapizado!="0") $sql.=" and sp.idmovimientotapizado=$idmovimientotapizado";
        $sql=$sql." order by sp.numero asc";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function listarDetalleDocumentoSerieVenta($iddocumento,$idsucursal){
        $sql = "select dma.idmovimiento,dma.idproducto,p.codigo,p.descripcion as producto,m.idmarca,m.descripcion as marca,u.idunidad,u.descripcion as unidad,lu.formula as maxfraccion,dma.preciocompra,dma.precioventa,dma.cantidad,dma.descuento,dma.viaje,p.kardex,
        mo.idmodelo,mo.descripcion as modelo,co.idcolor,co.descripcion as color,sp.numero as serieproducto,sp.idserieproducto,sp.situacion,sp.dam,sp.anio,sp.motor,sp.chasis,p.idcategoria,ca.descripcion as categoria,
        dma.iddetallemovalmacen,dma.idsucursal,p.combustible,sp.item,sp.detalleenvio,sp.detallerecibido,sp.idmovimientofactura
        from detallemovalmacen as dma
        inner join serieproducto as sp on sp.idproducto=dma.idproducto and sp.idsucursal=dma.idsucursal and sp.idmovimientoserieventa=dma.idmovimiento
        inner join producto as p on p.idproducto=dma.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo 
        left join color co on co.idcolor=p.idcolor
        left join categoria ca on ca.idcategoria=p.idcategoria
        inner join unidad as u on u.idunidad= dma.idunidad and p.idunidadbase=u.idunidad
        inner join listaunidad as lu on lu.idproducto=dma.idproducto and  p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where dma.idsucursal=$idsucursal and sp.idmovimientoserieventa=$iddocumento";
        $sql=$sql." order by sp.numero asc";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function listarDetalleDocumentoSerieSalida($iddocumento,$idsucursal){
        $sql = "select sp.idproducto,p.codigo,p.descripcion as producto,m.idmarca,m.descripcion as marca,u.idunidad,u.descripcion as unidad,lu.formula as maxfraccion,p.kardex,
        mo.idmodelo,mo.descripcion as modelo,co.idcolor,co.descripcion as color,sp.numero as serieproducto,sp.idserieproducto,sp.situacion,sp.dam,sp.anio,sp.motor,sp.chasis,p.idcategoria,ca.descripcion as categoria,
        sp.idsucursal,p.combustible,sp.item,sp.detalleenvio,sp.detallerecibido,sp.idmovimientofactura
        from serieproducto as sp 
        inner join producto as p on p.idproducto=sp.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo 
        left join color co on co.idcolor=p.idcolor
        left join categoria ca on ca.idcategoria=p.idcategoria
        inner join unidad as u on p.idunidadbase=u.idunidad
        inner join listaunidad as lu on lu.idproducto=sp.idproducto and  p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where sp.idmovimientoseriesalida = $iddocumento and sp.idsucursal=$idsucursal";
        $sql=$sql." order by sp.numero asc";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function listarDetalleInventario($iddocumento,$idsucursal){
        $sql = "select dma.idmovimiento,sp.idproducto,p.codigo,p.descripcion as producto,m.idmarca,m.descripcion as marca,u.idunidad,u.descripcion as unidad,lu.formula as maxfraccion,dma.preciocompra,dma.precioventa,dma.cantidad,p.kardex,
        mo.idmodelo,mo.descripcion as modelo,tt.idtipotaco,tt.descripcion as tipotaco,tc.idtipocalzado,tc.descripcion as tipocalzado,se.idsexo,se.descripcion as sexo,co.idcolor,co.descripcion as color,tp.idtipoplanta,tp.descripcion as tipoplanta,ta.idtalla,
        ta.descripcion as talla,sp.numero as serieproducto,sp.idserieproducto
        from detalleinventario as dma
        inner join serieproducto as sp on sp.idserieproducto=dma.idserieproducto and sp.idsucursal=dma.idsucursal 
        inner join producto as p on p.idproducto=sp.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo
        left join tipotaco tt on tt.idtipotaco=p.idtipotaco
        left join tipocalzado tc on tc.idtipocalzado=p.idtipocalzado
        left join sexo se on se.idsexo=p.idsexo
        left join color co on co.idcolor=p.idcolor
        left join tipoplanta tp on tp.idtipoplanta=p.idtipoplanta
        left join talla ta on ta.idtalla=p.idtalla
        inner join unidad as u on u.idunidad= dma.idunidad and p.idunidadbase=u.idunidad
        inner join listaunidad as lu on lu.idproducto=sp.idproducto and  p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where dma.idmovimiento = $iddocumento and dma.idsucursal=$idsucursal and sp.situacion in ('N','V')";
        $sql=$sql." order by sp.numero asc";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function consultar_numero_sigue($idtipomovimiento,$idtipodocumento,$idsucursal){
        $sql="select numero from movimiento where idtipomovimiento='".$idtipomovimiento."' and idtipodocumento='".$idtipodocumento."' and idsucursal='".$idsucursal."' and numero<>''";
        $sql.=" ORDER BY movimiento.idmovimiento DESC LIMIT 1";;

		$registro=clsAccesoDatos::obtenerDataSQL($sql);
	    if($registro->rowCount()>0){
		  $dato=$registro->fetchObject();
		  $num= $dato->numero;
		  $year=substr($num,11,4);
		  $year2=date('Y');
		  if($year!=$year2){$num='001-000000';}
		  $serie=substr($num,0,3)+0;
		  if(substr($num,4,6)==999999){$serie=$serie+1;$num=0;}
		  $cero2='000';
		  $serie=substr($cero2,0,3-strlen($serie)).$serie;
		  $cero='000000';
		  $num=substr($num,4,6)+1;
		  $num= substr($cero,0,6-strlen($num)).$num;
		  $num=$serie.'-'.$num;
		}else{
		  $num="001-000001";
		}
        return $num."-".date("Y");
    }
	
	function consultar_numero_sigue_preventa($idtipomovimiento,$idtipodocumento,$idsucursal){
        $sql="select numero from movimiento where idtipomovimiento='".$idtipomovimiento."' and idtipodocumento='".$idtipodocumento."' and idsucursal='".$idsucursal."' and numero<>''";
        $sql.=" ORDER BY idmovimiento DESC LIMIT 1";
        
		$registro=clsAccesoDatos::obtenerDataSQL($sql);
	    if($registro->rowCount()>0){
		  $dato=$registro->fetchObject();
		  $num= $dato->numero;
		  $year=substr($num,11,4);
		  $year2=date('Y');
		  if($year!=$year2){$num='001-000000';}
		  $serie=substr($num,0,3)+0;
		  if(substr($num,4,6)==999999){$serie=$serie+1;$num=0;}
		  $cero2='000';
		  $serie=substr($cero2,0,3-strlen($serie)).$serie;
		  $cero='000000';
		  $num=substr($num,4,6)+1;
		  $num= substr($cero,0,6-strlen($num)).$num;
		  $num=$serie.'-'.$num;
		}else{
		  $num="001-000001";
		}
        return $num."-".date("Y");
    }
		
	function buscar_referencia_venta($num){
		$sql="SELECT m.idmovimiento,m.fecha,p.tipopersona,p.apellidopaterno,p.apellidomaterno,p.nombres,p.razonsocial,m.estado,m.numero,m.situacion 
        FROM movimiento m 
        inner join persona p on p.idpersona=m.idpersona 
        WHERE m.numero like '%$num%' AND m.idtipomovimiento=2 and m.estado<>'A' and m.idsucursal=".$_SESSION["idsucursal"];
		return clsAccesoDatos::ejecutarConsulta($sql);
	}

	function insertarMovimientoCaja($idsucursal,$idmovimiento,$idcuota,$monto,$interes){
		$sql="select insertar_detallemovcaja $idsucursal,$idmovimiento,$idcuota,$monto,$interes";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
        return $insertar==0?0:$this->gError[2];
	}
    
    function insertarCuota($numero,$fechacreacion,$fechacancelacion,$fechapago,$monto,$interes,$montopagado,$interespagado,$idmovimiento,$idsucursal){
        $sql="select insertar_cuota '$numero',$fechacreacion,$fechacancelacion,$fechapago,$monto,$interes,$montopagado,$interespagado,$idmovimiento,$idsucursal";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
        return $insertar==0?0:$this->gError[2];
    }
    
    function eliminarCuota($idmovimiento,$idsucursal){
        $sql="select eliminar_cuota $idmovimiento,$idsucursal";
        $eliminar = clsAccesoDatos::ejecutarSP($sql);
        return $eliminar==0?0:$this->gError[2];
    }
    
    function cancelarCuota($idcuota,$idmovimiento,$idsucursal,$fechapago,$montopagado,$interespagado){
        $sql="select cancelar_cuota $idcuota,$idmovimiento,$idsucursal,'$fechapago',$montopagado,$interespagado";
        $modificar = clsAccesoDatos::ejecutarSP($sql);
        return $modificar==0?0:$this->gError[2];       
    }
    
    function consultarUltimoConcepto($idsucursal,$idtipomovimiento){
        $sql="select idmovimiento,idconceptopago 
        from movimiento 
        where idsucursal=".$idsucursal. " and idtipomovimiento=$idtipomovimiento and estado<>'A'
        order by idmovimiento desc limit 1";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function consultarUltimaApertura($idsucursal){
        $sql ="select idmovimiento from movimiento where idconceptopago=1 and idsucursal=$idsucursal and estado<>'A' order by idmovimiento desc limit 1";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function consultarUltimoCierre($idsucursal){
        $sql ="select idmovimiento from movimiento where idconceptopago=2 and idsucursal=$idsucursal and estado<>'A' order by idmovimiento desc limit 1";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function listaConceptoPago($idconceptopago,$idtipo){
        $sql = "select * from conceptopago where 1=1";
        if($idconceptopago!=0) $sql .= " and idconceptopago=$idconceptopago";
        if($idtipo!="") $sql .= " and tipo='$idtipo'";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function consultarMontoCierre($idsucursal){
        $rs = $this->consultarUltimaApertura($idsucursal);
        if($rs->rowCount()>0){
            $dato = $rs->fetchObject();
            $idapertura=$dato->idmovimiento;
        }else{
            $idapertura=0;
        }
        $sql ="select sum(case when cp.tipo='I' then m.total else 0 end) as ingreso,sum(case when cp.tipo='E' then m.total else 0 end) as egreso 
        from movimiento as m
        inner join conceptopago as cp on cp.idconceptopago=m.idconceptopago
        where m.idsucursal=$idsucursal and m.estado='N' and idmovimiento>=".$idapertura;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function consultarMontoApertura($idsucursal){
        $sql ="SELECT CASE WHEN sum(CASE WHEN tipo='I' THEN TOTAL ELSE -1*TOTAL END) IS NULL THEN 0 ELSE sum(CASE WHEN tipo='I' THEN TOTAL ELSE -1*TOTAL END) END as total
		FROM movimiento 
		INNER JOIN TIPOMOVIMIENTO ON MOVIMIENTO.idtipomovimiento = TIPOMOVIMIENTO.idtipomovimiento
		INNER JOIN CONCEPTOPAGO ON MOVIMIENTO.idconceptopago = CONCEPTOPAGO.idconceptopago
		WHERE TIPOMOVIMIENTO.descripcion = 'CAJA'
		AND MOVIMIENTO.estado = 'N'
		AND MOVIMIENTO.IDSUCURSAL=".$idsucursal."
		AND CONCEPTOPAGO.IDCONCEPTOPAGO <> 2";
        $rs = $this->consultarUltimaApertura($idsucursal);
        if($rs->rowCount()>0){
            $dato = $rs->fetchObject();
            $idapertura=$dato->idmovimiento;
        }else{
            $idapertura=0;
        }
		$sql .= "and movimiento.idmovimiento>=$idapertura";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    function listarDetalleCuota($idmovimiento,$idsucursal,$idpersona){
        $sql="select c.idcuota,c.numero,c.fechacreacion,c.fechacancelacion,c.fechapago,c.monto,c.interes,c.montopagado,c.interespagado,c.estado,m.fecha,m.numero as nrodocumento,m.total
        from cuota c
        inner join movimiento m on c.idmovimiento=m.idmovimiento and c.idsucursal=m.idsucursal 
        where m.estado='N'";
        if($idmovimiento!=0) $sql.=" and c.idmovimiento=$idmovimiento";
        if($idsucursal!=0) $sql.=" and c.idsucursal=$idsucursal";
        if($idpersona!=0) $sql.=" and m.idpersona=$idpersona";
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
    function insertarLugar($descripcion){
        $sql = "select insertar_lugar '$descripcion'";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
        return $insertar==0?0:$this->gError[2];
    }
    
    function insertarTransportista(){
        $sql = "select insertar_transportista '$nombrerazonsocial','$nrodocumento','$direccion','$marcavehiculo','$nroplaca','$nroconstanciacertificado','$licenciabrevete','$nombrechofer'";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
        return $insertar==0?0:$this->gError[2];        
    }
}