<?php
include_once("../cado/cado.php");
	class Persona extends clsAccesoDatos{
	   // Constructor de la clase
	    public function __construct(){		
		  parent::__construct();
	    }

		public function insertarPersona($tipopersona,$nombres,$apellidos,$razon,$nrodoc,$sexo,$direccion,$telefono,$email,$cargo,$cussp,$fechaingreso,$idseguro,$asignacionfamiliar){			
			$sql = "select insertar_persona '$tipopersona','$nombres','$apellidos','$nrodoc','$sexo','$direccion','$telefono','$email',$cargo,'$razon','$cussp',$fechaingreso,$idseguro,'$asignacionfamiliar'";
			$insertar = clsAccesoDatos::ejecutarSP($sql);
			return $insertar==0?0:$this->gError[2];
		}
		
		public function modificarPersona($idpersona,$tipopersona,$nombres,$apellidos,$razon,$nrodoc,$sexo,$direccion,$telefono,$email,$cargo,$cussp,$fechaingreso,$idseguro,$asignacionfamiliar){
			$sql = "select modificar_persona $idpersona,'$tipopersona','$nombres','$apellidos','$nrodoc','$sexo','$direccion','$telefono','$email',$cargo,'$razon','$cussp',$fechaingreso,$idseguro,'$asignacionfamiliar'";
			$modificar = clsAccesoDatos::ejecutarSP($sql);
			return $modificar==0?0:$this->gError[2];
		}
		
		public function eliminarPersona($id){
			$sql = "select eliminar_persona($id)";
			$eliminar = clsAccesoDatos::ejecutarSP($sql);
			return $eliminar==0?0:$this->gError[2];
		}
		public function insertarUsuario($cuenta,$pass,$idtipousuario,$idpersona){			
			$sql = "select insertar_usuario '$cuenta','$pass',$idtipousuario,$idpersona";
			$insertar = clsAccesoDatos::ejecutarSP($sql);
			return $insertar;
		}
		
		public function modificarUsuario($idusuario,$cuenta,$pass,$idpersonal,$idtipousuario){
			$sql = "select modificar_usuario $idusuario,'$cuenta','$pass',$idpersonal,$idtipousuario";
			$modificar = clsAccesoDatos::ejecutarSP($sql);
			return $modificar;
		}
		
		public function eliminarUsuario($id){
			$sql = "select eliminar_usuario($id)";
			$eliminar = clsAccesoDatos::ejecutarSP($sql);
			return $eliminar;
		}
		
		public function listarPersona($id,$tipopersona="",$nombres="",$nrodoc="",$limite=""){
			$sql = "select p.*,c.descripcion from persona p left join cargo c on c.idcargo=p.idcargo where p.estado='N'";
			if($id!=0 && isset($id)){
				$sql = $sql." and p.idpersona = $id";
			}
			if($tipopersona!=""){
				$sql.=" and p.tipopersona='$tipopersona'";				
			}
			if($nombres!=""){
					$sql = $sql." and ((p.nombres || ' ' || p.apellidos) like '%$nombres%' or (p.razonsocial) like '%$nombres%')";
			}
			if($nrodoc!=""){
				$sql = $sql." and p.nrodoc like '$nrodoc%'";
			}			
			$sql = $sql." order by p.idpersona";
			if($limite!=""){
				$sql= $sql." ".$limite;
			}
			$SQLr = clsAccesoDatos::obtenerDataSQL($sql);
			return $SQLr;
		}
		
		public function login($cuenta,$pass){
			$sql = "SELECT p.idpersona, p.nombres, p.apellidos, u.idusuario, u.usuario, u.pass, u.idtipousuario, c.idcargo,c.descripcion FROM usuario u JOIN persona p ON p.idpersona = u.idpersona left join cargo c on c.idcargo =p.idcargo where u.usuario='$cuenta' and u.pass='$pass' and u.estado='N'";
			$SQLr = clsAccesoDatos::obtenerDataSQL($sql);
			return $SQLr;
		}
		public function ultimoid(){
			$sql = "SELECT max(idpersona) as id from persona where estado='N'";
			$SQLr = clsAccesoDatos::obtenerDataSQL($sql);
			return $SQLr;
		}
		
		public function mostrarusuario($id){
			$sql = "SELECT u.idusuario, p.apellidos, p.nombres, u.usuario, u.pass, r.idtipousuario, r.descripcion, p.idcargo, p.idpersona, p.direccion, p.estado
   FROM usuario u
   LEFT JOIN tipousuario r ON r.idtipousuario = u.idtipousuario
   RIGHT JOIN persona p ON p.idpersona = u.idpersona
   where p.estado='N' and u.estado='N'";
            if($id!=0){
	           $sql=$sql." and u.idpersona=$id";
	        }
            $sql=$sql." ORDER BY u.idusuario;";
			$SQLr = clsAccesoDatos::obtenerDataSQL($sql);
			return $SQLr;
		}
    	
        public function listarPersonaGeneral($id,$descripcion,$idrol,$limite="",$nrodoc="",$tipopersona=""){
            $sql = "select distinct(p.idpersona),p.apellidos,p.nombres,p.razonsocial,p.tipopersona,p.nrodoc as nrodocumento,p.sexo,p.direccion,p.celular,p.email
            from persona p
            inner join rolpersona rp on rp.idpersona=p.idpersona
            inner join rol r on r.idrol=rp.idrol
            where p.estado='N'";
            if($id!=0) $sql .= " and p.idpersona=$id";
            if($descripcion!="") $sql .= " and trim(upper(p.nombres || p.apellidos || p.razonsocial)) like upper('%$descripcion%')";
            if($idrol!=0) $sql .= " and r.idrol=$idrol";
            if($nrodoc!='') $sql .= " and p.nrodoc='$nrodoc'";			
			if($tipopersona!=""){
				$sql.=" and p.tipopersona='$tipopersona'";				
			}
            $sql .= " order by p.apellidos,p.nombres,p.razonsocial asc";
            if($limite!="") $sql .= " $limite";
            return clsAccesoDatos::obtenerDataSQL($sql);
        }
        
        public function listarSeguro($idseguro){
            $sql = "select * from seguro where estado='N'";
            if($idseguro!=0) $sql .= " and idseguro=$idseguro";
            return clsAccesoDatos::obtenerDataSQL($sql);
        }
	}
?>