<?php
session_start();
include_once("../cado/cado.php");

class Producto extends clsAccesoDatos{
    // Constructor de la clase
    public function __construct(){		
		  parent::__construct();
	}
    
	function insertarProducto($id,$codigo,$descripcion,$stock,$idmarca,$idcategoria,$idunidadbase,$idcolor,$idmodelo,$idtipoproducto,$codigobarra,$kardex,$combustible=""){
		$sql = "select insertar_producto($id,'$codigo','$descripcion',$stock,$idmarca,$idcategoria,$idunidadbase,$idcolor,$idmodelo,$idtipoproducto,'$codigobarra','$kardex','$combustible') as idproducto";
        $insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;		
	}
	
     function obtenerLastId(){
        $sql = "SELECT max(idproducto) as idproducto from producto";
   		return clsAccesoDatos::obtenerDataSQL($sql);	
    }  

    function vaciarCodigoProducto(){
		$sql = "update producto set codigo='NULL'";
		return clsAccesoDatos::ejecutarSP($sql)==0?0:$this->gError[2];
	}
    
	function modificarCodigoProducto($codigo,$idproducto){
		$sql = "update producto set codigo='".$codigo."' where idproducto=".$idproducto;
		return clsAccesoDatos::ejecutarConsulta($sql)==0?0:$this->gError[2];
	}

    function modificarPrecioProducto($idproducto,$idunidad,$preciocompra){
        $sql = "select modificar_precioproducto $idproducto,$idunidad,$preciocompra";
        return clsAccesoDatos::ejecutarSP($sql)==0?0:$this->gError[2];
    }
    
	function eliminarProducto($id){
		$sql = "select eliminar_producto $id";
		$insertar = clsAccesoDatos::ejecutarSP($sql)==0?0:$this->gError[2];
		return $insertar;		
	}

    function buscarSiguienteCodigo($idcategoria, $idmarca){
    
        $sql = "SELECT (CASE WHEN MAX( CAST( codigo AS numeric ) ) IS NULL THEN 0 ELSE MAX( CAST( codigo AS numeric ) ) END) +1 AS maximo
        FROM producto P
        WHERE 1 =1";
        if($idcategoria!=""){
	       $sql = $sql . " AND P.idcategoria = ".$idcategoria;}
/*        if($idmarca!=""){
            $sql = $sql . " AND P.idmarca =" . $idmarca;}*/
        $rst = clsAccesoDatos::obtenerDataSQL($sql);  		 	
        $dato1 = $rst->fetchObject();
        //$serie = preg_replace('/(.*)-(.*)-/', '', $dato1->maximo);
        $serie = $dato1->maximo;
	    if(strlen($serie)>4) $serie = substr($serie,-4,4);

        $sql = "SELECT C.idcategoria AS AbreviaturaCat FROM categoria C WHERE 1=1 ";
        if($idcategoria!=""){
	       $sql = $sql . " AND C.idcategoria = ".$idcategoria;}
        $rst = clsAccesoDatos::obtenerDataSQL($sql);  		 	
        $dato2 = $rst->fetchObject();
	
        $sql = "SELECT M.idmarca AS AbreviaturaMarca FROM marca M WHERE 1=1 ";
        if($idmarca!=""){
            $sql = $sql . " AND M.idmarca =" . $idmarca;}
        $rst = clsAccesoDatos::obtenerDataSQL($sql); 		 	
        $dato3 = $rst->fetchObject();
   
        /*do{
	   	   $serie=$serie+1;
   		   $sql = "SELECT * FROM producto WHERE codigo='".str_pad($dato2->AbreviaturaCat,3,'0',STR_PAD_LEFT).str_pad($dato3->AbreviaturaMarca,3,'0',STR_PAD_LEFT).str_pad($serie,3,'0',STR_PAD_LEFT)."'";
   		   $rst4 = clsAccesoDatos::ejecutarConsulta($sql);		 	
   
        }while($rst4->rowCount()!=0);*/
	    return str_pad($dato2->AbreviaturaCat,3,'0',STR_PAD_LEFT).str_pad($serie,4,'0',STR_PAD_LEFT);
    }
    
    function listarProducto($idproducto,$codigo,$descripcion,$idcategoria,$idmarca,$limite="",$orden='1',$idmodelo=0,$idcolor=0,$idtipoproducto=0,$combustible=""){
		$sql = "select P.idproducto,P.codigo,P.descripcion as producto,P.estado,U.idunidad as idunidadbase,U.descripcion as unidadbase,C.idcategoria,C.descripcion as categoria,LU.precioventa,LU.precioventaespecial,LU.preciocompra,round(LU.formula,2) as fraccion,P.kardex,P.stockseguridad,M.idmarca,M.descripcion as marca,
        obtenerstock(p.idproducto,p.idunidadbase,".$_SESSION["idsucursal"].") as stockbase,P.idtipoproducto,P.idcolor,P.idmodelo,co.descripcion as color,mo.descripcion as modelo,P.idtipoproducto 
        from producto as P 
        left join unidad as U on U.idunidad=P.idunidadbase
        left join categoria as C on C.idcategoria=P.idcategoria
        left join listaunidad as LU on LU.idproducto=P.idproducto and LU.idunidadbase=P.idunidadbase and LU.idunidadbase=LU.idunidad
        left join marca as M on M.idmarca=P.idmarca
        left join modelo as mo on mo.idmodelo=p.idmodelo
        left join color as co on co.idcolor=p.idcolor
        left join stockproducto as sp on sp.idproducto=P.idproducto and P.idunidadbase=sp.idunidadbase and sp.idsucursal=".$_SESSION["idsucursal"]."
        where P.estado='N' ";
		if($idproducto!=0){
			$sql = $sql . " and P.idproducto=$idproducto";
        }
        if($codigo!=''){
            $sql = $sql . " and P.codigo like UPPER('%$codigo%')";
        }
        if($descripcion!=''){
            $sql = $sql . " and P.descripcion like UPPER('%$descripcion%')";   
        }
        if($idcategoria!=0){
            $sql = $sql . " AND P.idcategoria in (select idcategoria from categoria tp
            where (tp.idcategoria = ".$idcategoria.") OR (tp.idcategoria = tp.idcategoria - ".$idcategoria.")
            or (tp.idcategoriaref = ".$idcategoria.") OR (tp.idcategoriaref = tp.idcategoriaRef - ".$idcategoria."))";
        }
        if($idmarca!=0){
            $sql = $sql . " and M.idmarca = $idmarca";
        }
        if($idmodelo!="0"){ $sql.=" and mo.idmodelo=".$idmodelo;}
        if($idcolor!="0"){ $sql.=" and co.idcolor=".$idcolor;}
        if($idtipoproducto!="0") $sql.=" and p.idtipoproducto=$idtipoproducto";
        if($combustible!="") $sql.=" and p.combustible like '%$combustible%'";
        if($prioridad!=""){
            $sql = $sql . " and P.prioridad like '%$prioridad%'";
        }
	   if($orden==1){
        $sql = $sql . " order by  P.descripcion,P.codigo asc";
	   }else{
        $sql = $sql . " order by m.descripcion,P.descripcion,P.codigo asc";

	   }
        if($limite!="") $sql .=" $limite";
		//echo $sql;
		return clsAccesoDatos::obtenerDataSQL($sql);		
	}	

    function obtenerStockProducto($idproducto,$idsucursal,$idunidadbase=0){
        $sql = "select case when stockbase is null then 0 else stockbase end as stock,li.idproducto,sp.idsucursal,sp.idunidad,sp.idunidadbase,li.formula as fraccion 
        from stockproducto sp
        inner join listaunidad li on sp.idproducto=li.idproducto and sp.idunidad=li.idunidadbase
        where sp.idproducto=$idproducto and sp.idsucursal=$idsucursal";
        if($idunidadbase!=0) $sql .= " and sp.idunidadbase=".$idunidadbase;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
    
   	function listarKardex($idsucursal,$idproducto,$fechainicio,$fechafin){
        $sql = "select distinct k.idkardex,p.codigo,p.descripcion,m.fecha,m.numero as movimiento,t.abreviatura as abrv_documento,t.descripcion as documento,tm.descripcion as tipomovimiento,k.cantidad,k.preciounidad,l.formula as fraccion,k.saldoactual,k.estado 
        from kardex k 
		inner join movimiento m on m.idmovimiento=k.idmovimiento and k.idsucursal=m.idsucursal
		inner join tipomovimiento tm on tm.idtipomovimiento=m.idtipomovimiento 
		inner join detallemovalmacen dm on dm.idmovimiento=m.idmovimiento
		inner join tipodocumento t on t.idtipodocumento=m.idtipodocumento 
		inner join producto p on p.idproducto=k.idproducto and dm.idproducto=p.idproducto and p.estado<>'A' 
		inner join listaunidad l on p.idproducto=l.idproducto and p.idunidadbase=l.idunidad		
		where k.idproducto=$idproducto and m.estado<>'A' and m.fecha>='$fechainicio' and m.fecha<='$fechafin'";
		if($idsucursal!=0){
			$sql=$sql." and k.idsucursal=".$idsucursal;
		}
		$sql.=" union select distinct k.idkardex,p.codigo,p.descripcion,v.fecha,v.nroparte as movimiento,'' as abrv_documento,'PARTE DIARIO' as documento,'VIAJE' as tipomovimiento,k.cantidad,k.preciounidad,l.formula as fraccion,k.saldoactual,k.estado 
        from kardex k 
		inner join viaje v on v.idviaje=k.idmovimiento 
		inner join detalleviaje dv on dv.idviaje=v.idviaje
		inner join producto p on p.idproducto=k.idproducto and p.estado<>'A' 
		inner join listaunidad l on p.idproducto=l.idproducto and p.idunidadbase=l.idunidad		
		where k.idproducto=$idproducto and v.estado<>'A' and v.fecha>='$fechainicio' and v.fecha<='$fechafin'";
		if($idsucursal!=0){
			$sql=$sql." and k.idsucursal=".$idsucursal;
		}
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
	function listarKardexViaje($idsucursal,$idproducto,$fechainicio,$fechafin){
        $sql = "select distinct k.idkardex,p.codigo,p.descripcion,m.fecha,m.nroparte as movimiento,k.cantidad,k.preciounidad,l.formula as fraccion,k.saldoactual 
        from kardex k inner join viaje m on m.idviaje=k.idmovimiento 
		inner join producto p on p.idproducto=k.idproducto and p.estado<>'A' 
		inner join listaunidad l on p.idproducto=l.idproducto and p.idunidadbase=l.idunidad		
		where k.idproducto=$idproducto and m.estado<>'A' and k.estado='V' and m.fecha>='$fechainicio' and m.fecha<='$fechafin'";
		if($idsucursal!=0){
			$sql=$sql." and k.idsucursal=".$idsucursal;
		}
        return clsAccesoDatos::obtenerDataSQL($sql);
    }
	function importar($sql){
		clsAccesoDatos::obtenerDataSQL($sql);
		
		return true;
	}

    function listarSerieStockProducto($idsucursal,$idmarca,$idmodelo,$idcolor,$idtalla){
        $sql="select count(sp.numero) as cantidad,mo.idmodelo,mo.descripcion as modelo,co.idcolor,co.descripcion as color,m.idmarca,m.descripcion as marca
        from serieproducto sp
        inner join producto p on p.idproducto=sp.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo
        left join sexo se on se.idsexo=p.idsexo
        left join color co on co.idcolor=p.idcolor
        left join talla ta on ta.idtalla=p.idtalla
        inner join movimiento m1 on sp.idmovimientoserieentrada=m1.idmovimiento and sp.idsucursal=m1.idsucursal and m1.estado='N' 
        where sp.situacion='N' and sp.idsucursal=$idsucursal
        ";
        if($idmarca!=0) $sql.=" and m.idmarca=$idmarca";
        if($idmodelo!=0) $sql.=" and mo.idmodelo=$idmodelo";
        if($idcolor!=0) $sql.=" and co.idcolor=$idcolor";
        if($idtalla!=0) $sql.=" and ta.idtalla=$idtalla";
        $sql.=" group by m.idmarca,mo.idmodelo,co.idcolor,m.descripcion,mo.descripcion,co.descripcion";
        $sql.=" order by m.descripcion,mo.descripcion,co.descripcion asc";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql); 
    }

}

?>