<?php
session_start();	
header("Cache-Control: no-cache");
header("Pragma: no-cache");
include("seguridad.php");
include("../negocio/clsTipoDocumento.php");
include("../negocio/clsTipoProducto.php");
include("../negocio/clsPersona.php");
include("../negocio/clsMovimiento.php");
$objPersona = new Persona();
$objMovimiento = new Movimiento();
?>
<form id="form1" name="form1" method="post" action="../controlador/contAlmacen.php?accion=<?php echo $_GET["accion"];?>">
    <div class="page_heading"><span class="titulo">Documento de Armado</span></div>
    <?php
    $rs = $objMovimiento->listarDocumento($_GET["id"],0,'','','');
    $datos = $rs->fetchObject();
    ?>
    <fieldset><legend>Datos del Documento</legend>
        <table>
            <tr>
                <td>Nro. Doc. :</td>
                <td><input readonly="" type="text" id="txtNroDoc" name="txtNroDoc" value="<?php echo $datos->numero;?>" size="12" readonly /></td>
                <td>Tipo Doc. :</td>
                <td><select id="cboTipoDoc" name="cboTipoDoc" onchange="generarNumero();" disabled="">
                    <?php
                        $objTipoDoc = new TipoDocumento();
                        $rst = $objTipoDoc->listarTipoDocumento(0,6);
                        while($dato=$rst->fetchObject()){
                            $sel = "";
                            if($datos->idtipodocumento==$dato->idtipodocumento) $sel = "selected='selected'"; else $sel = "";
                            echo "<option value='".$dato->stock."-".$dato->idtipodocumento."'  $sel>".$dato->tipodocumento."</option>";
                        }                                
                    ?>
                    </select>
                </td>
               <td>Fecha:</td>
                <td><input type="date" readonly="" id="txtFecha" name="txtFecha" value="<?php if($_GET["accion"]=="modificar") echo date("Y-m-d",mktime(0,0,0,substr($datos->fecha,3,2),substr($datos->fecha,0,2),substr($datos->fecha,6,4)));else echo date("Y-m-d");?>" /></td>
                <td>Proveedor:</td>
                <td><select disabled="" id="cboProveedor" name="cboProveedor">
                    <?php
                            $rst = $objPersona->listarPersonaGeneral(0,'',3,'');
                            while($dato=$rst->fetchObject()){
                                if($dato->idpersona==$datos->idpersona) $sel = "selected='selected'";else $sel="";
                                echo "<option value='$dato->idpersona' $sel>".$dato->razonsocial."</option>";
                            }
                    ?>
                    </select>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset><legend>Detalle del Documento</legend>
        <div id="divDetalle">
        <?php
        $rs = $objMovimiento->listarDetalleDocumentoSerieEntrada(0,$_SESSION["idsucursal"],0,0,$_GET["id"]);
        while($dato=$rs->fetchObject()){    
            $carro[$dato->iddetallemovalmacen]=array("idproducto"=>$dato->idproducto,"idunidad"=>$dato->idunidad,"unidad"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>$dato->cantidad,
            "precioventa"=>$dato->precioventa,"preciocompra"=>$dato->preciocompra,"modelo"=>$dato->modelo,"color"=>$dato->color,"motor"=>$dato->motor,"chasis"=>$dato->chasis,"dam"=>$dato->dam,
            "categoria"=>$dato->categoria,"anio"=>$dato->anio,"iddetallemovalmacen"=>$dato->iddetallemovalmacen,"idserieproducto"=>$dato->idserieproducto,"item"=>$dato->item,"combustible"=>$dato->combustible);
        }
        $registros=$cadena."<table class='tabla' border='1' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DUA</th><th>ITEM</th><th>A&Ntilde;O</th></th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>COMBUSTIBLE</th><th>UNIDAD</th></tr>";
        foreach($carro as $k=>$v){
           $registros.= "<tr id='".$dato->idserieproducto."'><td align='center'>".$v["motor"]."</td>";
           $registros.= "<td align='center'>".utf8_decode(utf8_encode($v["chasis"]))."</td>";
           $registros.= "<td align='center'>".$v["dam"]."</td>";
           $registros.= "<td align='center'>".$v["item"]."</td>";
           $registros.= "<td align='center'>".$v["anio"]."</td>";
           $registros.= "<td align='center'>".$v["color"]."</td>";
           $registros.= "<td align='center'>".$v["marca"]."</td>";
           $registros.= "<td align='center'>".$v["modelo"]."</td>";
           $registros.= "<td align='center'>".$v["categoria"]."</td>";
           $registros.= "<td align='center'>".$v["combustible"]."</td>";
           $registros.= "<td align='center'>".$v["unidad"]."</td>";
           $registros.= "</tr>";
        }
		echo $registros."</table>";
        ?>
        </div>
    </fieldset>
    <fieldset><legend>Detalle de Accesorios</legend>
        <div id="divDetalleAccesorio">
        <?php
        $rs = $objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);
        while($dato=$rs->fetchObject()){    
            $carro[$dato->idproducto]=array("idproducto"=>$dato->idproducto,"codigo"=>$dato->codigo,"producto"=>$dato->producto,"idunidad"=>$dato->idunidad,"unidad"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>$dato->cantidad,"precioventa"=>$dato->precioventa,"preciocompra"=>$dato->preciocompra,"descuento"=>$dato->descuento,"posicion"=>$posicion);
        }
        $registro="<table class='tabla' align='center' width='100%'><tr><th>PRODUCTO</th><th>MARCA</th><th>UNIDAD</th><th>CANTIDAD</th></tr>";
        foreach($carro as $k=>$v){
            $registro.="<tr><td align='center'>".utf8_decode(utf8_encode($v["producto"]))."</td>";
            $registro.="<td align='center'>".$v["marca"]."</td>";
            $registro.="<td align='center'>".$v["unidad"]."</td>";
            $registro.="<td align='center'>".number_format($v["cantidad"],2,'.','')."</td></tr>";
            /*$registro.="<td align='center'>".number_format($v["preciocompra"],2,'.','')."</td>";
            $registro.="<td align='center'>".number_format($v["preciocompra"]*$v["cantidad"],2,'.','')."</td>";*/
        }
    	echo $registro."</table>";
        ?>
        </div>
    </fieldset>
    <table width="100%">
        <tr>
            <td align="left" width="8%">Comentario: </td>
            <td width="20%" align="left"><textarea id="txtArea" name="txtArea" cols="35" rows="4" readonly><?php echo $datos->comentario;?></textarea></td>
            <td align="right"><input type="button" value="CANCELAR" onclick="link('frmDocArmado.php');" /></td>
        </tr>
    </table>
</form>