<?php session_start();
ini_set('max_execution_time', 300);
ini_set('memory_limit', -1);
require("../negocio/clsProducto.php");
require("../negocio/clsMarca.php");
require("../negocio/clsUnidad.php");
require("../negocio/clsListaUnidad.php");
require("../negocio/clsSerieProducto.php");
require("../negocio/clsColor.php");
require("../negocio/clsModelo.php");
require("../negocio/clsPersona.php");
require("../negocio/clsMovimiento.php");
include("../negocio/clsRol.php");
$objMovimiento = new Movimiento();
$objModelo = new Modelo();
$objColor = new Color();
$objPersona = new Persona();
$objProducto = new Producto();
$objListaUnidad = new ListaUnidad();
$objMarca = new Marca();
$objUnidad = new Unidad();
$objRol = new Rol();
$objSerieProducto = new SerieProducto();
?>
<!-- http://ProgramarEnPHP.wordpress.com -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>:: Importar de Excel a la Base de Datos ::</title>
</head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href="../css/estilosistema.css" rel="stylesheet" type="text/css" />
<body>
<!-- FORMULARIO PARA SOLICITAR LA CARGA DEL EXCEL -->
<form name="importa" method="post" action="<?php echo $PHP_SELF; ?>" enctype="multipart/form-data" >
<input type="hidden" value="upload" name="action" />
<BR />
<center>
    <div class="titulo">IMPORTAR DATOS DEL EXCEL</div>
</center>
<BR />
<table class="tablaint" width=100% >
<tr>
   <th>Selecciona el archivo a importar:</th>

   <td><input type="file" name="excel" /></td>
</tr>
<tr>
   <th colspan="2"><input type='submit' name='enviar' value="Importar" />
   <input type='button' name='Cerrar' value="Cerrar" onclick=javascript:window.close(); /></th>
</tr>
</form>
<!-- CARGA LA MISMA PAGINA MANDANDO LA VARIABLE upload -->

<?php 
date_default_timezone_set('America/Lima');
extract($_POST);

if ($action == "upload"){
//cargamos el archivo al servidor con el mismo nombre
//solo le agregue el sufijo bak_ 
	$archivo = $_FILES['excel']['name'];
	$tipo = $_FILES['excel']['type'];
	$destino = "bak_".$archivo;
	if (copy($_FILES['excel']['tmp_name'],$destino)) echo "<strong>Archivo Cargado Con Exito</strong>";
	else echo "<strong style='font-size: 12;' >Error Al Cargar el Archivo</strong><br />";
////////////////////////////////////////////////////////
if (file_exists ("bak_".$archivo)){ 
	/** Clases necesarias */
	require_once('Classes/PHPExcel.php');
	require_once('Classes/PHPExcel/Reader/Excel2007.php');

	// Cargando la hoja de c??lculo
	$objReader = new PHPExcel_Reader_Excel2007();
	$objPHPExcel = $objReader->load("bak_".$archivo);
	$objFecha = new PHPExcel_Shared_Date();       

	// Asignar hoja de excel activa
	$objPHPExcel->setActiveSheetIndex(0);

    require_once ('Classes/PHPExcel/Cell/AdvancedValueBinder.php');
    PHPExcel_Calculation::getInstance()->setCalculationCacheEnabled(False);

        // Llenamos el arreglo con los datos  del archivo xlsx
	$i=2; //celda inicial en la cual empezara a realizar el barrido de la grilla de excel
	$param=0;
	$contador=0;
	while($param==0) //mientras el parametro siga en 0 (iniciado antes) que quiere decir que no ha encontrado un NULL entonces siga metiendo datos
	{
	   	if($objPHPExcel->getActiveSheet()->getCell('A'.$i)->getCalculatedValue()!=NULL){
            $valor_fecha=$objPHPExcel->getActiveSheet()->getCell('C'.$i)->getCalculatedValue();
            if(trim($valor_fecha)!=""){
                $timestamp=PHPExcel_Shared_Date::ExcelToPHP($valor_fecha);
                $fecha=date("d-m-Y",$timestamp);
            }else{
                $fecha="01-01-2000";
            }
            $valor_fecha=$objPHPExcel->getActiveSheet()->getCell('Q'.$i)->getCalculatedValue();
            if(trim($valor_fecha)!=""){
                $timestamp=PHPExcel_Shared_Date::ExcelToPHP($valor_fecha);
                $fecha=date("d-m-Y",$timestamp);
            }else{
                $fecha2="";
            }
            $datos[($i)] = array('chasis'=>$objPHPExcel->getActiveSheet()->getCell('A'.$i)->getCalculatedValue(),
            'guia'=> $objPHPExcel->getActiveSheet()->getCell('B'.$i)->getCalculatedValue(),
            'fechaguia'=> $fecha,
            'dua'=> $objPHPExcel->getActiveSheet()->getCell('D'.$i)->getCalculatedValue(),
            'factura'=> $objPHPExcel->getActiveSheet()->getCell('E'.$i)->getCalculatedValue(),
            'precio'=> $objPHPExcel->getActiveSheet()->getCell('F'.$i)->getCalculatedValue(),
            'carroceria'=> $objPHPExcel->getActiveSheet()->getCell('G'.$i)->getCalculatedValue(),
            'marca'=> $objPHPExcel->getActiveSheet()->getCell('H'.$i)->getCalculatedValue(),
            'modelo'=> $objPHPExcel->getActiveSheet()->getCell('I'.$i)->getCalculatedValue(),
            'color'=> $objPHPExcel->getActiveSheet()->getCell('J'.$i)->getCalculatedValue(),
            'motor'=> $objPHPExcel->getActiveSheet()->getCell('K'.$i)->getCalculatedValue(),
            'anio'=> $objPHPExcel->getActiveSheet()->getCell('M'.$i)->getCalculatedValue(),
            'estado'=>$objPHPExcel->getActiveSheet()->getCell('P'.$i)->getCalculatedValue(),
            'fechaventa'=>$fecha2,
            'contrato'=>$objPHPExcel->getActiveSheet()->getCell('R'.$i)->getCalculatedValue(),
            'cliente'=>$objPHPExcel->getActiveSheet()->getCell('S'.$i)->getCalculatedValue(),
            'direccion'=>$objPHPExcel->getActiveSheet()->getCell('T'.$i)->getCalculatedValue(),
            'dni'=>$objPHPExcel->getActiveSheet()->getCell('U'.$i)->getCalculatedValue(),
            'telefono'=>$objPHPExcel->getActiveSheet()->getCell('V'.$i)->getCalculatedValue(),
            'boleta'=>$objPHPExcel->getActiveSheet()->getCell('W'.$i)->getCalculatedValue(),
            'precioventa'=>$objPHPExcel->getActiveSheet()->getCell('X'.$i)->getCalculatedValue(),
            'stockminimo'=>1,'fraccion'=>1,'idcategoria'=>1,'cantidad'=>1);
		}
             
		if($objPHPExcel->getActiveSheet()->getCell('A'.$i)->getCalculatedValue()==NULL || $objPHPExcel->getActiveSheet()->getCell('A'.$i)->getCalculatedValue()=="") //pregunto que si ha encontrado un valor null en una columna inicie un parametro en 1 que indicaria el fin del ciclo while
		{
			$param=1; //para detener el ciclo cuando haya encontrado un valor NULL
		}
        $i=$i+1;              
		$contador=$contador+1;
	}
	$errores=0;
    print_r("datos:".$datos);
	//recorremos el arreglo multidimensional 
	//para ir recuperando los datos obtenidos
	//del excel e ir insertandolos en la BD
    $campo=0;
    $objProducto->iniciarTransaccion();
    $objListaUnidad->iniciarTransaccion();
    $objSerieProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
    foreach($datos as $k => $v){
        //GUIA
        $idproveedor=7;
        $rs=$objMovimiento->listarDocumento(0,13,$v["guia"],$v["fechaguia"],$v["fechaguia"],"",5,0,$idproveedor);
        if($rs->rowCount()>0){
            $idguia=$rs->fetchObject()->idmovimiento;    
        }else{
            $rs = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$v["guia"],"A","'".$v["fechaguia"]."'",0,0,0,"Guia de Remision Compra",$idproveedor,$_SESSION["idpersona"],5,13,0,0,0,"'".$v["fechaguia"]."'",0,3,"N",0,0,0,0,0,0);
            if($rs->rowCount()==0){
                $objProducto->abortarTransaccion();
                $objListaUnidad->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
    			$errores++;
                print_r($v);
                echo $rs;
                exit();
            }        
            $idguia=$rs->fetchObject()->idmovimiento; 
        }
        //PRODUCTO
        if(trim($v["carroceria"])=="MOTOCICLETA"){
            $idcategoria=9;
        }elseif(trim($v["carroceria"])=="TRIMOTO PASAJEROS"){
            $idcategoria=6;
        }elseif(trim($v["carroceria"])=="TRIMOTO CARGA"){
            $idcategoria=7;
        }
        $rs=$objMarca->listarMarca(0,trim($v["marca"]));
        if($rs->rowCount()>0){
            $idmarca=$rs->fetchObject()->idmarca;
        }else{
            $objMarca->insertarMarca(trim($v["marca"]),substr(trim($v["marca"]),0,5),1);
            $rs=$objMarca->listarMarca(0,trim($v["marca"]));
            $idmarca=$rs->fetchObject()->idmarca;
        }
        $rs=$objModelo->listarModelo(0,trim($v["modelo"]));
        if($rs->rowCount()>0){
            $idmodelo=$rs->fetchObject()->idmodelo;
        }else{
            $objModelo->insertarModelo(trim($v["modelo"]));
            $rs=$objModelo->listarModelo(0,trim($v["modelo"]));
            $idmodelo=$rs->fetchObject()->idmodelo;
        }
        $rs=$objColor->listarColor(0,trim($v["color"]));
        if($rs->rowCount()>0){
            $idcolor=$rs->fetchObject()->idcolor;
        }else{
            $objColor->insertarColor(trim($v["color"]));
            $rs=$objColor->listarColor(0,trim($v["color"]));
            $idcolor=$rs->fetchObject()->idcolor;
        }
        $rst=$objProducto->listarProducto(0,"","",$idcategoria,$idmarca,"",1,$idmodelo,$idcolor,1,"GASOLINA");
        if($rst->rowCount()==0){    
            $codigo=$objProducto->buscarSiguienteCodigo($idcategoria,$idmarca);
            $band = $objProducto->insertarProducto(0,$codigo,strtoupper(trim('')),1,$idmarca,$idcategoria,4,$idcolor,$idmodelo,1,'','S',"GASOLINA");
            if($band->rowCount()==0){
                $objListaUnidad->abortarTransaccion();
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
        		$errores++;
                print_r($v);
                echo $rs;
                exit();
            }
            
            $idproducto = $band->fetchObject()->idproducto;
            $band = $objListaUnidad->insertarListaUnidad(1,0,0,0,$idproducto,4,4);
            if($band!="0"){
                $objListaUnidad->abortarTransaccion();
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
        		$errores++;
                print_r($v);
                echo $rs;
                exit();
            }
        }else{
            $idproducto=$rst->fetchObject()->idproducto;
        }
        $band =$objMovimiento->insertarDetalleMovAlmacen2($_SESSION["idsucursal"],$idguia,$idproducto,4,$v["cantidad"],$v["precio"]==""?0:$v["precio"],$v["precioventa"]==""?0:$v["precioventa"]);
        if($band->rowCount()==0){
            $objListaUnidad->abortarTransaccion();
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
    		$errores++;
            print_r($v);
            echo $rs;
            exit();
        }  
        
        $iddetalle=$band->fetchObject()->iddetalle;
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$idproducto,4,1,$idguia,'S',0,date("d/m/Y H:i:s"),$_SESSION["idpersona"],'N'); 
        if($band!="0"){
            $objListaUnidad->abortarTransaccion();
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
    		$errores++;
            print_r($v);
            echo $rs;
            exit();
        }
        if(trim($v["dua"])!=""){
            $du=explode("-ITEM-",trim($v["dua"]));
            $dua=$du[0];
            $item=$du[1];    
        }else{
            $dua="";
            $item="";
        }
        $band = $objMovimiento->insertarSerieProducto($idproducto,'',$v["fechaguia"]." ".date("H:i:s"),$idguia,$_SESSION["idsucursal"],$dua,$v["motor"],$v["chasis"],$v["anio"],$iddetalle,$item);   
        if($band!="0"){
            $objListaUnidad->abortarTransaccion();
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
    		$errores++;
            print_r($v);
            echo $rs;
            exit();
        }
        $idserieproducto=$objMovimiento->obtenerDataSQL("select * from serieproducto where motor='".$v["motor"]."' and chasis='".$v["chasis"]."'")->fetchObject()->idserieproducto;
        if(trim($v["factura"])!=""){
            $credito=0;
            $subtotal=round(($v["precio"]==""?0:$v["precio"])/1.18,2);
            $igv=round($v["precio"] - $subtotal,2);
            $band = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],trim($v["factura"]),"A","'".$v["fechaguia"]."'",$subtotal,$igv,($v["precio"]==""?0:$v["precio"]),"FACTURA REALIZADA POR MIGRACION",$idproveedor,$_SESSION["idpersona"],1,2,0,0,0,'null',0,0,'N',$idguia,$_SESSION["idsucursal"],0,0,$credito);
            if($band->rowCount()==0){
                $objListaUnidad->abortarTransaccion();
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
        		$errores++;
                print_r($v);
                echo $rs;
                exit();
            }
            $moneda="S";
            $idfactura=$band->fetchObject()->idmovimiento;
            $objMovimiento->ejecutarSQL("update movimiento set incluyeigv='S',moneda='$moneda',idtipocompra=1 where idmovimiento=".$idfactura);

            $band = $objMovimiento->actualizarSerieFactura($idserieproducto,$_SESSION["idsucursal"],$idfactura);
            if($band!="0"){
                $objListaUnidad->abortarTransaccion();
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
        		$errores++;
                print_r($v);
                echo $rs;
                exit();
            }
        }
        //VENTA
        if(trim($v["estado"])=="VENDIDA"){
            $rs=$objPersona->listarPersona(0,"",trim($v["cliente"]));
            if($rs->rowCount()>0){
                $idcliente=$rs->fetchObject()->idpersona;
            }else{
                $objPersona->insertarPersona("NATURAL",$v["cliente"],"","",$v["dni"],"M",$v["direccion"],$v["telefono"],"",0,"","null",0,0);
                $idcliente=$objPersona->ultimoid()->fetchObject()->id;					
                $objRol->insertarRolpersona(2,$idcliente);
            }
            
            $totalpago=$v["precioventa"];
            $idtipotarjeta=0;
            
            $rs = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$v["boleta"],"A","'".$_POST["txtFecha"]." ".date("H:i:s")."'",0,0,$v["precioventa"],"",$idcliente,1,2,4,0,0,0,"null",0,0,"N",0,$_SESSION["idsucursal"],0,0,0,$idtipotarjeta,$totalpago);
            if($rs->rowCount()==0){
                $objListaUnidad->abortarTransaccion();
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
        		$errores++;
                print_r($v);
                echo $rs;
                exit();
            }
    
            $dato = $rs->fetchObject();
            $objMovimiento->ejecutarSQL("update movimiento set idtipocompra=1 where idmovimiento=".$dato->idmovimiento);
            $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$dato->idmovimiento,$idproducto,4,1,$v["precio"],$v["precioventa"],0);
            if($band!="0"){
                $objListaUnidad->abortarTransaccion();
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
        		$errores++;
                print_r($v);
                echo $rs;
                exit();
            } 
        }
	}	
    $objProducto->finalizarTransaccion(); 
    $objListaUnidad->finalizarTransaccion();
    $objSerieProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();
	/////////////////////////////////////////////////////////////////////////

	echo "<strong><center>ARCHIVO IMPORTADO CON EXITO, EN TOTAL $campo REGISTROS Y $errores ERRORES</center></strong>";
	//una vez terminado el proceso borramos el 
	//archivo que esta en el servidor el bak_
	unlink($destino);		
}
//si por algo no cargo el archivo bak_ 
else{
	echo "<strong style='font-size: 16;'><center>Necesitas primero seleccionar el archivo!!!</strong></center><br />";}
}

?>
</body>
</html>