<?php
require_once("../cado/cado.php");
require_once("../negocio/clsProducto.php");
require_once("../negocio/clsMovimiento.php");

$objProducto = new Producto();
$objMovimiento = new Movimiento();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    $this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$rs = $objMovimiento->listarDocumento($_GET["id"],0,'','','');
$datos = $rs->fetchObject();
$pdf=new PDF('P','mm','letter');
$pdf->AddPage('','A4');
$pdf->Ln();

$pdf->SetFont('helvetica','B',13);
$pdf->Cell(0,8,"DOCUMENTO DE ALMACEN ".$datos->tipodocumento." ".$datos->numero,0,0,'C');
$pdf->Ln();
$pdf->SetFont('helvetica','B',11);
$pdf->Cell(20,8,"FECHA :",0,0,'C');
$pdf->SetFont('helvetica','',11);
$pdf->Cell(40,8,$datos->fecha,0,0,'L');
$pdf->SetFont('helvetica','B',11);
$pdf->Cell(32,8,"RESPONSABLE :",0,0,'C');
$pdf->SetFont('helvetica','',11);
$pdf->Cell(0,8,$datos->apellidoPaterno." ".$datos->apellidoMaterno." ".$datos->nombres,0,0,'L');
$pdf->Ln();
$pdf->SetFont('helvetica','B',11);
$pdf->Cell(10,8,"N",1,0,'C');
$pdf->Cell(18,8,"CODIGO",1,0,'C');
$pdf->Cell(80,8,"DESCRIPCION",1,0,'C');
$pdf->Cell(20,8,"MARCA",1,0,'C');
//$pdf->Cell(35,8,"CATEGORIA",1,0,'C');
$pdf->Cell(30,8,"UNIDAD",1,0,'C');
$pdf->Cell(20,8,"CANT.",1,0,'C');
//$pdf->Cell(30,8,"",1,0,'C');
$pdf->Ln();
$rs = $objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);
$c=1;
while($dato=$rs->fetchObject()){    
 //   $carro[$dato->idproducto]=array("idproducto"=>$dato->idproducto,"codigo"=>$dato->codigo,"producto"=>$dato->producto,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"fraccion"=>$dato->cantidad%$dato->maxfraccion,"cantidad"=>($dato->cantidad-$dato->cantidad%$dato->maxfraccion)/$dato->maxfraccion,"maxfraccion"=>$dato->maxfraccion,"precioventa"=>$dato->precioventa,"preciocompra"=>$dato->preciocompra);
        $pdf->SetFont('helvetica','',11);
        $pdf->Cell(10,7,$c,1,0,'C');
        $pdf->Cell(18,7,$dato->codigo,1,0,'C');
        if(strlen($dato->producto)>43){
            $y=$pdf->GetY();
            $x=$pdf->GetX();
            $pdf->MultiCell(80,3.5,utf8_decode(utf8_encode($dato->producto)),1,'L',0);
            $pdf->SetY($y);
            $pdf->SetX($x+80);
        }else{
            $pdf->Cell(80,7,utf8_decode(utf8_encode($dato->producto)),1,0,'L');
        }
		$pdf->Cell(20,7,$dato->marca,1,0,'C');
//    $pdf->Cell(35,7,$datos->categoria,1,0,'C');
        $pdf->Cell(30,7,$dato->unidad,1,0,'C');
	    $pdf->Cell(20,7,$dato->cantidad,1,0,'C');
        $pdf->Ln();
        $c=$c+1;
    //}
}      
$pdf->Cell(35,8,"COMENTARIO :",0,0,'L');
$pdf->Cell(0,8,$datos->comentario,0,0,'L');        
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>