<?php
require_once("../cado/cado.php");
require_once("../negocio/clsProducto.php");
require_once("../negocio/clsMovimiento.php");

$objProducto = new Producto();
$objMovimiento = new Movimiento();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    $this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$rs = $objMovimiento->listarDocumento($_GET["id"],0,'','','');
$datos = $rs->fetchObject();
$pdf=new PDF('P','mm','letter');
$pdf->AddPage('','A4');
$pdf->Cell(80,7,"",0,0,'C');
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();

$pdf->SetFont('helvetica','B',13);
$pdf->Cell(0,8,"CARTA PODER",0,0,'C');
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('helvetica','',11);
if($datos->tipopersona=="NATURAL"){
    $cliente=$datos->cliente;
}else{
    $cliente=$datos->razonsocial;
}
$pdf->MultiCell(0,8,"Yo ".utf8_decode($cliente)." identificado con ".(strlen($datos->nrodocpersona)==8?"D.N.I.":"R.U.C.")." N ".$datos->nrodocpersona.", con domicilio ".utf8_decode($datos->direccion)." otorgo el poder suficiente a favor del Sra. Edita Mercedes Garcia Facundo con D.N.I. N 16769363 o Patty Edith Clavo Garcia D.N.I. N 48066525.",0,'L');
$pdf->Ln();
$pdf->Ln();
$pdf->MultiCell(0,8,"Para que en mi nombre y representacin pueda recoger mi placa de rodaje ____________________ en la Asociacin Automotriz del Per cuyo efecto suscribo a presente.",0,'L');
$pdf->Ln();
$pdf->Ln();
$pdf->Cell(0,8,"As mismo mando a legalizar mi firma ante notario pblico.",0,0,'L');
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();
$pdf->Cell(80,7,"",0,0,'C');
$pdf->Cell(50,7,"__________________________________",0,0,'C');
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>