<?php
require_once("../cado/cado.php");
require_once("../negocio/clsProducto.php");
require_once("../negocio/clsMovimiento.php");

$objProducto = new Producto();
$objMovimiento = new Movimiento();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    $this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$rs = $objMovimiento->listarDocumento($_GET["id"],0,'','','');
$datos = $rs->fetchObject();
$pdf=new PDF('L','mm','letter');
$pdf->AddPage('','A4');
$pdf->Ln();

$pdf->SetFont('helvetica','B',13);
$pdf->Cell(0,8,"DOCUMENTO DE CARROCERIA ".$datos->numero,0,0,'C');
$pdf->Ln();
$pdf->SetFont('helvetica','B',11);
$pdf->Cell(20,8,"FECHA :",0,0,'C');
$pdf->SetFont('helvetica','',11);
$pdf->Cell(40,8,$datos->fecha,0,0,'L');
$pdf->SetFont('helvetica','B',11);
$pdf->Cell(32,8,"PROVEEDOR :",0,0,'C');
$pdf->SetFont('helvetica','',11);
$pdf->Cell(0,8,$datos->razonsocial,0,0,'L');
$pdf->Ln();
$pdf->SetFont('helvetica','B',9);
$pdf->Cell(35,8,"MOTOR",1,0,'C');
$pdf->Cell(35,8,"CHASIS",1,0,'C');
$pdf->Cell(42,8,"DUA",1,0,'C');
$pdf->Cell(13,8,"ITEM",1,0,'C');
$pdf->Cell(20,8,"AO",1,0,'C');
$pdf->Cell(20,8,"COLOR",1,0,'C');
$pdf->Cell(23,8,"MARCA",1,0,'C');
$pdf->Cell(23,8,"MODELO",1,0,'C');
$pdf->Cell(25,8,"CATEGORIA",1,0,'C');
$pdf->Cell(25,8,"COMBUSTIBLE",1,0,'C');
$pdf->Ln();
$rs = $objMovimiento->listarDetalleDocumentoSerieEntrada(0,$_SESSION["idsucursal"],0,0,0,$_GET["id"]);
$c=1;
while($dato=$rs->fetchObject()){    
    $pdf->SetFont('helvetica','',8);
    $pdf->Cell(35,6,$dato->motor,1,0,'C');
    $pdf->Cell(35,6,$dato->chasis,1,0,'C');
    $pdf->Cell(42,6,$dato->dam,1,0,'C');
    $pdf->Cell(13,6,$dato->item,1,0,'C');
    $pdf->Cell(20,6,$dato->anio,1,0,'C');
    $pdf->Cell(20,6,$dato->color,1,0,'C');
    $pdf->Cell(23,6,$dato->marca,1,0,'C');
    $pdf->Cell(23,6,$dato->modelo,1,0,'C');
    $pdf->Cell(25,6,$dato->categoria,1,0,'C');
    $pdf->Cell(25,6,$dato->combustible,1,0,'C');
    $pdf->Ln();
}      
$pdf->SetFont('helvetica','B',9);
$pdf->Cell(35,8,"COMENTARIO :",0,0,'L');
$pdf->SetFont('helvetica','',9);
$pdf->Cell(0,8,$datos->comentario,0,0,'L');        
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>