<?php
require_once("../cado/cado.php");
require_once("../negocio/clsProducto.php");

$objProducto = new Producto();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    $this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$rs = $objProducto->listarProducto(0,$_GET['codigo'],$_GET['descripcion'],$_GET['idcategoria'],$_GET['idmarca'],'','2');
$pdf=new PDF('L','mm','letter');
$pdf->AddPage('','A4');
$pdf->Ln();

$pdf->SetFont('helvetica','B',14);
$pdf->Cell(0,8,"LISTADO DE PRODUCTO",0,0,'C');
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('helvetica','B',12);
$pdf->Cell(18,8,"CODIGO",1,0,'C');
$pdf->Cell(80,8,"DESCRIPCION",1,0,'C');
$pdf->Cell(20,8,"UNI. BASE",1,0,'C');
//$pdf->Cell(35,8,"CATEGORIA",1,0,'C');
$pdf->Cell(60,8,"LABORATORIO",1,0,'C');
$pdf->Cell(28,8,"FRACCION",1,0,'C');
//$pdf->Cell(30,8,"",1,0,'C');
$pdf->Cell(30,8,"STOCK",1,0,'C');
$pdf->Ln();
while($datos=$rs->fetchObject()){
    $rs2 = $objProducto->obtenerStockProducto($datos->idproducto,$_SESSION["idsucursal"],$datos->idunidadbase);
    $dato3= $rs2->fetchObject();
    //if($rs2->rowCount()==0){     
        $pdf->SetFont('helvetica','',12);
        $pdf->Cell(18,7,$datos->codigo,1,0,'C');
        if(strlen($datos->producto)>43){
            $y=$pdf->GetY();
            $x=$pdf->GetX();
            $pdf->MultiCell(80,3.5,utf8_decode(utf8_encode($datos->producto)),1,'L',0);
            $pdf->SetY($y);
            $pdf->SetX($x+80);
        }else{
            $pdf->Cell(80,7,utf8_decode(utf8_encode($datos->producto)),1,0,'L');
        }
	    $pdf->Cell(20,7,$datos->unidadbase,1,0,'C');
//    $pdf->Cell(35,7,$datos->categoria,1,0,'C');
        $pdf->Cell(60,7,$datos->marca,1,0,'C');
        $pdf->Cell(28,7,$datos->fraccion,1,0,'C');
	    if($_GET["stock"]!="si")
	       $pdf->Cell(30,7,"",1,0,'C');
	    else
           $pdf->Cell(30,7,$dato3->stock,1,0,'C');
        $pdf->Ln();
    //}    
} 
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>