<?php
ini_set('max_execution_time', 300);
session_start();
include("../negocio/clsProducto.php");
include("../negocio/clsMovimiento.php");
include("../negocio/clsListaUnidad.php");
include("../negocio/clsPersona.php");
include("../negocio/clsLugarTraslado.php");
include("../negocio/clsTransportista.php");
include("../negocio/clsSerieProducto.php");

$accion=$_GET["accion"];
$objProducto = new Producto();
$objListaUnidad = new ListaUnidad();
$objMovimiento = new Movimiento();
$objPersona=new Persona();
$objLugarTraslado = new LugarTraslado();
$objTransportista = new Transportista();
$objSerieProducto = new SerieProducto();

if($accion =="nuevo"){
	$objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
    $objSerieProducto->iniciarTransaccion();
    $res = $objMovimiento->consultarUltimoConcepto($_SESSION["idsucursal"],4);
    if($res->rowCount()==0){
        $idconceptopago=0;
    }else{
        $dato = $res->fetchObject();
        $idconceptopago=$dato->idconceptopago;
    }
        
   if($idconceptopago==2){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
        $msg="No se puede generar la venta porque la caja esta cerrada";
		echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
        exit();
    }elseif($idconceptopago==0){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
		$msg="No se puede generar la venta porque no se ha aperturado caja";
		echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
        exit();
    }
    if($_POST["cboTipoDoc"]!="5"){$_POST["txtIGV"]=0;$_POST["txtSubTotal"]=0;}
    if($_POST["cboFormaPago"]=="B"){$situacion="P";}else{$situacion="N";}
    if($_POST["txtTipoPago"]=="E"){
        $totalpago=$_POST["txtMonto"];
        $idtipotarjeta=0;
        $totalefectivo=0;
    }else{
        $totalpago=$_POST["txtMonto"];
        $totalefectivo=$_POST["txtPagoEfectivo"];
        $idtipotarjeta=$_POST["cboTipoTarjeta"];
    }
    $rs = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$_POST["txtNroDoc"],$_POST["cboFormaPago"],"'".$_POST["txtFecha"]." ".date("H:i:s")."'",$_POST["txtSubTotal"],$_POST["txtIGV"],$_POST["txtTotal"],$_POST["txtComentario"],$_POST["txtIdCliente"],$_POST["cboPersonal"],9,$_POST["cboTipoDoc"],0,0,0,"null",0,0,$situacion,0,0,0,0,0,$idtipotarjeta,$totalpago);
    if($rs->rowCount()==0){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
		$msg="No se pudo guardar1";
		echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
        exit();
    }
    
    $dato = $rs->fetchObject();
    $objMovimiento->ejecutarSQL("update movimiento set totalefectivo=".$totalefectivo." where idmovimiento=".$dato->idmovimiento);
    foreach($_SESSION["carro_producto"] as $k=>$v){
        $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$dato->idmovimiento,$v["idproducto"],$v["idunidad"],$v["cantidad"],$v["preciocompra"],$v["precioventa"],0);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
		    $msg="No se pudo guardar2";
		    echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
            exit();
        }    
        
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$v["idproducto"],$v["idunidad"],(-1)*($v["cantidad"]),$dato->idmovimiento,'S',$v["precioventa"],date("d/m/Y H:i:s"),$_SESSION["idpersona"],'N'); 
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
		    $msg="No se pudo guardar3";
		    echo "vpag='frmDocContrato.php';vmsg='".$msg."$band'";
            exit();
        }  
        //Para la venta de serie
        $band =$objSerieProducto->actualizarSerieVenta($v["idserieproducto"],$_SESSION["idsucursal"],$v["idproducto"],$_POST["txtFecha"]." ".date("H:i:s"),0,$dato->idmovimiento); 
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
		    $msg="No se pudo guardar4";
		    echo "vpag='frmDocContrato.php';vmsg='".$msg."$band'";
            exit();
        }
    }
    
    if($_POST["cboFormaPago"]=="A" && ($_POST["txtMonto"]+0)>0){
        //Para Caja
        $numero= $objMovimiento->consultar_numero_sigue(4,7,$_SESSION["idsucursal"]); 
        $rs2 = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$numero,"A","'".$_POST["txtFecha"]." ".date("H:i:s")."'","0.00","0.00",$_POST["txtMonto"],'Pago Documento de Contrato Nro '.$_POST["txtNroDoc"],$_POST["txtIdCliente"],$_SESSION["idpersona"],4,7,3,0,0,"null",0,0,'N',$dato->idmovimiento,$_SESSION["idsucursal"],0,0,0,$idtipotarjeta,$totalefectivo);
        
        if($rs2->rowCount()==0){
			$msg="No se pudo guardar5";
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
			echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
            exit();
        }    
        if(($_POST["txtSaldo"]+0)>0){
            $band = $objMovimiento->modificarSituacionMovimiento($_SESSION["idsucursal"],$dato->idmovimiento,"S");
        }else{
            $band = $objMovimiento->modificarSituacionMovimiento($_SESSION["idsucursal"],$dato->idmovimiento,"C");
        }
        
        if($band!="0"){
			$msg="No se pudo guardar6";
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objSerieProducto->abortarTransaccion();
			echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
            exit();
        }
        //Termina Caja
    }else{
        foreach($_SESSION["carro_cuotas"] as $k=>$v){
            $c=$c+1;
            $band=$objMovimiento->insertarCuota($v["numero"],"'".date("Y-m-d H:i:s")."'","'".$v["fecha"]."'","null",$v["cuota"],0,0,0,$dato->idmovimiento,$_SESSION["idsucursal"]);
            if($band!="0"){
			    $msg="No se pudo guardar6";
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
                $objSerieProducto->abortarTransaccion();
			    echo "vpag='frmDocContrato.php';vmsg='".$msg."$band'";
                exit();
            }
        }
    }
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();  
    $objSerieProducto->finalizarTransaccion(); 
	$msg="Guardado correctamente";
	echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
}

if($accion =="modificar"){
    $objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
        
    if($_POST["cboTipoDoc"]!="5"){$_POST["txtIGV"]=0;$_POST["txtSubTotal"]=0;}
    if($_POST["cboFormaPago"]=="B"){$situacion="P";}else{$situacion="N";}
    $band = $objMovimiento->modificarMovimiento($_SESSION["idsucursal"],$_POST["txtIdDocVenta"],$_POST["txtNroDoc"],$_POST["cboFormaPago"],"'".$_POST["txtFecha"]."'",$_POST["txtSubTotal"],$_POST["txtIGV"],$_POST["txtTotal"],$_POST["txtComentario"],$_POST["txtIdCliente"],$_SESSION["idpersona"],2,$_POST["cboTipoDoc"],0,0,0,"null",0,0,$situacion,0,0,0,0,0);
	if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
		$msg="No se pudo guardar1";
		echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    //Devuelvo el stock
    $rs = $objMovimiento->listarDetalleDocumento($_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);            
    while($dato=$rs->fetchObject()){
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$dato->idproducto,$dato->idunidad,$dato->cantidad,$dato->idmovimiento,'S',$dato->preciocompra,date("d/m/Y"),$_SESSION["idpersona"],'N');
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar2";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    
    }
    //Elimino el detalle del movimiento
    $band=$objMovimiento->eliminarDetalleMovAlmacen($_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);
    if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
	    $msg="No se pudo guardar2.1";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    //Elimino las cuotas
    $band=$objMovimiento->eliminarCuota($_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);
    if($band!="0"){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
	    $msg="No se pudo guardar2.2";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    //Agrego el nuevo detalle
    foreach($_SESSION["carro_producto"] as $k=>$v){
        $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$_POST["txtIdDocVenta"],$v["idproducto"],$v["idunidad"],$v["cantidad"],$v["preciocompra"],$v["precioventa"]);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar3";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    

        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$v["idproducto"],$v["idunidad"],(-1)*($v["cantidad"]),$_POST["txtIdDocVenta"],'S',$v["preciocompra"],date("d/m/Y"),$_SESSION["idpersona"],"N"); 
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
		    $msg="No se pudo guardar4";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }
        
    }
    
    if($_POST["cboFormaPago"]=="B"){
        foreach($_SESSION["carro_cuotas"] as $k=>$v){
            $c=$c+1;
            $band=$objMovimiento->insertarCuota($v["numero"],"'".date("Y-m-d H:i:s")."'","'".$v["fecha"]."'","null",$v["cuota"],0,0,0,$_POST["txtIdDocVenta"],$_SESSION["idsucursal"]);
            if($band!="0"){
			    $msg="No se pudo guardar6";
                $objProducto->abortarTransaccion();
                $objMovimiento->abortarTransaccion();
			    echo "vpag='frmDocVenta.php';vmsg='".$msg."$band'";
                exit();
            }
        }
    }
    
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();                    
    $msg="Guardado correctamente";
    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
}

if($accion =="eliminar"){
    $objMovimiento->iniciarTransaccion();
    $objSerieProducto->iniciarTransaccion();
    //Devuelvo el stock
    $rs = $objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);            
    while($dato=$rs->fetchObject()){
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$dato->idproducto,$dato->idunidad,$dato->cantidad,$dato->idmovimiento,'S',$dato->preciocompra,date("d/m/Y"),$_SESSION["idpersona"],"N");
        if($band!="0"){
            $objMovimiento->abortarTransaccion();
		    $objSerieProducto->abortarTransaccion();
            $msg="No se pudo eliminar";
	 	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    
    }
    
    $band =$objSerieProducto->extornarSerieVenta($_GET["id"],$_SESSION["idsucursal"]); 
    if($band!="0"){
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
	    $msg="No se pudo guardar4";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."$band'";
        exit();
    }

    $band = $objMovimiento->eliminarMovimiento($_GET["id"],$_SESSION["idsucursal"]);
	if($band!="0"){
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
	    $msg="No se pudo eliminar";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    $band = $objMovimiento->eliminarMovimientoRef($_GET["id"],$_SESSION["idsucursal"]);
	if($band!="0"){
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
	    $msg="No se pudo eliminar";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    $objMovimiento->finalizarTransaccion();         
    $objSerieProducto->finalizarTransaccion();           
    $msg="Eliminado correctamente";
	echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
}

if($accion =="anular"){
    $objMovimiento->iniciarTransaccion();
    $objSerieProducto->iniciarTransaccion();
    //Devuelvo el stock
    $rs = $objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);            
    while($dato=$rs->fetchObject()){
        $band =$objMovimiento->agregarStock($_SESSION["idsucursal"],$dato->idproducto,$dato->idunidad,$dato->cantidad,$dato->idmovimiento,'S',$dato->preciocompra,date("d/m/Y"),$_SESSION["idpersona"],"N");
        if($band!="0"){
            $objMovimiento->abortarTransaccion();
		    $objSerieProducto->abortarTransaccion();
            $msg="No se pudo eliminar";
	 	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    
    }
    
    $band =$objSerieProducto->extornarSerieVenta($_GET["id"],$_SESSION["idsucursal"]); 
    if($band!="0"){
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
	    $msg="No se pudo guardar4";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."$band'";
        exit();
    }

    $band = $objMovimiento->modificarSituacionMovimiento($_SESSION["idsucursal"],$_GET["id"],"A");
	if($band!="0"){
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
	    $msg="No se pudo anular";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    $band = $objMovimiento->eliminarMovimientoRef($_GET["id"],$_SESSION["idsucursal"]);
	if($band!="0"){
        $objMovimiento->abortarTransaccion();
        $objSerieProducto->abortarTransaccion();
	    $msg="No se pudo eliminar";
	    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    $objMovimiento->finalizarTransaccion();         
    $objSerieProducto->finalizarTransaccion();           
    $msg="Anulado correctamente";
	echo "vpag='frmDocContrato.php';vmsg='".$msg."'";
}

 if($accion =="ListaCliente"){
	$regxpag=10;
	$pag=$_POST["pag"];			
	$nr1=$_POST["totalreg"];			
	$inicio=$regxpag*($pag - 1);
	$nunPag=ceil($nr1/$regxpag);
	
	$registros = "<table id='tablaCliente' border='1' align='center'><tr><th>DNI/RUC</th><th>Apellidos y Nombres/Razon Social</th></tr>";
	if($inicio==0){
		$rs=$objPersona->listarPersonaGeneral(0,$_POST["descripcion"],2,"");
		$nr1=$rs->rowCount();
	}
	$nunPag=ceil($nr1/$regxpag);
	$limite=" limit $regxpag offset $inicio";
	$rs=$objPersona->listarPersonaGeneral(0,$_POST["descripcion"],2,$limite);
	$nr=$rs->rowCount()*($pag);	
    //$cadena="Encontrados: $nr de $nr1";
    while($dato =$rs->fetchObject()){
        $registros .="<tr id ='c-".$dato->idpersona."'>";
        //LO SGTE PARA OBTENER LA PORSION DE TEXTO QUE COINCIDE Y CAMBIARLE DE ESTILO, $cadena2 -> está variable contiene el valor q coincide, al cual lo ubico en una etiqueta span para cambiarle de estilo.
		
            $nombre = utf8_decode($dato->nrodocumento);
			$posicion  = stripos($nombre, $_POST["descripcion"]);
			if($posicion>-1){
				$cadena1 = substr($nombre, 0, $posicion);
				$cadena2 = substr($nombre, $posicion, strlen($_POST["descripcion"]));
				$cadena3 = substr($nombre, ($posicion + strlen($_POST["descripcion"])));
				
				$data = $cadena1.'<span>'.$cadena2.'</span>'.$cadena3;
				$registros.= "<td>".$data."</td>";
			}else{
				$registros.= "<td>".$nombre."</td>";
				}
			if($dato->tipopersona=="NATURAL"){
				$nombre2=utf8_decode(trim($dato->apellidos) ." ".trim($dato->nombres));
				$posicion2  = stripos($nombre2, $_POST["descripcion"]);			
			}else{
				$nombre2=utf8_decode(trim($dato->razonsocial));	
				$posicion2  = stripos($nombre2, $_POST["descripcion"]);			
			}
			
			if($posicion2>-1){
				$cadena12 = substr($nombre2, 0, $posicion2);
				$cadena22 = substr($nombre2, $posicion2, strlen($_POST["descripcion"]));
				$cadena32 = substr($nombre2, ($posicion2 + strlen($_POST["descripcion"])));
				
				$data2 = $cadena12.'<span>'.$cadena22.'</span>'.$cadena32;
				$registros.= "<td id='vcliente'>".$data2."</td>";
			}else{
				$registros.= "<td id='vcliente'>".$nombre2."</td>";
				}
        $registros .="</tr>";
    }
	$registros.="</table>";
 //INICIO PAGINACION
   $registros.='<table align="center" border="0" id="tablaPaginacion"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pagcliente').value=";
   $medio=";buscarCliente()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden' name='TotalRegCliente' id='TotalRegCliente' value='$nr1' />";

$registros = utf8_encode($registros);
echo $registros;
}

if($accion =="ListaDoc"){
    $filtro=$_POST["idtipodoc"].'|'.$_POST["nrodoc"].'|'.$_POST["fechainicio"].'|'.$_POST["fechafin"].'|'.$_POST["cliente"];
	$registro = "<table class='tabla' width='100%' align='center'><tr><th>NRO. DOC.</th><th>FECHA</th><th>TIPO DOC.</th><th>CLIENTE</th><th>VENDEDOR</th><th>TOTAL</th><th>A CTA</th><th>SALDO</th><th>TIPO TARJETA</th><th>MONTO TARJETA</th><th>CARTA PODER</th><th>INSCRIPCION</th><th>SITUACION</th><th colspan='7'>OPERACIONES</th></tr>";
	$rs=$objMovimiento->listarDocumento(0,$_POST['idtipodoc'],$_POST['nrodoc'],$_POST['fechainicio'],$_POST['fechafin'],'',9,$_POST["idpersonal"],0,0,0,0,"","","","m.numero",$_POST["cliente"]);
	while($dato =$rs->fetchObject()){
	   if($dato->situacion=="A"){
	       $color="color:red";
	   }else{
	       $color="";
	   }
		$registro .="<tr class='' rowspan='$d' style='$color'><td align='center'>".$dato->numero."</td>";
		$registro .="<td align='center'>".$dato->fecha."</td>";
		$registro .="<td align='center'>".$dato->tipodocumento."</td>";
        if($dato->tipopersona!='JURIDICA')
		    $registro .="<td align='center'>".utf8_encode($dato->cliente)."</td>";
        else
            $registro .="<td align='center'>".utf8_encode($dato->razonsocial)."</td>";
        $registro .="<td align='center'>".utf8_encode($dato->nombres." ".$dato->apellidos)."</td>";
        $registro .="<td align='center'>".number_format($dato->total,2,'.','')."</td>";
        $registro .="<td align='center'>".number_format($dato->totalpagado,2,'.','')."</td>";
        $registro .="<td align='center'>".number_format($dato->total - $dato->totalpagado,2,'.','')."</td>";
        if($dato->idtipotarjeta=="0"){
            $registro .="<td align='center'> - </td>";
            $registro .="<td align='center'> - </td>";
        }elseif($dato->idtipotarjeta=="1"){
            $registro .="<td align='center'>VISA</td>";
            $registro .="<td align='center'>".number_format($dato->totalpagado-$dato->totalefectivo,2,'.','')."</td>";
        }else{
            $registro .="<td align='center'>MASTER CARD</td>";
            $registro .="<td align='center'>".number_format($dato->totalpagado-$dato->totalefectivo,2,'.','')."</td>";    
        }
        $totalcta=$totalcta + number_format($dato->totalpagado,2,'.','');
        $totaltarjeta=$totaltarjeta+number_format($dato->totalpagado-$dato->totalefectivo,2,'.','');
        $total=$dato->total+$total;
        $registro .="<td align='center'><a href='#' onclick=window.open('rptDocCartaPoder.php?&id=".$dato->idmovimiento."','_blank'); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Carta Poder'/></a></td>";
        $registro .="<td align='center'><a href='#' onclick=imprimirInscripcion(".$dato->idmovimiento."); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Inscripcion'/></a></td>";
        //$registro .="<td align='center'><a href='#' onclick=imprimirSoat(".$dato->idmovimiento."); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Soat'/></a></td>";
        if($dato->situacion=='P'){
            $registro .="<td align='center'>PENDIENTE</td>";
            $registro .="<td align='center'><a href='javascript:void(0);' onclick=imprimirContrato('".$dato->idmovimiento."','".$dato->idsucursal."'); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Documento'/></a></td>";
            $registro .="<td align='center'><a href='#' onclick=link('frmDetalleDocContrato.php?&id=".$dato->idmovimiento."&filtro=$filtro')><img src='img/list_bullets_icon&16.png' width='16' height='16' title='Ver Detalle'/></a></td>";
            //$registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea eliminar el contrato $dato->numero?')){mantenimiento('../controlador/contContrato.php?accion=eliminar&id=".$dato->idmovimiento."');}\"><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
            $registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea anular el contrato $dato->numero?')){mantenimiento('../controlador/contContrato.php?accion=anular&id=".$dato->idmovimiento."&filtro=$filtro');}\"><img src='img/sq_minus_icon&16' width='16' height='16' title='Anular'/></a></td></tr>";
        }elseif($dato->situacion=='C'){
            $registro .="<td align='center'>CANCELADO</td>";
            $registro .="<td align='center'><a href='javascript:void(0);' onclick=imprimirContrato('".$dato->idmovimiento."','".$dato->idsucursal."'); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Documento'/></a></td>";
            $registro .="<td align='center'><a href='#' onclick=link('frmDetalleDocContrato.php?&id=".$dato->idmovimiento."&filtro=$filtro')><img src='img/list_bullets_icon&16.png' width='16' height='16' title='Ver Detalle'/></a></td>";
            //$registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea eliminar el contrato $dato->numero?')){mantenimiento('../controlador/contContrato.php?accion=eliminar&id=".$dato->idmovimiento."');}\"><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
            $registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea anular el contrato $dato->numero?')){mantenimiento('../controlador/contContrato.php?accion=anular&id=".$dato->idmovimiento."&filtro=$filtro');}\"><img src='img/sq_minus_icon&16' width='16' height='16' title='Anular'/></a></td></tr>";
        }elseif($dato->situacion=='A'){
            $registro .="<td align='center'>ANULADO</td>";
            $registro .="<td align='center'><a href='javascript:void(0);' onclick=imprimirContrato('".$dato->idmovimiento."','".$dato->idsucursal."'); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Documento'/></a></td>";
            $registro .="<td align='center'><a href='#' onclick=link('frmDetalleDocContrato.php?&id=".$dato->idmovimiento."&filtro=$filtro')><img src='img/list_bullets_icon&16.png' width='16' height='16' title='Ver Detalle'/></a></td>";
            $registro .="<td align='center'> - </td></tr>";
        }elseif($dato->situacion=='S'){
            $registro .="<td align='center'>SALDO</td>";
            $registro .="<td align='center'><a href='javascript:void(0);' onclick=imprimirContrato('".$dato->idmovimiento."','".$dato->idsucursal."'); ><img src='img/imprimir.jpg' width='16' height='16' title='Imprimir Documento'/></a></td>";
            $registro .="<td align='center'><a href='#' onclick=link('frmDetalleDocContrato.php?&id=".$dato->idmovimiento."&filtro=$filtro')><img src='img/list_bullets_icon&16.png' width='16' height='16' title='Ver Detalle'/></a></td>";
            //$registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea eliminar el contrato $dato->numero?')){mantenimiento('../controlador/contContrato.php?accion=eliminar&id=".$dato->idmovimiento."');}\"><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
            $registro .="<td align='center'><a href='#' onclick=\"if(confirm('Desea anular el contrato $dato->numero?')){mantenimiento('../controlador/contContrato.php?accion=anular&id=".$dato->idmovimiento."&filtro=$filtro');}\"><img src='img/sq_minus_icon&16' width='16' height='16' title='Anular'/></a></td></tr>";            
        }
	}
    $registro.="<tr><th colspan='5'>TOTAL</th><th>".number_format($total,2,'.','')."</th>";
    $registro.="<th>".number_format($totalcta,2,'.','')."</th><th colspan='5'></th></tr>";
	$registro = utf8_decode($registro."</table>");
	echo $registro;
}

 if($accion =="ListaDocRep"){
	$registro = "<table id='tabla' class='tabla' width='100%' align='center'><tr><th>NRO. DOC.</th><th>FECHA</th><th>TIPO DOC.</th><th>CLIENTE</th><th>TOTAL</th><th>SITUACION</th></tr>";
	$rs=$objMovimiento->listarDocumento(0,0,'',$_POST['fechainicio'],$_POST['fechafin'],'',2);
	while($dato =$rs->fetchObject()){
		$registro .="<tr class=''><td align='center'>".$dato->numero."</td>";
		$registro .="<td align='center'>".$dato->fecha."</td>";
		$registro .="<td align='center'>".$dato->tipodocumento."</td>";
        if($dato->tipopersona!='JURIDICA')
		    $registro .="<td align='center'>".$dato->cliente."</td>";
        else
            $registro .="<td align='center'>".$dato->razonsocial."</td>";
        $registro .="<td align='center'>".$dato->total."</td>";
        if($dato->situacion!='C'){
            $registro .="<td align='center'>PENDIENTE</td>";                                    
        }else{
            $registro .="<td align='center'>CANCELADO</td>";                    
        }
	}
	$registro = utf8_decode($registro."</table>");
	echo $registro;
}

if($accion=="ListaProductoMotor"){
   $TotalReg = $_POST["totalreg"];
   $pag = $_POST["pag"]; 
   $regxpag=10;
   $nr1=$TotalReg;
   $inicio=$regxpag*($pag - 1);
   $limite="";	
   if($inicio==0){
       $rs = $objSerieProducto->listarSerieProducto($_POST["motor"],$_POST["chasis"],0,0,$_SESSION["idsucursal"],"'I','A','E','T'","");
       $nr1=$rs->rowCount();
   }
   $nunPag=ceil($nr1/$regxpag);
   $limite=" limit $regxpag offset $inicio";
   $rs = $objSerieProducto->listarSerieProducto($_POST["motor"],$_POST["chasis"],0,0,$_SESSION["idsucursal"],"'I','A','E','T'",$limite);
   $nr=$rs->rowCount()*($pag);	
   $cadena="Registros encontrados: $nr de $nr1 <br />";
   $registros=$cadena."<table class='tabla' border='1' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DUA</th><th>ITEM</th><th>A&Ntilde;O</th></th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>COMBUSTIBLE</th><th>UNIDAD</th><th>SITUACION</th><th style='display:none'>CANTIDAD</th><th>PRE. VENTA S/.</th></tr>";
   while($dato=$rs->fetchObject()){
       $registros.= "<tr id='".$dato->idproducto."'><td align='center'>$dato->motor</td>";
       $registros.= "<td align='center'>".utf8_decode(utf8_encode($dato->chasis))."</td>";
       $registros.= "<td align='center'>$dato->dam</td>";
       $registros.= "<td align='center'>$dato->item</td>";
       $registros.= "<td align='center'>$dato->anio</td>";
       $registros.= "<td align='center'>$dato->color</td>";
       $registros.= "<td align='center'>$dato->marca</td>";
       $registros.= "<td align='center'>$dato->modelo</td>";
       $registros.= "<td align='center'>$dato->categoria</td>";
       $registros.= "<td align='center'>$dato->combustible</td>";
       $registros.= "<td align='center'>$dato->unidad</td>";
       if($dato->situacion=='I'){
            $registros.="<td align='center'>GUIA</td>";
       }elseif($dato->situacion=='A'){
            $registros.="<td align='center'>ARMADO</td>";
       }elseif($dato->situacion=='E'){
            $registros.="<td align='center'>CARROCERIA</td>";
       }elseif($dato->situacion=='T'){
            $registros.="<td align='center'>TAPIZADO</td>";
       }
       $registros.= "<td align='center' style='display:none'><input type='text' size='5' id='txtCantidad-$dato->idserieproducto' name='txtCantidad-$dato->idserieproducto' value='1' onKeyPress='if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;' /></td>";
       $registros.= "<td align='center'><input type='text' size='5' id='txtPrecioVenta-$dato->idserieproducto' name='txtPrecioVents-$dato->idserieproducto' value='0' onKeyPress='if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;' /></td>";
       $registros.= "<td align='center'><a href='javascript:void(0)' onclick=javascript:agregarProductoMotor('$dato->idserieproducto'); title='Seleccionar Producto'><img title='Seleccionar Producto' src='img/checkmark_icon&24.png' height='20px' width='20px'/></a></td>";
       $registros.= "</tr>";
    }
    //+ 1 indican las operaciones
   $registros.="<tr></table>";
   //INICIO PAGINACION
   $registros.='<table class="tabla" border="1" align="center"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pag').value=";
   $medio=";buscarproductoventa2()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="</td></tr></table><input type='hidden'' name='TotalReg' id='TotalReg'' value='$nr1' />";
   //$registros=utf8_encode($registros);
   echo $registros;
}

if($accion =="generarNumero"){
    $num = $objMovimiento->consultar_numero_sigue_preventa($_POST["idtipomovimiento"],$_POST["idtipodocumento"],$_SESSION["idsucursal"]);
    $registro = "vnrodoc='$num';";
	echo utf8_decode($registro);
}

if($accion =="validarNumero"){
    $num = $objMovimiento->listarDocumento(0,$_POST["idtipodocumento"],$_POST["numero"],"","","",$_POST["idtipomovimiento"]);
    if($num->rowCount()>0){
        $registro="vmsg='S';";   
    }else{
        $registro="vmsg='N';";
    }
	echo utf8_decode($registro);
}

if($accion =="AgregarProducto"){
    $rst = $objSerieProducto->listarSerieProducto("",$_POST["idserieproducto"],0,$_SESSION["idsucursal"],"",0,0);
    $dato = $rst->fetchObject();
    if($_POST["detalle"]=="TRUE"){
        $carro = $_SESSION["carro_producto"];
    }
    $carro[$_POST["idserieproducto"]]=array("idserieproducto"=>$_POST["idserieproducto"],"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,"idtalla"=>$dato->idtalla,"talla"=>$dato->talla,"idtipotaco"=>$dato->idtipotaco,"tipotaco"=>$dato->tipotaco,"idtipocalzado"=>$dato->idtipocalzado,"tipocalzado"=>$dato->tipocalzado,"idcolor"=>$dato->idcolor,"color"=>$dato->color,"idsexo"=>$dato->idsexo,"sexo"=>$dato->sexo,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"idtipoplanta"=>$dato->idtipoplanta,"tipoplanta"=>$dato->tipoplanta,"marca"=>$dato->marca,"cantidad"=>$_POST["cantidad"],"preciocompra"=>$dato->preciocompra,"precioventa"=>$dato->precioventa,"descuento"=>$_POST["descuento"]);
    $_SESSION["carro_producto"]=$carro;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>CODIGO</th><th>COLOR</th><th>TALLA</th><th>TIPO TACO</th><th>TIPO CALZADO</th><th>TIPO PLANTA</th><th>MARCA</th><th>MODELO</th><th>UNIDAD</th><th>SEXO</th><th>CANTIDAD</th><th>PRECIO VENTA</th><th>DESCUENTO</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["codigo"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["talla"]."</td>";
        $registro.="<td align='center'>".$v["tipotaco"]."</td>";
        $registro.="<td align='center'>".$v["tipocalzado"]."</td>";
        $registro.="<td align='center'>".$v["tipoplanta"]."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center'>".$v["sexo"]."</td>";
        $registro.="<td align='center'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProducto('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($total,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format(0,2,'.','')."'  size='5' /></div></td><td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5'  /></td></tr></table>";
}

if($accion =="AgregarProductoMotor"){
    $rst = $objSerieProducto->listarSerieProducto("","",$_POST["idserieproducto"],0,$_SESSION["idsucursal"],"'I','E','A','T'","");
    $dato = $rst->fetchObject();
    if($_POST["detalle"]=="TRUE"){
        $carro = $_SESSION["carro_producto"];
    }
    $carro[$_POST["idserieproducto"]]=array("idserieproducto"=>$_POST["idserieproducto"],"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,
    "idcolor"=>$dato->idcolor,"color"=>$dato->color,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>$_POST["cantidad"],
    "chasis"=>$dato->chasis,"motor"=>$dato->motor,"dam"=>$dato->dam,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"preciocompra"=>$dato->preciocompra,"precioventa"=>$_POST["precio"],"descuento"=>$_POST["descuento"]);
    $_SESSION["carro_producto"]=$carro;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DAM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["motor"]."</td>";
        $registro.="<td align='center'>".$v["chasis"]."</td>";
        $registro.="<td align='center'>".$v["dam"]."</td>";
        $registro.="<td align='center'>".$v["anio"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["categoria"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        //$registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='javascript:void(0)' onclick=javascript:quitarProductoMotor('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
    $subtotal=round($total/1.18,2);
    $igv=round($total - $subtotal,2);
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($subtotal,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format($igv,2,'.','')."'  size='5' /></div></td>
    <td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' readonly='' value='".number_format($total,2,'.','')."' onblur='calcularSaldo();' size='5'  /></td>
    <td>A CTA.:<input type='text' name='txtMonto' id='txtMonto' onKeyPress='if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;' onblur='calcularSaldo();' value='".number_format($total,2,'.','')."' size='5'  /></td>
    <td>SALDO:<input type='text' name='txtSaldo' readonly='' id='txtSaldo' value='".number_format(0,2,'.','')."' size='5' onblur='calcularSaldo();'  /></td>
    </tr></table>";
}

if($accion =="QuitarProducto"){
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto"];
    unset($carro[$_POST["idserieproducto"]]);
    $_SESSION["carro_producto"]=$carro;
	$registro="<table class='tabla' align='center' width='100%'><tr><th>CODIGO</th><th>COLOR</th><th>TALLA</th><th>TIPO TACO</th><th>TIPO CALZADO</th><th>TIPO PLANTA</th><th>MARCA</th><th>MODELO</th><th>UNIDAD</th><th>SEXO</th><th>CANTIDAD</th><th>PRECIO VENTA</th><th>DESCUENTO</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]); 
        $registro.="<tr><td align='center'>".$v["codigo"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["talla"]."</td>";
        $registro.="<td align='center'>".$v["tipotaco"]."</td>";
        $registro.="<td align='center'>".$v["tipocalzado"]."</td>";
        $registro.="<td align='center'>".$v["tipoplanta"]."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center'>".$v["sexo"]."</td>";
        $registro.="<td align='center'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProducto('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($total,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format(0,2,'.','')."'  size='5' /></div></td><td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5'  /></td></tr></table>";
}

if($accion =="QuitarProductoMotor"){
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto"];
    unset($carro[$_POST["idserieproducto"]]);
    $_SESSION["carro_producto"]=$carro;
	$registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DAM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>TOTAL</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
        $registro.="<tr><td align='center'>".$v["motor"]."</td>";
        $registro.="<td align='center'>".$v["chasis"]."</td>";
        $registro.="<td align='center'>".$v["dam"]."</td>";
        $registro.="<td align='center'>".$v["anio"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["modelo"]."</td>";
        $registro.="<td align='center'>".$v["categoria"]."</td>";
        $registro.="<td align='center'>".$v["unidad"]."</td>";
        $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        //$registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
        $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td>";
        $registro.="<td align='center'><a href='javascript:void(0)' onclick=javascript:quitarProductoMotor('".$v["idserieproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
    $subtotal=round($total/1.18,2);
    $igv=round($total - $subtotal,2);
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($subtotal,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format($igv,2,'.','')."'  size='5' /></div></td>
    <td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' readonly='' value='".number_format($total,2,'.','')."' onblur='calcularSaldo();' size='5'  /></td>
    <td>A CTA.:<input type='text' name='txtMonto' id='txtMonto' onKeyPress='if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;' onblur='calcularSaldo();' value='".number_format($total,2,'.','')."' size='5'  /></td>
    <td>SALDO:<input type='text' name='txtSaldo' readonly='' id='txtSaldo' value='".number_format(0,2,'.','')."' size='5' onblur='calcularSaldo();'  /></td>
    </tr></table>";
}

if($accion =="AgregarDetalle"){
    $rs = $objMovimiento->listarDetalleDocumento($_POST["iddocumento"],$_SESSION["idsucursal"]);
    if($_POST["detalle"]=="TRUE")
        $carro = $_SESSION["carro_producto"];
    while($dato=$rs->fetchObject()){    
        $carro[$dato->idproducto]=array("idproducto"=>$dato->idproducto,"codigo"=>$dato->codigo,"producto"=>$dato->producto,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"fraccion"=>$dato->cantidad%$dato->maxfraccion,"cantidad"=>($dato->cantidad-$dato->cantidad%$dato->maxfraccion)/$dato->maxfraccion,"maxfraccion"=>$dato->maxfraccion,"precioventa"=>$dato->precioventa,"preciocompra"=>$dato->preciocompra);
    }
    $rs1=$objMovimiento->listarDetalleCuota($_POST["iddocumento"],$_SESSION["idsucursal"],0);
    while($dato1=$rs1->fetchObject()){
        $carro1[$dato1->idcuota]=array("numero"=>$dato1->numero,"cuota"=>number_format($dato1->monto,2,'.',''),"fecha"=>substr($dato1->fechacancelacion,6,4)."-".substr($dato1->fechacancelacion,3,2)."-".substr($dato1->fechacancelacion,0,2));
    }
    $_SESSION["carro_producto"]=$carro;
    $_SESSION["carro_cuotas"]=$carro1;
    $registro="<table class='tabla' align='center' width='100%'><tr><th>CODIGO</th><th>DESCRIPCION</th><th>MARCA</th><th>UNIDAD</th><th>CANTIDAD</th><th>PRECIO VENTA</th><th title='Traslado por parte de la Empresa CONSTRUCTORA DE LAS CASAS Y CIA PERU'>TRASLADO PROPIO</th><th>TOTAL</th><th>OPERACCIONES</th></tr>";
	$total=0;
    foreach($carro as $k=>$v){
        $total +=$v["precioventa"]*($v["cantidad"]*$v["maxfraccion"]+$v["fraccion"]); 
        $registro.="<tr><td align='center'>".$v["codigo"]."</td>";
        $registro.="<td align='center'>".utf8_decode(utf8_encode($v["producto"]))."</td>";
        $registro.="<td align='center'>".$v["marca"]."</td>";
        $registro.="<td align='center'>".$v["unidadbase"]."</td>";
        $registro.="<td align='center'>".$v["cantidad"]."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
        $registro.="<td align='center'>".($v["viaje"]=="S"?"SI":"NO")."</td>";
        $registro.="<td align='center'>".number_format($v["precioventa"]*($v["cantidad"]),2,'.','')."</td>";
        $registro.="<td align='center'><a href='#' onclick=javascript:quitarProducto('".$v["idproducto"]."'); ><img src='../vista/img/sq_minus_icon&24.png' title='Eliminar' width='20px' height='20px'/></a></td>";
    }
	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($total,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format(0,2,'.','')."' size='5' /></div></td><td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' value='".number_format($total,2,'.','')."' size='5' /></td></tr></table>";
    
}

if($accion=="verCuotas"){
    if($_SESSION["carro_cuotas"]!="") $carro=$_SESSION["carro_cuotas"];
    $cuotas=count($carro);
   	$registro="<fieldset><legend>Listado de Cuotas</legend><table class='tabla'><tr><th>Monto</th><td>".number_format($_POST["total"],2,'.','')."</td><th>Nro. Cuotas</th><td><input type='text' id='txtCuotas' name='txtCuotas' value='$cuotas' size='4' /><input type='button' value='Generar' class='btn' onclick='generarCuotas();' /></td></tr></table><div id='divCuotas'>";
    if($cuotas>0){
        foreach($carro as $k=>$v){
            $c=$c+1;
            $registro.="<table class='tabla'><tr><th>Nro. Cuota</th><th>$c</th></tr>";
            $registro.="<tr><td>Monto:</td><td><input type='text' name='txtCuota$c' id='txtCuota$c' value='".$v["cuota"]."' size='5' readonly='' /></td></tr>";
            $registro.="<tr><td>Fecha:</td><td><input type='date' name='txtFecha$c' id='txtFecha$c' value='".$v["fecha"]."' /></td></tr></table>";
        }
    }
    $registro.="</div><input type='button' class='btn' value='Guardar' onclick='guardarCuotas()' />";
    echo $registro;
}

if($accion=="generarCuotas"){
    for($c=1;$_POST["cuotas"]>$c;$c++){
        $registro.="<table class='tabla'><tr><th>Nro. Cuota</th><th>$c</th></tr>";
        $sum=$sum+number_format($_POST["total"]/$_POST["cuotas"],2,'.','');
        $registro.="<tr><td>Monto:</td><td><input type='text' name='txtCuota$c' id='txtCuota$c' value='".number_format($_POST["total"]/$_POST["cuotas"],2,'.','')."' size='5' /></td></tr>";
        $registro.="<tr><td>Fecha:</td><td><input type='date' name='txtFecha$c' id='txtFecha$c' value='".date("Y-m-d",mktime(0,0,0,date('m')+$c,date("d"),date("Y")))."' /></td></tr></table>";
    }
    $registro.="<table class='tabla'><tr><th>Nro. Cuota</th><th>$c</th></tr>";
    $registro.="<tr><td>Monto:</td><td><input type='text' name='txtCuota$c' id='txtCuota$c' value='".number_format($_POST["total"]-$sum,2,'.','')."' size='5' /></td></tr>";
    $registro.="<tr><td>Fecha:</td><td><input type='date' name='txtFecha$c' id='txtFecha$c' value='".date("Y-m-d",mktime(0,0,0,date('m')+$c,date("d"),date("Y")))."' /></td></tr></table>";
    echo $registro;
}

if($accion=="guardarCuotas"){
    for($c=1;$_POST["txtCuotas"]>=$c;$c++){
        $carro[$c]=array("numero"=>$c,"cuota"=>$_POST["txtCuota".$c],"fecha"=>$_POST["txtFecha".$c]);
    }
    $_SESSION["carro_cuotas"]=$carro;
    echo "Guardado correctamente";
}

 if($accion =="guia"){
	$objProducto->iniciarTransaccion();
    $objMovimiento->iniciarTransaccion();
    $objTransportista->iniciarTransaccion();
    $objLugarTraslado->iniciarTransaccion();
    $num=$objMovimiento->consultar_numero_sigue(3,11,$_SESSION["idsucursal"]);
    //partida
    $rst=$objLugarTraslado->insertarLugarTraslado($_POST["txtPartida"]);
    $dat=$rst->fetchObject();
    $idpartida=$dat->idlugartraslado;
    //destino
    $rst=$objLugarTraslado->insertarLugarTraslado($_POST["txtLlegada"]);
    $dat=$rst->fetchObject();
    $idllegada=$dat->idlugartraslado;
    //transportista
    $rst=$objTransportista->insertarTransportista($_POST["txtTransporte"],$_POST["txtRUCTransporte"],"","",$_POST["txtPlaca"],"",$_POST["txtLicencia"],"");
    $dat=$rst->fetchObject();
    $idtransportista=$dat->idtransportista;
    //movimiento de guia
    $rs = $objMovimiento->insertarMovimiento($_SESSION["idsucursal"],$num,"A","'".$_POST["txtFecha"]."'",0,0,0,"Guia de Remision",$_POST["txtIdCliente"],$_SESSION["idpersona"],3,11,0,0,$idtransportista,"'".$_POST["txtFechaTraslado"]."'",$idpartida,$idllegada,"N",$_POST["txtIdDocVenta"],$_SESSION["idsucursal"],0,0,0);
    if($rs->rowCount()==0){
        $objProducto->abortarTransaccion();
        $objMovimiento->abortarTransaccion();
        $objLugarTraslado->abortarTransaccion();
        $objTransportista->abortarTransaccion();
		$msg="No se pudo guardar1";
		echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
        exit();
    }
    
    $dato = $rs->fetchObject();
    foreach($_SESSION["carro_guia"] as $k=>$v){
        $band =$objMovimiento->insertarDetalleMovAlmacen($_SESSION["idsucursal"],$dato->idmovimiento,$v["idproducto"],$v["idunidad"],$v["cantidad"],$v["preciocompra"],$v["precioventa"]);
        if($band!="0"){
            $objProducto->abortarTransaccion();
            $objMovimiento->abortarTransaccion();
            $objLugarTraslado->abortarTransaccion();
            $objTransportista->abortarTransaccion();
		     $msg="No se pudo guardar2";
		    echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
            exit();
        }    
    }
    
    $objProducto->finalizarTransaccion();
    $objMovimiento->finalizarTransaccion();   
    $objLugarTraslado->finalizarTransaccion();
    $objTransportista->finalizarTransaccion();
	$msg="Guardado correctamente";
	echo "vpag='frmDocVenta.php';vmsg='".$msg."'";
}

if($accion =="ListaSerieProducto"){
	$registro = "<table id='tabla' class='tabla' width='100%' align='center'><tr><th>CODIGO</th><th>FECHA INGRESO</th><th>DOC. INGRESO</th><th>FECHA SALIDA</th><th>DOC. SALIDA</th><th>MARCA</th><th>TIPO CALZADO</th><th>TIPO TACO</th><th>SEXO</th><th>COLOR</th><th>MODELO</th><th>TALLA</th><th>SITUACION</th></tr>";
	$rs=$objSerieProducto->listarSerieProducto($_POST["codigo"],0,0,$_SESSION["idsucursal"],$_POST["situacion"],"",0,$_POST['fechainicio'],$_POST['fechafin'],$_POST["fechainicio2"],$_POST["fechafin2"],$_POST["idmarca"]);
	while($dato =$rs->fetchObject()){
	    $c=$c+1;
		$registro .="<tr class=''><td align='center'><a href='#' onclick=\"window.open('rptSerieProducto.php?idserieproducto=".$dato->idserieproducto."','_blank')\"><img src='img/imprimir.jpg' width='16' height='16' title='Serie'/>".$dato->numero."</a></td>";
		$registro .="<td align='center'>".$dato->fechaingreso."</td>";
        $registro .="<td align='center'>".$dato->nroentrada."</td>";
        $registro .="<td align='center'>".$dato->fechasalida."</td>";
        $registro .="<td align='center'>".$dato->nrosalida."</td>";
		$registro .="<td align='center'>".$dato->marca."</td>";
        $registro .="<td align='center'>".$dato->tipocalzado."</td>";
        $registro .="<td align='center'>".$dato->tipotaco."</td>";
        $registro .="<td align='center'>".utf8_encode($dato->sexo)."</td>";
        $registro .="<td align='center'>".$dato->color."</td>";
        $registro .="<td align='center'>".$dato->modelo."</td>";
        $registro .="<td align='center'>".$dato->talla."</td>";
        if($dato->situacion=='N'){
            $registro .="<td align='center'>EN STOCK</td>";                                    
        }elseif($dato->situacion=='V'){
            $registro .="<td align='center'>VENDIDO</td>";                    
        }elseif($dato->situacion=='S'){
            $registro .="<td align='center'>SALIDA DE ALMACEN</td>";
        }
	}
	$registro = utf8_decode("<label>Total de Registros : $c</label>".$registro."</table>");
	echo $registro;
}

if($accion =="verSeries"){
	$registro = "<table class='tabla' width='100%' align='center'><tr><th>CODIGO</th><th>CALZADO</th></tr>";
	$rs=$objMovimiento->listarDetalleDocumentoSerieVenta($_POST["idmovimiento"],$_SESSION["idsucursal"]);
	while($dato =$rs->fetchObject()){
		$registro .="<tr class=''><td align='center'>".$dato->codigo."</td>";
		$registro .="<td align='center'>$dato->tipocalzado - ".utf8_encode($dato->sexo)." - $dato->color - $dato->tipotaco - $dato->marca - $dato->modelo - $dato->talla</td>";
        $registro .="<td align='center'><a href='#' onclick=\"window.open('rptSerieProducto.php?idserieproducto=".$dato->idserieproducto."','_blank')\"><img src='img/imprimir.jpg' width='16' height='16' title='Ver Serie'/></a></td>";
	}
	$registro = utf8_decode($registro."</table>");
	echo $registro;
}

if($accion=="VentanaCliente"){
    echo '<form id="form2" name="form2"><fieldset><legend>NUEVO CLIENTE</legend>
        <table border="0" align="center">
            <tbody>
            <tr> <td>Tipo Persona:</td>
                    <td>
                        <select  name="cboTipoP" id="cboTipoP" onchange="cambiotipopersona(this.value);">
                            <option value="0">--SELECCIONE--</option>                        
                            <option value="NATURAL">NATURAL</option>     
                            <option value="JURIDICA">JURIDICA</option>     
                        </select></td>
                </tr> 
                <tr class="divnatural">
                    <td>Nombres :</td>
                    <td><input type="text" name="txtNombres" id="txtNombres" value="" /></td>
                </tr>
                <tr class="divnatural">
                    <td>Apellidos:</td>
                    <td><input type="text" name="txtApellidos" id="txtApellidos" value="" /></td>
                </tr>
                 <tr class="divjuridica">
                    <td>Razon Social:</td>
                    <td><input type="text" name="txtRazon" id="txtRazon" value="" /></td>
                </tr>
                <tr>
                    <td id="nrodoc">Nro documento:</td>
                    <td><input type="text" maxlength="11" size="11" onKeyPress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;" name="txtNrodoc2" id="txtNrodoc2" value="" onblur="validarNroCliente()" /></td>
                </tr>
                <tr>
                    <td>Direccion :</td>
                    <td><input type="text" name="txtDireccion" id="txtDireccion" value="" /></td>
                </tr>
                <tr>
                    <td>Teleefono :</td>
                    <td><input type="text" name="txtTelefono" id="txtTelefono" value="" /></td>
                </tr>
                <tr><td colspan="2" align="center"><input type="button" onclick="guardarCliente();" value="GUARDAR CLIENTE" /></td></tr>
        </table></fieldset></form>';
}
/*
if($accion=="imprimirContrato"){
    $dato=$objMovimiento->listarDocumento($_POST["idmovimiento"],0,"","","")->fetchObject();
    $pagado=$dato->totalpagado;
    $suma=$dato->total;
    $comentario=$dato->comentario;
    $handle=printer_open("EPSON LX-350 ESC/P");
    printer_start_doc($handle, "Mi Documento");
    printer_start_page($handle);
    $font = printer_create_font("Sans Serif",13,9,8,false,false, false,0);
    printer_select_font($handle, $font);
    if($dato->tipopersona=="NATURAL"){
        $cli=utf8_decode(trim($dato->cliente));    
    }else{
        $cli=utf8_decode(trim($dato->razonsocial));    
    }
    $vendedor=$dato->apellidos." ".$dato->nombres;
    printer_draw_text($handle,substr($dato->fecha,0,2)."         ".substr($dato->fecha,3,2)."        ".substr($dato->fecha,6,4),0,150);
    printer_draw_text($handle,$cli,60,180);
    printer_draw_text($handle,utf8_decode($dato->direccion),60,200);
    printer_draw_text($handle,$dato->celular,400,220);
    printer_draw_text($handle,$dato->nrodocpersona,60,220);    
    $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($_POST["idmovimiento"],$_SESSION["idsucursal"]);
    while($dato=$rs->fetchObject()){
        //printer_draw_text($handle,($dato->categoria),250,250);
        printer_draw_text($handle,utf8_decode($dato->marca),80,270);
        printer_draw_text($handle,utf8_decode($dato->modelo),80,290);
        printer_draw_text($handle,utf8_decode($dato->motor),80,310);
        printer_draw_text($handle,utf8_decode($dato->chasis),80,330);
        printer_draw_text($handle,utf8_decode($dato->categoria),120,350);
        printer_draw_text($handle,utf8_decode($dato->color),80,370);     
        $categoria=$dato->categoria;    
    }    
    $c=455;
    printer_draw_text($handle,number_format($pagado,2,'.',''),420,$c+15);
    printer_draw_text($handle,number_format($suma - $pagado,2,'.',''),550,$c+15);
    printer_draw_text($handle,number_format($suma,2,'.',''),670,$c+15);
    
    printer_draw_text($handle,($comentario),80,$c+80);
    
    IF($categoria=="MOTOCICLETA"){
        $garantia="1 AÑO";
    }else{
        $garantia="6000 KM RECORRIDOS O 6 MESES";
    }
    printer_draw_text($handle,utf8_decode($garantia),390,$c+235);
    printer_delete_font($font);
    printer_end_page($handle);
    printer_end_doc($handle);
    printer_close($handle);
    echo "vmsg='Imprimiendo';";
}
*/
if($accion=="imprimirContrato"){
    $dato=$objMovimiento->listarDocumento($_POST["idmovimiento"],0,"","","")->fetchObject();
    $pagado=$dato->totalpagado;
    $suma=$dato->total;
    $comentario=$dato->comentario;
    $handle=printer_open("EPSON LX-350 ESC/P");
    printer_start_doc($handle, "Mi Documento");
    printer_start_page($handle);
    $font = printer_create_font("Sans Serif",13,9,8,false,false, false,0);
    printer_select_font($handle, $font);
    if($dato->tipopersona=="NATURAL"){
        $cli=utf8_decode(trim($dato->cliente));    
    }else{
        $cli=utf8_decode(trim($dato->razonsocial));    
    }
    $vendedor=$dato->apellidos." ".$dato->nombres;
    printer_draw_text($handle,substr($dato->fecha,0,2)."        ".substr($dato->fecha,3,2)."      ".substr($dato->fecha,6,4),58,133);
    printer_draw_text($handle,$cli,120,167);
    printer_draw_text($handle,utf8_decode($dato->direccion),120,185);
    printer_draw_text($handle,$dato->celular,400,203);
    printer_draw_text($handle,$dato->nrodocpersona,120,203);    
    $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($_POST["idmovimiento"],$_SESSION["idsucursal"]);
    while($dato=$rs->fetchObject()){
        //printer_draw_text($handle,($dato->categoria),250,250);
        printer_draw_text($handle,utf8_decode($dato->marca),130,250);
        printer_draw_text($handle,utf8_decode($dato->modelo),130,266);
        printer_draw_text($handle,utf8_decode($dato->motor),130,282);
        printer_draw_text($handle,utf8_decode($dato->chasis),130,297);
        printer_draw_text($handle,utf8_decode($dato->categoria),160,312);
        printer_draw_text($handle,utf8_decode($dato->color),130,330);     
        $categoria=$dato->categoria;    
    }    
    $c=398;
    printer_draw_text($handle,number_format($pagado,2,'.',''),470,$c+15);
    printer_draw_text($handle,number_format($suma - $pagado,2,'.',''),600,$c+15);
    printer_draw_text($handle,number_format($suma,2,'.',''),720,$c+15);
    
    printer_draw_text($handle,($comentario),120,$c+70);
    
    IF($categoria=="MOTOCICLETA"){
        $garantia="1 AÑO";
    }else{
        $garantia="6000 KM RECORRIDOS O 6 MESES";
    }
    printer_draw_text($handle,utf8_decode($garantia),390,$c+205);
    printer_delete_font($font);
    printer_end_page($handle);
    printer_end_doc($handle);
    printer_close($handle);
    echo "vmsg='Imprimiendo';";
}

if($accion=="imprimirInscripcion"){
    $dato=$objMovimiento->listarDocumento($_POST["idmovimiento"],0,"","","")->fetchObject();
    $pagado=$dato->totalpagado;
    $suma=$dato->total;
    $comentario=$dato->comentario;
    $idtipodoc=$objMovimiento->obtenerDataSQL("select idtipodocumento from movimiento where idmovimientoref=".$_POST["idmovimiento"]." and idtipomovimiento=2 and situacion<>'A' and estado='N'")->fetchObject()->idtipodocumento;
    $handle=printer_open("EPSON LX-350 ESC/P");
    printer_start_doc($handle, "Mi Documento");
    printer_start_page($handle);
    $font = printer_create_font("Sans Serif",13,9,8,false,false, false,0);
    printer_select_font($handle, $font);
    if($dato->tipopersona=="NATURAL"){
        $cli=utf8_decode(trim($dato->cliente));    
    }else{
        $cli=utf8_decode(trim($dato->razonsocial));    
    }
    printer_draw_text($handle,"CHICLAYO",300,150);
    printer_draw_text($handle,"X",820,195);
    if($dato->idresponsable==13){    
        printer_draw_text($handle,"GARCIA",100,225);
        printer_draw_text($handle,"FACUNDO",310,225);
        printer_draw_text($handle,"EDITA M.",630,225);
        printer_draw_text($handle,"16769363",340,255);
    }else{
        printer_draw_text($handle,"CLAVO",100,225);
        printer_draw_text($handle,"GARCIA",310,225);
        printer_draw_text($handle,"PATTY E.",630,225);
        printer_draw_text($handle,"48066525",340,255);
    }
    printer_draw_text($handle,"AV. AUGUSTO B. LEGUIA 311 CHICLAYO",150,297);
    printer_draw_text($handle,"X",810,345);
    printer_draw_text($handle,"X",140,375);
    printer_draw_text($handle,"PRIMERA INSCRIPCION",280,403);
    printer_draw_text($handle,"MOTO REPUESTOS EL INKA SAC",160,485);
    printer_draw_text($handle,$cli,60,496);
    printer_draw_text($handle,"FORMATO ".($idtipodoc=="5"?"FACTURA":"BOLETA"),260,545);
    printer_draw_text($handle,"X",210,595);
    $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($_POST["idmovimiento"],$_SESSION["idsucursal"]);
    $font = printer_create_font("Sans Serif",10,6,8,false,false, false,0);
    printer_select_font($handle, $font);
    while($dato=$rs->fetchObject()){
        //printer_draw_text($handle,($dato->categoria),250,250);
        printer_draw_text($handle,utf8_decode($dato->motor),130,685);
        printer_draw_text($handle,utf8_decode($dato->chasis),430,685);
        printer_draw_text($handle,utf8_decode($dato->dam),715,685);     
    }    
    printer_delete_font($font);
    printer_end_page($handle);
    printer_end_doc($handle);
    printer_close($handle);
    echo "vmsg='Imprimiendo';";
}

if($accion=="imprimirSoat"){
    $dato=$objMovimiento->listarDocumento($_POST["idmovimiento"],0,"","","")->fetchObject();
    $pagado=$dato->totalpagado;
    $suma=$dato->total;
    $comentario=$dato->comentario;
    $idtipodoc=$objMovimiento->obtenerDataSQL("select idtipodocumento from movimiento where idmovimientoref=".$_POST["idmovimiento"]." and idtipomovimiento=2 and situacion<>'A' and estado='N'")->fetchObject()->idtipodocumento;
    $handle=printer_open("EPSON LX-350 ESC/P");
    printer_start_doc($handle, "Mi Documento");
    printer_start_page($handle);
    $font = printer_create_font("Sans Serif",13,9,8,false,false, false,900);
    printer_select_font($handle, $font);
    if($dato->tipopersona=="NATURAL"){
        $cli=utf8_decode(trim($dato->cliente));    
    }else{
        $cli=utf8_decode(trim($dato->razonsocial));    
    }
    printer_draw_text($handle,"CHICLAYO",300,145);
    printer_draw_text($handle,"X",820,190);
    if($dato->idresponsable==13){
        printer_draw_text($handle,"GARCIA",100,220);
        printer_draw_text($handle,"FACUNDO",310,220);
        printer_draw_text($handle,"EDITA M.",630,220);
        printer_draw_text($handle,"16769363",340,250);
    }else{
        printer_draw_text($handle,"CLAVO",100,220);
        printer_draw_text($handle,"GARCIA",310,220);
        printer_draw_text($handle,"PATTY E.",630,220);
        printer_draw_text($handle,"16769363",340,250);
    }
    printer_draw_text($handle,"AV. AUGUSTO B. LEGUIA 311 CHICLAYO",150,295);
    printer_draw_text($handle,"X",820,340);
    printer_draw_text($handle,"X",150,370);
    printer_draw_text($handle,"PRIMERA INSCRIPCION",280,400);
    printer_draw_text($handle,"MOTO REPUESTOS EL INKA SAC",160,480);
    printer_draw_text($handle,$cli,60,495);
    printer_draw_text($handle,"FORMATO ".($idtipodoc=="5"?"FACTURA":"BOLETA"),260,540);
    printer_draw_text($handle,"X",210,590);
    $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($_POST["idmovimiento"],$_SESSION["idsucursal"]);
    while($dato=$rs->fetchObject()){
        //printer_draw_text($handle,($dato->categoria),250,250);
        printer_draw_text($handle,utf8_decode($dato->motor),130,680);
        printer_draw_text($handle,utf8_decode($dato->chasis),430,680);
        printer_draw_text($handle,utf8_decode($dato->dam),720,680);     
    }    
    printer_delete_font($font);
    printer_end_page($handle);
    printer_end_doc($handle);
    printer_close($handle);
    echo "vmsg='Imprimiendo';";
}

?>