<?php
ini_set('max_execution_time', 300);
include("../negocio/clsProducto.php");
include("../negocio/clsListaUnidad.php");

$accion=$_GET["accion"];
$objProducto = new Producto();
$objListaUnidad = new ListaUnidad();

if($accion =="Nuevo"){
	$objProducto->iniciarTransaccion();
    $objListaUnidad->iniciarTransaccion();
        
    $codigo=$objProducto->buscarSiguienteCodigo($_POST['cboCategoria'],$_POST['cboMarca']);
    $band = $objProducto->insertarProducto(0,$codigo,strtoupper(trim($_POST["txtDescripcion"])),$_POST["txtStockSeguridad"],$_POST["cboMarca"],$_POST["cboCategoria"],$_POST["cboUnidad"],$_POST["cboColor"],$_POST["cboModelo"],$_POST["cboTipoProducto"],$_POST["txtCodigoBarra"],$_POST["cboKardex"]);
    if($band->rowCount()==0){
        $objProducto->abortarTransaccion();
        $objListaUnidad->abortarTransaccion();
		$msg="No se pudo guardar";
		echo "vpag='frmProducto.php';vmsg='".$msg."';vconsole='$band';";
        exit();
    }
    
    $dato = $band->fetchObject();
    $band = $objListaUnidad->insertarListaUnidad(1,$_POST["txtPrecioCompra"],$_POST["txtPrecioVenta"],$_POST["txtPrecioVentaEspecial"],$dato->idproducto,$_POST["cboUnidad"],$_POST["cboUnidad"]);
    if($band!="0"){
        $objProducto->abortarTransaccion();
        $objListaUnidad->abortarTransaccion();
		$msg="No se pudo guardar";
		echo "vpag='frmProducto.php';vmsg='".$msg."';vconsole='$band';";
        exit();
    }
        
    $objProducto->finalizarTransaccion();
    $objListaUnidad->finalizarTransaccion();   
	$msg="Guardado Correctamente";
	echo "vpag='frmProducto.php';vmsg='".$msg."';vconsole='$band';";
}

if($accion =="Actualizar"){
    $objProducto->iniciarTransaccion();
    $objListaUnidad->iniciarTransaccion();
        
    $band = $objProducto->insertarProducto($_POST["txtIdProducto"],$_POST["txtCodigo"],strtoupper(trim($_POST["txtDescripcion"])),$_POST["txtStockSeguridad"],$_POST["cboMarca"],$_POST["cboCategoria"],$_POST["cboUnidad"],$_POST["cboColor"],$_POST["cboModelo"],$_POST["cboTipoProducto"],$_POST["txtCodigoBarra"],$_POST["cboKardex"]);
	if($band->rowCount()==0){
        $objProducto->abortarTransaccion();
        $objListaUnidad->abortarTransaccion();
		$msg="No se pudo guardar";
		echo "vpag='frmProducto.php?filtro=".$_GET["filtro"]."';vmsg='".$msg."';vconsole='$band';";
        exit();
    }
    
    $rst = $objListaUnidad->listarListaUnidad(0,$_POST["txtIdProducto"],$_POST["cboUnidad"],$_POST["cboUnidad"]);
    if($rst->rowCount()>0){
        $dato = $rst->fetchObject();
        $band = $objListaUnidad->modificarListaUnidad($dato->idlistaunidad,1,$_POST["txtPrecioCompra"],$_POST["txtPrecioVenta"],$_POST["txtPrecioVentaEspecial"],$_POST["txtIdProducto"],$_POST["cboUnidad"],$_POST["cboUnidad"]);
    }else{
        $band = $objListaUnidad->insertarListaUnidad(1,$_POST["txtPrecioCompra"],$_POST["txtPrecioVenta"],$_POST["txtPrecioVentaEspecial"],$_POST["txtIdProducto"],$_POST["cboUnidad"],$_POST["cboUnidad"]);
    }
    if($band!="0"){
        $objProducto->abortarTransaccion();
        $objListaUnidad->abortarTransaccion();
		$msg="No se pudo guardar";
		echo "vpag='frmProducto.php?filtro=".$_GET["filtro"]."';vmsg='".$msg."';vconsole='$band';";
        exit();
    }    
    
    $objProducto->finalizarTransaccion();
    $objListaUnidad->finalizarTransaccion();                    
    $msg="Guardado correctamente";
	echo "vpag='frmProducto.php?filtro=".$_GET["filtro"]."';vmsg='".$msg."';vconsole='$band';";
}

if($accion =="modificarCodigo"){
	$rs = $objProducto->listarProducto(0,"","",0,0);
	while($dato=$rs->fetchObject()){
		$codigo = $objProducto->buscarSiguienteCodigo($dato->idcategoria,$dato->idmarca);
		$objProducto->modificarCodigoProducto($codigo,$dato->idproducto);
	}
	echo "vpag='frmProducto.php?filtro=".$_GET["filtro"]."';vmsg='OK';vconsole='$console';";
}

if($accion =="eliminar"){
    $result=$objProducto->eliminarProducto($_GET["id"]);
	if($result=="0"){
		$msg="Eliminado correctamente";
	}else {
		$msg="No se pudo elliminar";
	}
	echo "vpag='frmProducto.php?filtro=".$_GET["filtro"]."';vmsg='".$msg."';vconsole='$console';";
}

if($accion =="ListaKardex"){
	$codproducto=$_POST["idproducto"];
	$fechainicio=$_POST["fechainicio"];
	$fechafin=$_POST["fechafin"];			
	$tipokardex=$_POST["tipo"];
	
	$res=$objProducto->listarProducto(0,$codproducto,'',0,0,'',1);
	if($tipokardex=="V"){
		while($mostrar=$res->fetchObject()){
			if($_SESSION['idrol']==1 || $_SESSION["idrol"]==2){
				$res2=$objProducto->listarKardex($_POST["idsucursal"],$mostrar->idproducto,$fechainicio,$fechafin);
			}else{
				$res2=$objProducto->listarKardex($_SESSION['idsucursal'],$mostrar->idproducto,$fechainicio,$fechafin);
			}
			if($res2->rowCount()>0){
			    echo "<table id='tabla' class='tabla' border='1' width='100%'>";
				echo "<tr><th>".$mostrar->codigo."</th><th colspan='4'>".$mostrar->producto."</th></tr>";				
				echo "<tr><th rowspan='2'>FECHA</th><th rowspan='2'>MOVIMIENTO</th><th rowspan='2'>DOCUMENTO</th><th colspan='3'>INGRESOS</th><th colspan='3'>SALIDAS</th><th colspan='3'>SALDO</th></tr>";				
				echo "<tr><th>CANTIDAD</th><th>PRECIO UNI.</th><th>TOTAL</th><th>CANTIDAD</th><th>PRECIO UNI.</th><th>TOTAL</th><th>CANTIDAD</th><th>PRECIO UNI.</th><th>TOTAL</th></tr>";
                $saldoactual=0;
				while($mostrar2=$res2->fetchObject()){
					echo "<tr align='center'><td>".$mostrar2->fecha."</td><td>".$mostrar2->abrv_documento." ".$mostrar2->movimiento."</td><td>".$mostrar2->tipomovimiento."</td>";
					if($mostrar2->tipomovimiento=="COMPRA" || ($mostrar2->tipomovimiento=="ALMACEN" && $mostrar2->abrv_documento=="I")){
                        $saldoactual=$saldoactual+$mostrar2->cantidad;							 
						echo "<td>".$mostrar2->cantidad."</td><td>".number_format($mostrar2->preciounidad/$mostrar2->fraccion,2)."</td><td>".number_format($mostrar2->cantidad*($mostrar2->preciounidad/$mostrar2->fraccion),2)."</td><td>0</td><td>0.00</td><td>0.00</td><td>".number_format($saldoactual,2,'.','')."</td><td>".number_format($mostrar2->preciounidad/$mostrar2->fraccion,2)."</td><td>".number_format($saldoactual*($mostrar2->preciounidad/$mostrar2->fraccion),2)."</td>";
					}else{
					     $saldoactual=$saldoactual-$mostrar2->cantidad;
						echo "<td>0</td><td>0.00</td><td>0.00</td><td>".$mostrar2->cantidad."</td><td>".number_format($mostrar2->preciounidad,2)."</td><td>".number_format($mostrar2->cantidad*($mostrar2->preciounidad),2)."</td><td>".number_format($saldoactual,2,'.','')."</td><td>".number_format($mostrar2->preciounidad,2)."</td><td>".number_format($saldoactual*($mostrar2->preciounidad),2)."</td>";
					}					
					echo "</tr>";
				}
                echo "</table><br />";
			}
		}
	}else{
		while($mostrar=$res->fetchObject()){
			$res2=$objProducto->listarKardex($_SESSION['idsucursal'],$mostrar->idproducto,$fechainicio,$fechafin);
			if($res2->rowCount()>0){
			   echo "<table id='tabla' class='tabla' border='1' width='100%'>";
				echo "<tr><th>".$mostrar->codigo."</th><th colspan='1'>".$mostrar->producto."</th></tr>";
				
				echo "<tr><th>FECHA</th><th>MOVIMIENTO</th><th>DOCUMENTO</th><th>INGRESOS</th><th>SALIDAS</th><th>SALDO</th></tr>";
                $saldoactual=0;
				while($mostrar2=$res2->fetchObject()){
					echo "<tr align='center'><td>".$mostrar2->fecha."</td><td>".$mostrar2->abrv_documento." ".$mostrar2->movimiento."</td><td>".$mostrar2->tipomovimiento."</td>";
					if($mostrar2->tipomovimiento=="COMPRA" || ($mostrar2->tipomovimiento=="ALMACEN" && $mostrar2->abrv_documento=="I")){
					     $saldoactual=$saldoactual+$mostrar2->cantidad;	
						echo "<td>".$mostrar2->cantidad."</td><td>0</td><td>".number_format($saldoactual,2,'.','')."</td>";
					}else{
                        $saldoactual=$saldoactual-$mostrar2->cantidad;	
						echo "<td>0</td><td>".$mostrar2->cantidad."</td><td>".number_format($saldoactual,2,'.','')."</td>";
					}					
					echo "</tr>";
				}
                echo "</table><br />";
			}
		}
	}
	//echo "</table>";
}


if($accion =="ListaProducto"){
   $filtro=$_POST["codigo"].'|'.$_POST["descripcion"].'|'.$_POST["idcategoria"].'|'.$_POST["idmarca"].'|'.$_POST["pag"].'|'.$_POST["totalreg"];
   $TotalReg = $_POST["totalreg"];
   $pag = $_POST["pag"]; 
   $regxpag=20;
   $nr1=$TotalReg;
   $inicio=$regxpag*($pag - 1);
   $limite="";	
   if($inicio==0){
       $rs = $objProducto->listarProducto(0,$_POST['codigo'],$_POST['descripcion'],$_POST['idcategoria'],$_POST['idmarca'],"",1,0,0,$_POST["tipoproducto"]);
       $nr1=$rs->rowCount();
   }
   $nunPag=ceil($nr1/$regxpag);
   $limite= " LIMIT ".$regxpag." OFFSET ".($regxpag*$pag - $regxpag);    
   $rs = $objProducto->listarProducto(0,$_POST['codigo'],$_POST['descripcion'],$_POST['idcategoria'],$_POST['idmarca'],$limite,1,0,0,$_POST["tipoproducto"]);
   $nr=$rs->rowCount()*($pag);	
   $cadena="Registros encontrados: $nr de $nr1 <br />";
   $registros = $cadena."<table id='tablalistmantproducto' class='tabla' width='100%' align='center'><tr><th>CODIGO</th><th>DESCRIPCI&Oacute;N</th><th>UNIDAD BASE</th><th>CATEGORIA</th><th>COLOR</th><th>MODELO</th><th>MARCA</th><th colspan='3'>OPERACIONES</th></tr>";
	while($dato =$rs->fetchObject()){
		$registros .="<tr class=''><td align='center'>".utf8_encode($dato->codigo)."</td>";
		$registros .="<td align='center'>".utf8_encode(utf8_decode($dato->producto))."</td>";
		$registros .="<td align='center'>".$dato->unidadbase."</td>";
		$registros .="<td align='center'>".utf8_encode($dato->categoria)."</td>";
        $registros .="<td align='center'>".utf8_encode($dato->color)."</td>";
        $registros .="<td align='center'>".utf8_encode($dato->modelo)."</td>";
        $registros .="<td align='center'>".utf8_encode($dato->marca)."</td>";
       	$registros .="<td align='center'><a href='#' onclick=link('mant_producto.php?accion=Actualizar&id=".$dato->idproducto."&filtro=".$filtro."')><img src='img/doc_edit_icon&16.png' width='16' height='16' title='Editar'/></a></td>";
       	$registros .="<td align='center'><a href='#' onclick=\"if(confirm('Dese eliminar el producto?')){mantenimiento('../controlador/contProducto.php?accion=eliminar&id=".$dato->idproducto."&filtro=".$filtro."')}\" ><img src='img/doc_delete_icon&16.png' width='16' height='16' title='Eliminar'/></a></td></tr>";
	}
	 //+ 1 indican las operaciones
   $registros.="</table>";
   //INICIO PAGINACION
   $registros.='<table align="center" id="tablaPaginacion"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pag').value=";
   $medio=";buscarproducto()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden'' name='TotalReg' id='TotalReg'' value='$nr1' />";
   $registros=utf8_encode(utf8_decode($registros));
	echo $registros;
}

if($accion =="ListaProductoRep"){	
   $rs = $objProducto->listarProducto(0,$_POST['codigo'],$_POST['descripcion'],$_POST['idcategoria'],$_POST['idmarca'],"","1",$_POST["prioridad"]);
   $registros = $cadena."<table id='tabla' width='100%' align='center'><tr><th>CODIGO</th><th>DESCRIPCI&Oacute;N</th><th>UNIDAD BASE</th><th>CATEGORIA</th><th>LABORATORIO</th><th>FRACCION</th><th>STOCK</th></tr>";
	while($dato =$rs->fetchObject()){
        if($dato->prioridad=="A") $prio="prioridad";else $prio="";
		$registros .="<tr class='$prio'><td align='center'>".utf8_encode($dato->codigo)."</td>";
		$registros .="<td align='center'>".utf8_encode(utf8_decode($dato->producto))."</td>";
		$registros .="<td align='center'>".$dato->unidadbase."</td>";
		$registros .="<td align='center'>".utf8_encode($dato->categoria)."</td>";
        $registros .="<td align='center'>".utf8_encode($dato->marca)."</td>";
        $registros .="<td align='center'>".number_format($dato->fraccion,2,'.','')."</td>";
        $registros .="<td align='center'>".number_format($dato->stockbase,2,'.','')."</td></tr>";
	}
   $registros=utf8_encode(utf8_decode($registros));
	echo $registros;
}

if($accion =="prod_utilidad"){
	$filtro=$_POST["codigo"].'|'.$_POST["descripcion"].'|'.$_POST["idcategoria"].'|'.$_POST["idmarca"].'|'.$_POST["pag"].'|'.$_POST["totalreg"];
   $TotalReg = $_POST["totalreg"];
   $pag = $_POST["pag"]; 
   $regxpag=10;
   $nr1=$TotalReg;
   $inicio=$regxpag*($pag - 1);
   $limite="";	
   if($inicio==0){
       $rs = $objProducto->listarProducto(0,'',$_POST['descripcion'],0,0);
       $nr1=$rs->rowCount();
   }
   $nunPag=ceil($nr1/$regxpag);
   $limite= " LIMIT ".$regxpag." OFFSET ".($regxpag*$pag - $regxpag);  
   $rs = $objProducto->listarProducto(0,'',$_POST['descripcion'],0,0,$limite);
   $nr=$rs->rowCount()*($pag);	
   $registros = $cadena."<table id='tablaProducto' border='1' align='center'><tr><th>CODIGO</th><th>DESCRIPCI&Oacute;N</th></tr>";
	while($dato =$rs->fetchObject()){
		$registros .="<tr id='$dato->idproducto' onclick=\"seleccionarProductoutilidad('$dato->idproducto','$dato->producto')\" class=''><td align='center'>".utf8_encode($dato->codigo)."</td>";
		$registros .="<td align='center'>".utf8_encode(utf8_decode($dato->producto))."</td>";				
	}
	 //+ 1 indican las operaciones
   $registros.="</tr></table>";
   //INICIO PAGINACION
   $registros.='<table class="tablaPaginacion" align="center"><tr>';
   $nro_hojas=$nunPag;
   $nro_hoja=$pag;
   $ini = "<td><a href=\"#\" onClick=\"javascript:document.getElementById('pag').value=";
   $medio=";buscarproductoutilidad()\">";
   if($nro_hojas>11){
   for($i=1;$i<=3;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   if($nro_hojas % 2 == 0){
      $mitad = (int)($nro_hojas/2);
   }else{
      $mitad = (int)($nro_hojas/2) + 1;
   }
   if($nro_hoja>3 && $nro_hoja <= $nro_hojas-3){
      if($nro_hoja > 6 && $nro_hoja < $nro_hojas - 5){
	     if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
	     for($i=$nro_hoja-2;$i<$nro_hoja;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     for($i=$nro_hoja;$i<=$nro_hoja+2;$i++){
		        if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
	     }	
	     if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
      }else{
	     if($nro_hoja>=4 && $nro_hoja<=6){
		        for($i=4;$i<=8;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
		        if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
	     }else{
		        if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
		        for($i=$nro_hojas-7;$i<=$nro_hojas-3;$i++){
			       if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
		        }
	     }
      }
   }else{
    if($nro_hoja!=4){$registros.= $ini.'4'.$medio."-></a></td>";}else{ $registros.= "<td>-></td>";}
      for($i=(int)$mitad-2;$i<=(int)$mitad+2;$i++){
	     if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
      }
      if($nro_hoja!=($nro_hojas-3)){$registros.= $ini.($nro_hojas-3).$medio."<-</a></td>";}else{ $registros.= "<td><-</td>";}
   }
   for($i=(int)$nro_hojas-2;$i<=(int)$nro_hojas;$i++){
      if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
   }
   }else{
       for($i=1;$i<=$nro_hojas;$i++){
          if($nro_hoja!=$i){$registros.= $ini.$i.$medio.$i.""."</a></td>";}else{ $registros.= "<td>".$i."</td>";}
       }
   }
   $registros.= "</tr></table>";
   //FIN PAGINACION
   $registros.="<input type='hidden'' name='TotalReg' id='TotalReg'' value='$nr1' />";
   $registros=utf8_encode(utf8_decode($registros));
	echo $registros;
}

if($accion =="ListaStockProducto"){	
   $registros = "<table id='tabla' class='tabla' width='100%' border='2'  align='center'><tr><th>CANTIDAD</th><th>MARCA</th><th>MODELO</th><th>COLOR</th>";
   require_once("../negocio/clsTalla.php");
   $objTalla = new Talla();
   $rs1=$objTalla->listarTalla(0,"");
   while($dato=$rs1->fetchObject()){
         $registros.="<th>$dato->descripcion</th>";
         $arr[$dato->idtalla]=array("idtalla"=>$dato->idtalla,"descripcion"=>$dato->descripcion);
   }
   $registros.="<th>P. Unit.</th><th>SUBTOTAL</th></tr>";
   $rs = $objProducto->listarSerieStockProducto($_SESSION["idsucursal"],$_POST['idmarca'],$_POST['idmodelo'],$_POST['idcolor'],0);
	while($dato =$rs->fetchObject()){
		$registros .="<tr><td align='center'>".utf8_encode($dato->cantidad)."</td>";
		$registros .="<td align='center'>".utf8_encode(utf8_decode($dato->marca))."</td>";
		$registros .="<td align='center'>".$dato->modelo."</td>";
		$registros .="<td align='center'>".utf8_encode($dato->color)."</td>";
        foreach($arr as $k=>$v){
            $result = $objProducto->listarSerieStockProducto($_SESSION["idsucursal"],$dato->idmarca,$dato->idmodelo,$dato->idcolor,$v["idtalla"]);
            if($result->rowCount()>0){
                $dat2=$result->fetchObject();
                $registros.="<td>$dat2->cantidad</td>";
            }else{
                $registros.="<td></td>";
            }         
        }
        $rst=$objProducto->listarProducto(0,"","",0,$dato->idmarca,"",1,$dato->idmodelo,$dato->idcolor);
        $dat=$rst->fetchObject();
        $subtotal=$subtotal+$dat->preciocompra*$dato->cantidad;
        $registros.="<td>".number_format($dat->preciocompra,2,'.','')."</td><td>".number_format($dat->preciocompra*$dato->cantidad,2,'.','')."</td></tr>";
        $total=$total+$dato->cantidad;
	}
   $registros="<label>Total de Stock : $total</label>".utf8_encode(utf8_decode($registros))."<tr><th colspan='38' align='right'>TOTAL</th><th>".number_format($subtotal,2,'.','')."</th></tr></table>";
	echo $registros;
}

?>