<?php

include_once("../cado/cado.php");

class ListaUnidad extends clsAccesoDatos{
    // Constructor de la clase
    public function __construct(){		
	    parent::__construct();
	}
    
	function insertarListaUnidad($formula,$preciocompra,$precioventa,$precioventaespecial,$idproducto,$idunidad,$idunidadbase){
		$sql = "select insertar_listaunidad $formula,$preciocompra,$precioventa,$precioventaespecial,$idproducto,$idunidad,$idunidadbase";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
	
	function modificarListaUnidad($id,$formula,$preciocompra,$precioventa,$precioventaespecial,$idproducto,$idunidad,$idunidadbase){
		$sql = "select modificar_listaunidad $id,$formula,$preciocompra,$precioventa,$precioventaespecial,$idproducto,$idunidad,$idunidadbase";
		$modificar = clsAccesoDatos::ejecutarSP($sql);
		return $modificar==0?0:$this->gError[2];		
	}	

	function eliminarListaUnidad($id){
		$sql = "select eliminar_listaunidad $id";
		$insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
	function listarListaUnidad($id,$idproducto,$idunidad,$idunidadbase){
		$sql = "select LU.idlistaunidad,LU.formula,LU.preciocompra,LU.precioventa,LU.precioventaespecial,U.idunidad,U.descripcion as unidad,LU.idunidadbase,UB.descripcion as unidadbase,P.descripcion as producto,P.idproducto 
        from ListaUnidad as LU
        inner join Producto as P on P.idproducto=LU.idproducto 
        left join Unidad as U on U.idunidad=LU.idunidad
        left join Unidad as UB on UB.idunidad=LU.idunidadbase
        where 1=1 ";
        if($idproducto!=0){ $sql = $sql . " and P.idproducto=".$idproducto;}
		if($id!=0){ $sql=$sql." and LU.idListaUnidad=$id";}
        if($idunidad!=0) $sql = $sql." and LU.idunidad=".$idunidad;
        if($idunidadbase!=0) $sql = $sql." and LU.idunidadbase=".$idunidadbase;
		$sql = $sql . " order by P.descripcion,Lu.idlistaunidad asc";
        $insertar = clsAccesoDatos::obtenerDataSQL($sql);
		return $insertar;		
	}	

}

?>