<?php
session_start();
include_once("../cado/cado.php");

class SerieProducto extends clsAccesoDatos{
    // Constructor de la clase
    public function __construct(){		
		  parent::__construct();
	}
    
	function insertarSerieProducto($idproducto,$numero,$fechaingreso,$idmovimientoserieentrada,$idsucursal){
		$sql = "select insertar_serieproducto $idproducto,'$numero','$fechaingreso',$idmovimientoserieentrada,$idsucursal";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
	
    function eliminarSerieProducto($idsucursal,$idproducto,$idmovimientoserieentrada){
		$sql = "select eliminar_serieproducto $idsucursal,$idproducto,$idmovimientoserieentrada";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}
    
    function obtenerLastId(){
        $sql = "SELECT max(idproducto) as idproducto from producto";
   		return clsAccesoDatos::obtenerDataSQL($sql);	
    }
    
    function insertarDetalleInventario($cantidad,$preciocompra,$precioventa,$idmovimiento,$idserieproducto,$idsucursal,$idunidad){
		$sql = "select insertar_detalleinventario $cantidad,$preciocompra,$precioventa,$idmovimiento,$idserieproducto,$idsucursal,$idunidad";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];		
	}  
    /*
	function modificarProducto($id,$codigo,$descripcion,$stockseguridad,$kardex,$idmarca,$idcategoria,$idunidadbase,$idtalla,$idtipocalzado,$idcolor,$idtipotaco,$idtipoplanta,$idmodelo){
		$sql = "select modificar_producto $id,UPPER('$codigo'),UPPER('$descripcion'),$stockseguridad,'$kardex',$idmarca,$idcategoria,$idunidadbase,$idtalla,$idtipocalzado,$idcolor,$idtipotaco,$idtipoplanta,$idmodelo";
		$modificar = clsAccesoDatos::ejecutarSP($sql)==0?0:$this->gError[2];
		return $modificar;		
	}*/	

    function actualizarSerieVenta($idserieproducto,$idsucursal,$idproducto,$fechasalida,$idmovimientoseriesalida,$idmovimientoserieventa,$situacion='V'){
        $sql="select modificar_serieventa $idserieproducto,$idsucursal,$idproducto,'$fechasalida',$idmovimientoseriesalida,$idmovimientoserieventa,'$situacion'";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];	    
    }
    
    function extornarSerieVenta($idmovimiento,$idsucursal){
        $sql="select extornar_serieventa $idmovimiento,$idsucursal";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];	    
    }
    
    function extornarSerieSalida($idmovimiento,$idsucursal){
        $sql="select extornar_seriesalida $idmovimiento,$idsucursal";
        $insertar = clsAccesoDatos::ejecutarSP($sql);
		return $insertar==0?0:$this->gError[2];	    
    }
    
    function generarCodigo($idsucursal){
        $sql = "SELECT count(*) as total from serieproducto where idsucursal=$idsucursal";
        $rst = clsAccesoDatos::obtenerDataSQL($sql);  		 	
        $dato1 = $rst->fetchObject();
        $numero = $dato1->total+1;
	    return str_pad($idsucursal,2,'0',STR_PAD_LEFT).str_pad($numero,9,'0',STR_PAD_LEFT);
    }
    
    function listarSerieProducto($motor,$chasis,$idserieproducto,$idproducto,$idsucursal,$situacion,$limit,$idmovimientoserieentrada=0,$fechainicioingreso="",$fechafiningreso="",$fechainiciosalida="",$fechafinsalida="",$idmarca=0,$idmodelo=0,$idcolor=0){
        $sql="select sp.idserieproducto,sp.numero,sp.idmovimientoserieentrada,sp.fechaingreso,sp.fechasalida,m.idmarca,m.descripcion as marca,mo.idmodelo,mo.descripcion as modelo,
        co.idcolor,co.descripcion as color,u.idunidad,u.descripcion as unidad,lu.precioventa,lu.preciocompra,sp.idproducto,sp.situacion,sp.idsucursal,sp.iddetallemovalmacen,
        m1.numero as nroentrada,m2.numero as nrosalida,m3.numero as nroventa,td3.abreviatura as tipodocventa,td1.abreviatura as tipodocentrada,sp.dam,sp.motor,sp.chasis,sp.anio,ca.descripcion as categoria,p.combustible,sp.item,
        m4.numero as nrofactura,sp.idmovimientoserieventa,sp.idmovimientoseriesalida,m2.fecha as fechasalida2
        from serieproducto sp
        inner join producto p on p.idproducto=sp.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo
        left join color co on co.idcolor=p.idcolor
        left join categoria ca on ca.idcategoria=p.idcategoria
        inner join movimiento m1 on m1.idmovimiento=sp.idmovimientoserieentrada and sp.idsucursal=m1.idsucursal and m1.estado='N'
        left join movimiento m2 on m2.idmovimiento=sp.idmovimientoseriesalida and sp.idsucursal=m2.idsucursal and m2.estado='N'
        left join movimiento m3 on m3.idmovimiento=sp.idmovimientoserieventa and sp.idsucursal=m3.idsucursal and m3.estado='N'
        left join movimiento m4 on m4.idmovimiento=sp.idmovimientofactura and sp.idsucursal=m4.idsucursal and m4.estado='N'
        left join tipodocumento td3 on td3.idtipodocumento=m3.idtipodocumento
        left join tipodocumento td1 on td1.idtipodocumento=m1.idtipodocumento
        inner join unidad as u on p.idunidadbase=u.idunidad
        inner join listaunidad as lu on p.idproducto=lu.idproducto and p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where sp.idsucursal=$idsucursal and sp.estado='N'";
        if($motor!="") $sql.=" and sp.motor like '%$motor%'";
        if($chasis!="") $sql.=" and sp.chasis like '%$chasis%'";
        if($idserieproducto!=0) $sql.=" and sp.idserieproducto=$idserieproducto";
        if($idproducto!=0) $sql.=" and sp.idproducto=$idproducto";
        if($situacion!="") $sql.=" and sp.situacion in ($situacion)";
        if($idmovimientoserieentrada!=0) $sql.=" and sp.idmovimientoserieentrada=$idmovimientoserieentrada";
        if($fechainicioingreso!=''){
            if(strlen($fechainicioingreso)>10){
                $sql = $sql . " and sp.fechaingreso >='$fechainicioingreso'";
            }else{
                $sql = $sql . " and sp.fechaingreso >='$fechainicioingreso 00:00:00'";
            }
        }
        if($fechafiningreso!=''){
            if(strlen($fechafiningreso)>10){
                $sql = $sql . " and sp.fechaingreso <='$fechafiningreso'";
            }else{
                $sql = $sql . " and sp.fechaingreso <='$fechafiningreso 23:59:59'";
            }
        }
        if($fechainiciosalida!=''){
            if(strlen($fechainiciosalida)>10){
                $sql = $sql . " and sp.fechasalida >='$fechainiciosalida'";
            }else{
                $sql = $sql . " and sp.fechasalida >='$fechainiciosalida 00:00:00'";
            }
        }
        if($fechafinsalida!=''){
            if(strlen($fechafinsalida)>10){
                $sql = $sql . " and sp.fechasalida <='$fechafinsalida'";
            }else{
                $sql = $sql . " and sp.fechasalida <='$fechafinsalida 23:59:59'";
            }
        }
        if($idmarca!=0){
            $sql = $sql . " and m.idmarca=$idmarca";
        }
        if($idmodelo!=0){
            $sql = $sql . " and mo.idmodelo=$idmodelo";
        }
        if($idcolor!=0){
            $sql = $sql . " and co.idcolor=$idcolor";
        }
        $sql.=" order by sp.fechaingreso,sp.numero desc";
        if($limit!="") $sql.=" $limit";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }

    function listarSerieProductoInventario($fecha,$idsucursal){
        $sql="select sp.idserieproducto,sp.numero,sp.idmovimientoserieentrada,sp.fechaingreso,sp.fechasalida,m.idmarca,m.descripcion as marca,mo.idmodelo,mo.descripcion as modelo,
        co.idcolor,co.descripcion as color,u.idunidad,u.descripcion as unidad,lu.precioventa,lu.preciocompra,sp.idproducto,sp.situacion,sp.idsucursal,sp.iddetallemovalmacen,
        m1.numero as nroentrada,m2.numero as nrosalida,m3.numero as nroventa,td3.abreviatura as tipodocventa,td1.abreviatura as tipodocentrada,sp.dam,sp.motor,sp.chasis,sp.anio,ca.descripcion as categoria,p.combustible,sp.item,
        m4.numero as nrofactura,sp.idmovimientoserieventa,sp.idmovimientoseriesalida,m2.fecha as fechasalida2
        from serieproducto sp
        inner join producto p on p.idproducto=sp.idproducto
        left join marca as m on m.idmarca=p.idmarca
        left join modelo mo on mo.idmodelo=p.idmodelo
        left join color co on co.idcolor=p.idcolor
        left join categoria ca on ca.idcategoria=p.idcategoria
        inner join movimiento m1 on m1.idmovimiento=sp.idmovimientoserieentrada and sp.idsucursal=m1.idsucursal and m1.estado='N'
        left join movimiento m2 on m2.idmovimiento=sp.idmovimientoseriesalida and sp.idsucursal=m2.idsucursal and m2.estado='N'
        left join movimiento m3 on m3.idmovimiento=sp.idmovimientoserieventa and sp.idsucursal=m3.idsucursal and m3.estado='N'
        inner join movimiento m4 on m4.idmovimiento=sp.idmovimientofactura and sp.idsucursal=m4.idsucursal and m4.estado='N'
        left join tipodocumento td3 on td3.idtipodocumento=m3.idtipodocumento
        left join tipodocumento td1 on td1.idtipodocumento=m1.idtipodocumento
        inner join unidad as u on p.idunidadbase=u.idunidad
        inner join listaunidad as lu on p.idproducto=lu.idproducto and p.idunidadbase=lu.idunidadbase and p.idunidadbase=lu.idunidad
        where sp.idsucursal=$idsucursal and sp.estado='N' and sp.situacion in ('I','V','E','A','T')";
        if($fecha!=''){
            $sql = $sql . " and m4.fecha<'$fecha 00:00:00'";
        }
        $sql.=" order by sp.fechaingreso,sp.numero desc";
        if($limit!="") $sql.=" $limit";
        //echo $sql;
        return clsAccesoDatos::obtenerDataSQL($sql);
    }

}
?>