<?php
session_start();	
header("Cache-Control: no-cache");
header("Pragma: no-cache");
include("seguridad.php");
include("../negocio/clsTipoDocumento.php");
include("../negocio/clsPersona.php");
include("../negocio/clsMovimiento.php");
$objPersona = new Persona();
$objMovimiento = new Movimiento();
?>
<form id="form1" name="form1" method="post" action="../controlador/contDocAlmacen.php?accion=<?php echo $_GET["accion"];?>">
    <div class="page_heading"><span class="titulo">Documento de Contrato</span></div>
    <?php
    $rs = $objMovimiento->listarDocumento($_GET["id"],0,'','','');
    $datos = $rs->fetchObject();
    ?>
    <fieldset><legend>Datos del Documento</legend>
        <table>
            <tr>
                <td>Nro. Doc. :</td>
                <td><input type="text" id="txtNroDoc" name="txtNroDoc" value="<?php echo $datos->numero;?>" size="12" readonly /></td>
                <td style="display: none;">Tipo Doc. :</td>
                <td style="display: none;"><select id="cboTipoDoc" name="cboTipoDoc" disabled="">
                    <?php
                        $objTipoDoc = new TipoDocumento();
                        $rst = $objTipoDoc->listarTipoDocumento(0,9);
                        while($dato=$rst->fetchObject()){
                            $sel = "";
                            if($datos->idtipodocumento==$dato->idtipodocumento) $sel = "selected='selected'"; else $sel = "";
                            echo "<option value='".$dato->stock."-".$dato->idtipodocumento."'  $sel>".$dato->tipodocumento."</option>";
                        }                                
                    ?>
                    </select>
                </td>
                <td>Fecha:</td>
                <td><input type="text" id="txtFecha" readonly="" size="8" name="txtFecha" value="<?php echo substr($datos->fecha,0,10);?>" readonly /></td>
                <td>Cliente:</td>
                <td><input type="hidden" name="txtIdCliente" id="txtIdCliente" value="<?php echo $datos->idcliente;?>"><input type="text" name="txtCliente" value="<?php if($datos->tipopersona=='JURIDICA') echo $datos->razonsocial;else echo $datos->cliente; ?>" size="40" id="txtCliente" readonly autocomplete="off">
                </td>
                <td>Direccion:</td>
                <td><input type="text" size="40" value="<?=$datos->direccion?>" /></td>
                <td>Telf.:</td>
                <td><input type="text" value="<?=$datos->celular?>" /></td>
                <td>DNI:</td>
                <td><input type="text" value="<?=$datos->nrodocpersona?>" /></td>
            </tr>
        </table>
    </fieldset>
    <fieldset><legend>Detalle del Documento</legend>
        <div id="divDetalle">
        <?php
        $rs = $objMovimiento->listarDetalleDocumentoSerieVenta($_GET["id"],$_SESSION["idsucursal"]);
        while($dato=$rs->fetchObject()){
            $carro[$dato->idserieproducto]=array("idserieproducto"=>$dato->idserieproducto,"idproducto"=>$dato->idproducto,"codigo"=>$dato->numero,"idmarca"=>$dato->idmarca,"marca"=>$dato->marca,
            "idcolor"=>$dato->idcolor,"color"=>$dato->color,"idmodelo"=>$dato->idmodelo,"modelo"=>$dato->modelo,"idunidad"=>$dato->idunidad,"unidadbase"=>$dato->unidad,"marca"=>$dato->marca,"cantidad"=>1,
            "chasis"=>$dato->chasis,"motor"=>$dato->motor,"dam"=>$dato->dam,"item"=>$dato->item,"anio"=>$dato->anio,"categoria"=>$dato->categoria,"preciocompra"=>$dato->preciocompra,"precioventa"=>$dato->precioventa);
        }
        $registro="<table class='tabla' align='center' width='100%'><tr><th>MOTOR</th><th>CHASIS</th><th>DUA</th><th>ITEM</th><th>A&Ntilde;O</th><th>COLOR</th><th>MARCA</th><th>MODELO</th><th>CATEGORIA</th><th>UNIDAD</th><th style='display:none'>CANTIDAD</th><th>PRECIO VENTA</th><th>TOTAL</th></tr>";
    	$total=0;
        foreach($carro as $k=>$v){
            $total +=($v["precioventa"]-$v["descuento"])*($v["cantidad"]);
            $registro.="<tr><td align='center'>".$v["motor"]."</td>";
            $registro.="<td align='center'>".$v["chasis"]."</td>";
            $registro.="<td align='center'>".$v["dam"]."</td>";
            $registro.="<td align='center'>".$v["item"]."</td>";
            $registro.="<td align='center'>".$v["anio"]."</td>";
            $registro.="<td align='center'>".utf8_decode(utf8_encode($v["color"]))."</td>";
            $registro.="<td align='center'>".$v["marca"]."</td>";
            $registro.="<td align='center'>".$v["modelo"]."</td>";
            $registro.="<td align='center'>".$v["categoria"]."</td>";
            $registro.="<td align='center'>".$v["unidadbase"]."</td>";
            $registro.="<td align='center' style='display:none'>".$v["cantidad"]."</td>";
            $registro.="<td align='center'>".number_format($v["precioventa"],2,'.','')."</td>";
            //$registro.="<td align='center'>".number_format($v["descuento"],2,'.','')."</td>";
            $registro.="<td align='center'>".number_format(($v["precioventa"]-$v["descuento"])*$v["cantidad"],2,'.','')."</td></tr>";
        }
        $subtotal=$datos->subtotal;
        $igv=$datos->igv;
    	echo $registro."</table><table align='center'><tr><td><div id='divImpuesto' style='display:none;'>SUBTOTAL:<input type='text' name='txtSubTotal' id='txtSubTotal' value='".number_format($subtotal,2,'.','')."' size='5'/>IGV<input id='txtIGV' name='txtIGV' value='".number_format($igv,2,'.','')."'  size='5' /></div></td>
        <td>TOTAL :<input type='text' name='txtTotal' id='txtTotal' readonly='' value='".number_format($total,2,'.','')."' size='5'  /></td>
        <td>A CTA.:<input type='text' name='txtMonto' id='txtMonto' onKeyPress='if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;' value='".number_format($datos->totalpagado,2,'.','')."' size='5' readonly=''  /></td>
        <td>SALDO:<input type='text' name='txtSaldo' readonly='' id='txtSaldo' value='".number_format($datos->total - $datos->totalpagado,2,'.','')."' size='5' /></td>
        </tr></table>";
        ?>
        </div>
    </fieldset>
    <table width="100%">
        <tr>
            <td align="left" width="8%">Comentario: </td>
            <td width="20%" align="left"><textarea id="txtArea" name="txtArea" cols="35" rows="4" readonly><?php echo $datos->comentario;?></textarea></td>
            <td align="right"><input type="button" value="CANCELAR" onclick="link('frmDocContrato.php?filtro=<?=$_GET["filtro"]?>');" /></td>
        </tr>
    </table>
</form>
<script>
//generarNumero();
<?php if($_GET["accion"]=="modificar") echo "agregarDetalle('".$_GET["id"]."');";?>
</script>
