<?php
session_start();
require_once("../cado/cado.php");
require_once("../negocio/clsPlanilla.php");

$objPlanilla = new Planilla();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    //$this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$res=$objPlanilla->listarPlanilla($_SESSION["idsucursal"],$_GET["fecha"]."-01");
$pdf=new PDF('P','mm','letter');
while($datos = $res->fetchObject()){
    $pdf->AddPage('','A4');
    $pdf->Ln();
    
    $pdf->SetFont('helvetica','',13);
    $pdf->Cell(0,8,"RUC :".$_SESSION["ruc"],"LTR",0,'L');
    $pdf->Ln();
    $pdf->Cell(0,8,"Empleador :".$_SESSION["sucursal"],"LR",0,'L');
    $pdf->Ln();
    $pdf->Cell(0,8,"Periodo :".substr($datos->periodo,3,strlen($datos->periodo)),"LBR",0,'L');
    $pdf->Ln();
    $pdf->Ln();
    
    $pdf->SetFont('helvetica','',11);
    $pdf->Cell(48,8,"Documento de Identidad",1,0,'C');
    $pdf->Cell(92,8,"","TR",0,'C');
    $pdf->Cell(0,8,"","TR",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"Tipo",1,0,'C');
    $pdf->Cell(24,8,utf8_decode(utf8_encode("Nmero")),"LBR",0,'C');
    $pdf->Cell(92,8,"Nombre y Apellidos","BR",0,'C');
    $pdf->Cell(0,8,utf8_decode(utf8_encode("Situacin")),"TR",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"DNI",1,0,'C');
    $pdf->Cell(24,8,$datos->nrodoc,1,0,'C');
    $pdf->Cell(92,8,$datos->apellidos." ".$datos->nombres,"TR",0,'C');
    $pdf->Cell(0,8,"ACTIVO O SUBSIDIADO","TR",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(48,8,"Fecha de Ingreso",1,0,'C');
    $pdf->Cell(46,8,"Tipo de Trabajador",1,0,'C');
    $pdf->Cell(46,8,"Regimen Pensionario","TR",0,'C');
    $pdf->Cell(0,8,"CUSPP","TR",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(48,8,$datos->fechaingreso,1,0,'C');
    $pdf->Cell(46,8,$datos->cargo,1,0,'C');
    $pdf->Cell(46,8,$datos->seguro,1,0,'C');
    $pdf->Cell(0,8,$datos->cuspp,1,0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"Das","LRT",0,'C');
    $pdf->Cell(24,8,"Das No","LRT",0,'C');
    $pdf->Cell(23,8,"Das","LTR",0,'C');
    $pdf->Cell(23,8,"","LTR",0,'C');
    $pdf->Cell(46,8,"Jornada Ordinaria",1,0,'C');
    $pdf->Cell(0,8,"Sobretiempo",1,0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"Laborados","LBR",0,'C');
    $pdf->Cell(24,8,"Laborados","LBR",0,'C');
    $pdf->Cell(23,8,"subsidiados","LBR",0,'C');
    $pdf->Cell(23,8,utf8_decode(utf8_encode("Condicin")),"LBR",0,'C');
    $pdf->Cell(23,8,"Total Horas",1,0,'C');
    $pdf->Cell(23,8,"Minutos",1,0,'C');
    $pdf->Cell(25,8,"Total Horas",1,0,'C');
    $pdf->Cell(0,8,"Minutos",1,0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"31",1,0,'C');
    $pdf->Cell(24,8,"0",1,0,'C');
    $pdf->Cell(23,8,"0",1,0,'C');
    $pdf->Cell(23,8,utf8_decode(utf8_encode("Domiciliado")),"LBR",0,'C');
    $pdf->Cell(23,8,"208",1,0,'C');
    $pdf->Cell(23,8,"0",1,0,'C');
    $pdf->Cell(25,8,"0",1,0,'C');
    $pdf->Cell(0,8,"0",1,0,'C');
    $pdf->Ln();
    
    
    $pdf->Cell(140,8,utf8_decode(utf8_encode("Motivo de Suspensin de Labores")),1,0,'C');
    $pdf->Cell(0,8,"Otros empleados por","LTR",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"Tipo",1,0,'C');
    $pdf->Cell(92,8,"Motivo",1,0,'C');
    $pdf->Cell(24,8,utf8_decode(utf8_encode("N Das")),1,0,'C');
    $pdf->Cell(0,8,utf8_decode(utf8_encode("Renta de 5ta categora")),"LBR",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"",1,0,'C');
    $pdf->Cell(92,8,"",1,0,'C');
    $pdf->Cell(24,8,"",1,0,'C');
    $pdf->Cell(0,8,"No tiene","LBR",0,'C');
    $pdf->Ln();
    
    $pdf->Ln();
    
    $pdf->Cell(24,8,"Tipo",1,0,'C');
    $pdf->Cell(92,8,"Conceptos",1,0,'C');
    $pdf->Cell(24,8,"Ingresos S/.",1,0,'C');
    $pdf->Cell(28,8,"Descuentos S/.",1,0,'C');
    $pdf->Cell(0,8,"Neto S/.",1,0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"Ingresos","L",0,'L');
    $pdf->Cell(92,8,"",0,0,'C');
    $pdf->Cell(24,8,"",0,0,'C');
    $pdf->Cell(28,8,"",0,0,'C');
    $pdf->Cell(0,8,"","R",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(24,8,"","L",0,'C');
    $pdf->Cell(92,8,utf8_decode(utf8_encode("REMUNERACIN O JORNAL BSICO")),0,0,'L');
    $pdf->Cell(24,8,number_format($datos->remuneracionbasica,2,'.',''),0,0,'R');
    $pdf->Cell(28,8,"",0,0,'C');
    $pdf->Cell(0,8,"","R",0,'C');
    $pdf->Ln();
    
    if($datos->asignacionfamiliar>0){
        $pdf->Cell(24,8,"","L",0,'C');
        $pdf->Cell(92,8,utf8_decode(utf8_encode("ASIGNACIN FAMILIAR")),0,0,'L');
        $pdf->Cell(24,8,number_format($datos->asignacionfamiliar,2,'.',''),0,0,'R');
        $pdf->Cell(28,8,"",0,0,'C');
        $pdf->Cell(0,8,"","R",0,'C');
        $pdf->Ln();
    }
    
    $pdf->Cell(24,8,"Descuentos","L",0,'L');
    $pdf->Cell(92,8,"",0,0,'C');
    $pdf->Cell(24,8,"",0,0,'C');
    $pdf->Cell(28,8,"",0,0,'C');
    $pdf->Cell(0,8,"","R",0,'C');
    $pdf->Ln();
    
    $pdf->Cell(30,8,"Aportes del Trabajador","L",0,'L');
    $pdf->Cell(86,8,"",0,0,'C');
    $pdf->Cell(24,8,"",0,0,'C');
    $pdf->Cell(28,8,"",0,0,'C');
    $pdf->Cell(0,8,"","R",0,'C');
    $pdf->Ln();
    
    if($datos->snp>0){
        $pdf->Cell(24,8,"","L",0,'C');
        $pdf->Cell(92,8,utf8_decode(utf8_encode("SISTEMA NACIONAL DE PENSIONES")),0,0,'L');
        $pdf->Cell(24,8,"",0,0,'C');
        $pdf->Cell(28,8,number_format($datos->snp,2,'.',''),0,0,'R');
        $pdf->Cell(0,8,"","R",0,'C');
        $pdf->Ln();
    }else{
        $pdf->Cell(24,8,"","L",0,'C');
        $pdf->Cell(92,8,utf8_decode(utf8_encode("COMISIN AFP PORCENTUAL")),0,0,'L');
        $pdf->Cell(24,8,"",0,0,'C');
        $pdf->Cell(28,8,number_format($datos->cp,2,'.',''),0,0,'R');
        $pdf->Cell(0,8,"","R",0,'C');
        $pdf->Ln();
        
        $pdf->Cell(24,8,"","L",0,'C');
        $pdf->Cell(92,8,utf8_decode(utf8_encode("PRIMA DE SEGURO")),0,0,'L');
        $pdf->Cell(24,8,"",0,0,'C');
        $pdf->Cell(28,8,number_format($datos->ps,2,'.',''),0,0,'R');
        $pdf->Cell(0,8,"","R",0,'C');
        $pdf->Ln();
        
        $pdf->Cell(24,8,"","L",0,'C');
        $pdf->Cell(92,8,utf8_decode(utf8_encode("SPP - APORTACIN OBLIGATORIA")),0,0,'L');
        $pdf->Cell(24,8,"",0,0,'C');
        $pdf->Cell(28,8,number_format($datos->ao,2,'.',''),0,0,'R');
        $pdf->Cell(0,8,"","R",0,'C');
        $pdf->Ln();
        
    }
    $pdf->Cell(24,8,"Neto a Pagar","LB",0,'L');
    $pdf->Cell(92,8,"","B",0,'C');
    $pdf->Cell(24,8,"","B",0,'C');
    $pdf->Cell(28,8,"","B",0,'C');
    $pdf->Cell(0,8,number_format($datos->remuneracionbasica+$datos->asignacionfamiliar-$datos->snp-$datos->cp-$datos->ps-$datos->ao,2,'.',''),"BR",0,'R');
    $pdf->Ln();
    
    $pdf->Ln();
    
    $pdf->Cell(0,8,"Aportes del Empleado",1,0,'L');
    $pdf->Ln();
    
    if($datos->sctr>0){
        $pdf->Cell(24,8,"","L",0,'C');
        $pdf->Cell(92,8,"ESSALUD",0,0,'L');
        $pdf->Cell(24,8,"",0,0,'C');
        $pdf->Cell(28,8,"",0,0,'C');
        $pdf->Cell(0,8,number_format($datos->essalud,2,'.',''),"R",0,'R');
        $pdf->Ln();
        
        $pdf->Cell(24,8,"","LB",0,'C');
        $pdf->Cell(92,8,"SCTR","B",0,'L');
        $pdf->Cell(24,8,"","B",0,'C');
        $pdf->Cell(28,8,"","B",0,'C');
        $pdf->Cell(0,8,number_format($datos->sctr,2,'.',''),"BR",0,'R');
        $pdf->Ln();
    }else{
        $pdf->Cell(24,8,"","LB",0,'C');
        $pdf->Cell(92,8,"ESSALUD","B",0,'L');
        $pdf->Cell(24,8,"","B",0,'C');
        $pdf->Cell(28,8,"","B",0,'C');
        $pdf->Cell(0,8,number_format($datos->essalud,2,'.',''),"BR",0,'R');
        $pdf->Ln();       
    }   
    $pdf->Ln();
    $pdf->Ln();
    
    $pdf->Cell(94,8,"__________________",0,0,'C');
    $pdf->Cell(0,8,"____________________",0,0,'C');
    $pdf->Ln();
    
    $pdf->Cell(94,8,"EMPLEADOR",0,0,'C');
    $pdf->Cell(0,8,"TRABAJADOR",0,0,'C');
    $pdf->Ln();
}   
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>