<?php
require_once("../cado/cado.php");
require_once("../negocio/clsMovimiento.php");

$objMovimiento = new Movimiento();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    $this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$rs = $objMovimiento->listarDocumento($_GET["id"],0,'','','');
$datos = $rs->fetchObject();
$pdf=new PDF('L','mm','letter');
$pdf->AddPage('','A4');
$pdf->Ln();

$pdf->SetFont('helvetica','B',13);
$pdf->Cell(0,8,"REPORTE DE CUENTAS POR COBRAR DEL ".$_GET["fechainicio"]." al ".$_GET["fechafin"],0,0,'C');
$pdf->Ln();
$pdf->SetFont('helvetica','B',11);
$pdf->Cell(35,8,"NRO DOC.",1,0,'C');
$pdf->Cell(35,8,"FECHA",1,0,'C');
$pdf->Cell(35,8,"TIPO DOC.",1,0,'C');
$pdf->Cell(80,8,"CLIENTE",1,0,'C');
$pdf->Cell(25,8,"TOTAL",1,0,'C');
$pdf->Cell(25,8,"DEUDA",1,0,'C');
$pdf->Cell(30,8,"SITUACION",1,0,'C');
//$pdf->Cell(30,8,"",1,0,'C');
$pdf->Ln();
$rs=$objMovimiento->listarDocumento(0,0,'',$_GET['fechainicio'],$_GET['fechafin'],'',2,0,0,0,0,0,0,"P");
$pdf->SetFont('helvetica','',11);
while($dato=$rs->fetchObject()){    
        $pdf->Cell(35,7,$dato->numero,1,0,'C');
        $pdf->Cell(35,7,substr($dato->fecha,0,10),1,0,'C');
        $pdf->Cell(35,7,$dato->tipodocumento,1,0,'C');
        if($dato->tipopersona!='JURIDICA') $nombre = $dato->cliente;else $nombre = $dato->razonsocial;
        if(strlen($nombre)>43){
            $y=$pdf->GetY();
            $x=$pdf->GetX();
            $pdf->MultiCell(80,3.5,utf8_decode($nombre),1,'L',0);
            $pdf->SetY($y);
            $pdf->SetX($x+80);
        }else{
            $pdf->Cell(80,7,utf8_decode($nombre),1,0,'L');
        }
        $pdf->Cell(25,7,number_format($dato->total,2,'.',''),1,0,'C');
        $pdf->Cell(25,7,number_format($dato->total-$dato->montopagado,2,'.',''),1,0,'C');
        if($dato->situacion=='C')
        	$pdf->Cell(30,7,"CANCELADO",1,0,'C');
        else
        	$pdf->Cell(30,7,"PENDIENTE",1,0,'C');
        $pdf->Ln();
        $c=$c+1;
}            
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>