<?php
session_start();
require_once("../cado/cado.php");
require_once("../negocio/clsMovimiento.php");

$objMovimiento = new Movimiento();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    //$this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$res=$objMovimiento->listarDocumento($_GET["id"],0,"","","");
$dato=$res->fetchObject();
$pdf=new PDF('P','mm','letter');
$pdf->AddPage('','A4');
$pdf->Ln();

if($dato->tipoconcepto=="I"){
    $pdf->Cell(30,8,"",0,0,'R');
    $pdf->Ln();    
    $pdf->Ln();    
    $pdf->Ln();    
    $pdf->SetFont('helvetica','',11);
    $pdf->Cell(135,8,substr($dato->fecha,0,2),0,0,'R');
    $pdf->Cell(25,8,substr($dato->fecha,3,2),0,0,'C');
    $pdf->Cell(25,8,substr($dato->fecha,6,4),0,0,'C');
    $pdf->Ln();    
    
    $pdf->Cell(25,6,"",0,0,'C');
    $pdf->Cell(0,6,trim($dato->cliente." ".$dato->razonsocial),0,0,'L');
    $pdf->Ln('3');    
    
    require_once("../negocio/numAletras.php");
    $enletras=num2letras($dato->total);
    $pdf->Cell(25,8,"",0,0,'C');
    if(strlen($enletras)>43){
        $y=$pdf->GetY();
        $x=$pdf->GetX();
        $pdf->MultiCell(80,4,utf8_decode(utf8_encode($enletras)),0,'L',0);
        $pdf->SetY($y);
        $pdf->SetX($x+80);
    }else{
        $pdf->Cell(80,8,utf8_decode(utf8_encode($enletras)),0,0,'L');
    }
    $pdf->Cell(67,8,number_format($dato->total,2,'.',''),0,0,'R');
    $pdf->Ln();

    $pdf->Cell(100,8,$dato->conceptopago,0,0,'R');
}else{
    $pdf->Cell(30,8,"",0,0,'R');
    $pdf->Ln();      
    $pdf->Ln();    
    $pdf->SetFont('helvetica','',11);
    $pdf->Cell(40,8,substr($dato->fecha,0,2),0,0,'R');
    $pdf->Cell(25,8,substr($dato->fecha,3,2),0,0,'C');
    $pdf->Cell(25,8,substr($dato->fecha,6,4),0,0,'L');
    $pdf->Ln('8');    
    
    $pdf->Cell(20,6,"",0,0,'C');
    $pdf->Cell(145,6,trim($dato->cliente." ".$dato->razonsocial),0,0,'L');
    $pdf->Cell(0,7,$dato->nrodocpersona,0,0,'L');
    $pdf->Ln('3');    
    
    $pdf->Cell(20,7,"",0,0,'C');
    $pdf->Cell(130,7,$dato->direccion,0,0,'L');
    $pdf->Ln();

    $pdf->Ln('2'); 
    $rs=$objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);
    while($data=$rs->fetchObject()){
        $c=$c+1;
        $pdf->Cell(20,7,number_format($data->cantidad,2,'.',''),0,0,'C');
        $pdf->Cell(125,7,$data->producto,0,0,'L');
        $pdf->Cell(30,7,number_format($data->precioventa,2,'.',''),0,0,'R');
        $pdf->Cell(0,7,number_format($data->precioventa*$data->cantidad,2,'.',''),0,0,'R');
        $total=$total+$data->cantidad*$data->precioventa;
        $pdf->Ln('6');  
    }
    while($c<8){
        $pdf->Ln('6');
        $c=$c+1;
    }
    require_once("../negocio/numAletras.php");
    $pdf->Cell(5,8,"",0,0,'C');
    $pdf->Cell(125,8,num2letras($total),0,0,'C');
    $pdf->Cell(67,8,number_format($dato->subtotal,2,'.',''),0,0,'R');
    $pdf->Ln();
    
    $pdf->Cell(22,8,"",0,0,'C');
    $pdf->Cell(115,8,"",0,0,'C');
    $pdf->Cell(60,8,number_format($dato->igv,2,'.',''),0,0,'R');
    $pdf->Ln();
    

    $pdf->Cell(52,8,substr($dato->fecha,0,2),0,0,'R');
    $pdf->Cell(10,8,substr($dato->fecha,3,2),0,0,'C');
    $pdf->Cell(10,8,substr($dato->fecha,6,4),0,0,'C');
    $pdf->Cell(125,8,number_format($dato->total,2,'.',''),0,0,'R');
    $pdf->Ln();
}
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>