<?php
session_start();
require_once("../cado/cado.php");
require_once("../negocio/clsMovimiento.php");
require_once("../negocio/clsTransportista.php");

$objMovimiento = new Movimiento();
$objTransportista = new Transportista();

//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');

class PDF extends FPDF
{
   function Footer()
   {
    $this->SetY(-15);	
	//$this->Image('logo-auscultasoft.jpg',220,188,66);
    //$this->SetFont('Arial','I',14);
    //$this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
   }
   
}
$res=$objMovimiento->listarDocumento($_GET["id"],0,"","","");
$dato=$res->fetchObject();
$pdf=new PDF('P','mm','letter');
$pdf->AddPage('','A4');
$pdf->Ln();

$pdf->Cell(30,8,"",0,0,'R');
$pdf->Ln();    
$pdf->Ln();    
$pdf->Ln();    
$pdf->SetFont('helvetica','',11);
$pdf->Cell(40,8,substr($dato->fecha,0,10),0,0,'R');
$pdf->Cell(40,8,"",0,0,'C');
$pdf->Cell(40,8,substr($dato->fechainiciotraslado,0,10),0,0,'C');
$pdf->Ln();
$pdf->Ln();    

$pdf->Cell(18,6,"",0,0,'C');
$pdf->Cell(90,6,utf8_decode(trim($dato->lugarpartida)),0,0,'L');
$pdf->Cell(0,6,utf8_decode(trim($dato->lugardestino)),0,0,'L');
$pdf->Ln();
$pdf->Ln();      

$pdf->Cell(18,7,"",0,0,'C');
$pdf->Cell(90,6,"",0,0,'L');
$pdf->Cell(0,6,utf8_decode(trim($dato->cliente." ".$dato->razonsocial)),0,0,'L');
$pdf->Ln('9');  
$pdf->Cell(33,7,"",0,0,'C');
$pdf->Cell(130,6,"",0,0,'L');
$pdf->Cell(0,7,$dato->nrodocpersona,0,0,'L');
$pdf->Ln();

$res=$objTransportista->listarTransportista($dato->idtransportista,"");
$dat=$res->fetchObject();
$pdf->Cell(30,7,"",0,0,'C');
$pdf->Cell(100,6,utf8_encode(trim($dat->nroplaca)),0,0,'L');
$pdf->Cell(0,6,utf8_decode(trim($dat->nombrerazonsocial)),0,0,'L');
$pdf->Ln();  
$pdf->Cell(33,7,"",0,0,'C');
$pdf->Cell(130,6,utf8_encode(trim($dat->licenciabrevete)),0,0,'L');
$pdf->Cell(0,7,$dat->nrodocumento,0,0,'L');
$pdf->Ln();
$pdf->Ln();

$rs=$objMovimiento->listarDetalleDocumento($_GET["id"],$_SESSION["idsucursal"]);
while($data=$rs->fetchObject()){
    $c=$c+1;
    $pdf->Cell(20,8,$c,0,0,'R');
    $pdf->Cell(130,8,$data->producto,0,0,'L');
    $pdf->Cell(15,8,$data->unidad,0,0,'C');
    $pdf->Cell(15,8,number_format($data->cantidad,2,'.',''),0,0,'C');
    $pdf->Ln();  
}
while($c<8){
    $pdf->Ln('8');
    $c=$c+1;
}
$rst=$objMovimiento->listarDocumento($_GET["idventa"],0,"","","");
$dat=$rst->fetchObject();
if($dat->idtipodocumento=="5"){
    $boleta="";
    $factura="X";
}else{
    $factura="";
    $boleta="X";
}
$pdf->Cell(58,8,$factura,0,0,'R');
$pdf->Cell(30,8,$boleta,0,0,'R');
$pdf->Cell(30,8,"",0,0,'C');
$pdf->Cell(0,8,$dat->numero,0,0,'L');
$pdf->SetAutoPageBreak(auto,2); 
$pdf->Output();
?>