<?php
include('Barcode.php');
session_start();
require_once("../cado/cado.php");
require_once("../negocio/clsSerieProducto.php");

$objSerieProducto = new SerieProducto();
$rs=$objSerieProducto->listarSerieProducto("",$_GET["idserieproducto"],0,$_SESSION["idsucursal"],"","");
$dato=$rs->fetchObject();
//define('FPDF_FONTPATH','fpdf/font/'); //directorio de las fuentes
include('fpdf/fpdf.php');
 
  // -------------------------------------------------- //
  //                      USEFULL
  // -------------------------------------------------- //
  

  class eFPDF extends FPDF{
	
    function TextWithRotation($x, $y, $txt, $txt_angle, $font_angle=0)
    {
        $font_angle+=90+$txt_angle;
        $txt_angle*=M_PI/180;
        $font_angle*=M_PI/180;
    
        $txt_dx=cos($txt_angle);
        $txt_dy=sin($txt_angle);
        $font_dx=cos($font_angle);
        $font_dy=sin($font_angle);
    
        $s=sprintf('BT %.2F %.2F %.2F %.2F %.2F %.2F Tm (%s) Tj ET',$txt_dx,$txt_dy,$font_dx,$font_dy,$x*$this->k,($this->h-$y)*$this->k,$this->_escape($txt));
        //if ($this->ColorFlag)
            //$s='q '.$this->TextColor.' '.$s.' Q';
        $this->_out($s);
		
    }
	
  }
  $pdf = new eFPDF('L', 'pt');
 $pdf->AddPage();

//carnet 1 - izquierda
    $fontSize = 10;
  	$marge    = 10;   // between barcode and hri in pixel
  	$x        = 108;  // barcode center , +111
  	$y        = 12;  // barcode center, + 108
  	$height   = 22;   // barcode height in 1D ; module size in 2D
  	$width    = 0.9;    // barcode height in 1D ; not use in 2D
  	$angle    = 180;   // rotation in degrees : nb : non horizontable barcode might not be usable 			because of pixelisation
  
    $code     = trim($dato->numero); // barcode, of course ;)
    $type     = 'code128';
    $black    = '000000'; // color in hexa
    $pdf->SetFont('Arial','B',7);
    $data = Barcode::fpdf($pdf, $black, $x, $y, $angle, $type, array('code'=>$code), $width, $height);
    $pdf->SetTextColor(0, 0, 0);
    $len = $pdf->GetStringWidth($data['hri']);
    Barcode::rotate(-$len / 2, ($data['height'] / 2) + $fontSize + $marge, $angle, $xt, $yt);
    //$pdf->TextWithRotation($x + $xt, $y + $yt, $data['hri'], $angle);
	$pdf->SetXY(140,20);// +48 Y
	$pdf->SetFont('Arial','B',13);
	$pdf->Cell(38,18,"S/.".number_format($dato->precioventa,0,'.',''),0,0,"C");
	$pdf->SetFont('Arial','B',8);
	$pdf->SetXY(40,23);// +18 x 
	$pdf->Cell(20,10,$dato->numero);
	$pdf->Ln(5);
	$pdf->SetXY(37,34); // X= pos inicial , +14 Y
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(50,10,$dato->tipocalzado." ".utf8_decode($dato->sexo)." ".$dato->color." ".$dato->tipotaco);
	$pdf->SetXY(37,44);// +43 X
	$pdf->Cell(20,10,$dato->marca."-".$dato->modelo."-".$dato->talla);
    $pdf->SetXY(37,54);// +43 X
    if($dato->idsucursal==1) 
        $sucursal="STHANY";
    else
        $sucursal="CIARA";
	$pdf->Cell(20,10,"$sucursal-".$_SESSION["direccion"]);
	$pdf->Ln(5);
	//$pdf->SetXY(30,46); // X= pos inicial , +14 Y

  	
  /*$pdf->SetFont('Arial','B',$fontSize);
  $pdf->SetTextColor(0, 0, 0);
  $len = $pdf->GetStringWidth($data['hri']);
  Barcode::rotate(-$len / 2, ($data['height'] / 2) + $fontSize + $marge, $angle, $xt, $yt);
  $pdf->TextWithRotation($x + $xt, $y + $yt, $data['hri'], $angle);
 /* $ruta= 'PROFESORESFOTOS/'.$dato['nrodoc'].'.JPG';
  $pdf->Image($ruta,206,60,50,60); // +176 x , +40 y*/
 //$ruta="barcode_img.php?num=01000004226&type=code128&imgtype=jpg";
 //$pdf->Image($ruta,206,60,50,60);
  $pdf->Output();
?>